%define _unpackaged_files_terminate_build       0 
%define _missing_doc_files_terminate_build      0
%define mainversion 10.1
%define mainrelease 0.2mdk
%define ghostscriptver 7.07
%define ghostscriptrel 25mdk
%define ijsver 0.34
%define ijsrel 82mdk
%define ijsmajor 0
%define libijs %mklibname ijs %{ijsmajor}
%define gimpprintver 4.2.7
%define gimpprintextraversion %nil
#define gimpprintextraversion -pre1
%define gimpprintrel 8mdk
%define gimprintmajor 1
%define libgimpprint %mklibname gimpprint %{gimprintmajor}
%define foomaticver 3.0.1
%define foomaticdate 20040828
%define foomaticrel 0.%{foomaticdate}.1mdk
%define hpijsver 1.6.1
%define cupsdriversver 10.1
%define cupsdriversrel 0.2mdk
%define omniver 0.9.1
%define omnirel 23mdk

%define pcl3ver	3.3
%define GSx11SVGAmodule 1
%define buildomni 0
%define withsvgalib 0
%define gimpplugin 0

# Suppress automatically generated Requires for Perl libraries.
%define _requires_exceptions perl\(.*\)

Summary: All printer-driver stuff: GhostScript, Gimp-Print, Filters, ...
Name:		printer-drivers
Version:	%{mainversion}
Release:	%{mainrelease}
License:	GPL
Group:		Publishing
URL:		http://www.linuxprinting.org/

##### GENERAL BUILDREQUIRES

BuildRequires:	autoconf2.5, libtiff-devel, glib-devel

##### FOOMATIC BUILDREQUIRES

BuildRequires:	perl-devel, file, libxml2-devel

##### GIMP PRINT BUILDREQUIRES

BuildRequires:	libcups-devel, libgtk+-devel, libjpeg-static-devel

%if %{gimpplugin}
BuildRequires:	libgimp-devel
%endif

# Only needed when building Gimp-Print from a CVS snapshot
#BuildRequires: tetex-latex ImageMagick docbook-utils sgml-tools

##### GHOSTSCRIPT BUILDREQUIRES

BuildRequires:  bison, flex, freetype-devel, gettext-devel, libnetpbm-devel
BuildRequires:  libpng-devel, tetex-dvips, libxml-devel 
BuildRequires:	libcups-devel >= 1.1.18, unzip, freetype-devel

%ifarch %ix86
%if %{withsvgalib}
BuildRequires:	svgalib-devel
%endif
%endif

##### PRINTER TESTPAGES BUILDREQUIRES

BuildRequires:	transfig

##### PRINTER FILTERS BUILDREQUIRES

BuildRequires:	libjbig-devel, libusb-devel, libgmp-devel

##### PRINTER UTILS BUILDREQUIRES

# automake 1.4 is needed for z42tool
BuildRequires:	lesstif-devel, automake = 1.4, gimp-devel

# Not needed for rebuilding this package, but needed to make the tarball
# with pre-built GUI of drv_z42.
#BuildRequires:	glade

##### OMNI BUILDREQUIRES

%if %{buildomni}
BuildRequires:	libgtkmm-devel >= 1.2.8-3mdk, libsigc++-devel, automake1.7
%endif

##### CUPS DRIVERS BUILDREQUIRES

BuildRequires:	cups-common, cupsddk

##### GIMP PRINT SOURCE

#Source500:	http://cesnet.dl.sourceforge.net/sourceforge/gimp-print/gimp-print-%{gimpprintver}%{gimpprintextraversion}.tar.bz2
#Source500:	http://gimp-print.sourceforge.net/gimp-print-%{gimpprintver}-cvs20020820.tar.bz2
Source500:	http://cesnet.dl.sourceforge.net/sourceforge/gimp-print/gimp-print-4.2.7.tar.bz2
Source501:	gimp-print-foomatic-integrity.bz2

##### GIMP PRINT PATCHES

# Fixed bug in Makefile for CUPS drivers
Patch501:	gimp-print-cups-Makefile.patch.bz2

# Support for unprintable margins in Foomatic-generated PPD files
#Patch502:	gimp-print-4.2.5-pre2-foomatic-margins-20030105-1.patch.bz2

# Support for some newer printer models
#Patch503:	gimp-print-4.2.5-foomatic-printermap.patch.bz2

##### FOOMATIC SOURCES

# Foomatic packages
Source100:	http://www.linuxprinting.org/download/foomatic/foomatic-db-engine-%{foomaticver}-%{foomaticdate}.tar.bz2
Source101:	http://www.linuxprinting.org/download/foomatic/foomatic-filters-%{foomaticver}-%{foomaticdate}.tar.bz2
Source102:	http://www.linuxprinting.org/download/foomatic/foomatic-db-%{foomaticdate}.tar.bz2
Source103:	http://www.linuxprinting.org/download/foomatic/foomatic-db-hpijs-%{hpijsver}-%{foomaticdate}.tar.bz2
# Printing HOWTO
#Source110: 	http://www.linuxprinting.org/Printing-HOWTO-5.15.tar.bz2
# Foomatic data for Lexmark's drivers for the Z22, Z23, Z32, Z33, Z52, and 
# Z53
Source120: 	http://www.linuxprinting.org/lexmark-foomatic-kit.tar.bz2

##### FOOMATIC PATCHES
Patch100:	foomatic-filters-3.0-foomatic-rip-OOo-1.1.0.patch.bz2

##### OMNI SOURCE

# CVS snapshot, but with "VendorSupplied" directory removed, so no
# proprietary drivers get into this package
#Source400:	http://www-124.ibm.com/developerworks/oss/linux/projects/omni/Omni-cvs20020910.tar.bz2
Source400:	http://belnet.dl.sourceforge.net/sourceforge/omniprint/Omni-%{omniver}.tar.bz2
# Upated Foomatic printer list
Source401:	foomatic-omni-printerlist.tar.bz2

##### OMNI PATCHES

# Make Omni working with autoconf 2.54
#Patch402:	Omni-0.7.1-automake254.patch.bz2

# Make Omni compiling with gcc 3.4
Patch403:	omni-0.9.1-fix-compile-gcc-3.4.patch.bz2

##### GHOSTSCRIPT SOURCES
#Source0:	ftp://ftp.easysw.com/pub/ghostscript/espgs-%{ghostscriptver}.1-source.tar.bz2
Source0:	http://cesnet.dl.sourceforge.net/sourceforge/espgs/espgs-7.07.2rc1-cvs20040726-source.tar.bz2
Source1:        ftp://ftp.uu.net/graphics/jpeg/jpegsrc.v6b.tar.bz2
Source2:	ps2pdfpress.bz2
Source3:        gomni.c.bz2

# "GS-CJK Project" fontmaps, see http://www.gyve.org/gs-cjk/ for reference.
# Patches for GhostScript are not necessary any more.
Source30:       install-cid.tar.bz2
Source31:       ftp://ftp.gyve.org/pub/gs-cjk/adobe-cmaps-200202.tar.bz2
Source32:       ftp://ftp.gyve.org/pub/gs-cjk/acro5-cmaps-2001.tar.bz2
Source33:	CIDFnmap-cjk-20020627.tar.bz2

##### GHOSTSCRIPT PATCHES

# configure script changes in ESP GhostScript 7.05.5 break Omni, revert them
#Patch1:		espgs-7.05.5-configure.ac-omni.patch.bz2

# Make the X11 and SVGA devices shared libraries, so that one can use
# GhostScript also on X-less servers
Patch10:	espgs-7.05.4-shared.patch.bz2
Patch11:	espgs-7.05.4-shared-svgalib.patch.bz2
# Re-activate the "x11alpha" (anti-aliasing X11) device
Patch12:	espgs-7.05.4-shared-x11alpha.patch.bz2

# Adaptation to work with gcc 2.96 for Lexmark 7000/5700 driver (PPC)
Patch16:	gcc2.96.patch.bz2

# gs-cjk project patch for resource path (dxiaoming@mandrakesoft.com)
Patch37:	lib_gs_res.fontpath.patch.bz2

# Compile ijs with PIC code (only needed when using modularization of X11
# and or SVGA devices)
Patch38:	ghostscript-7.05-fPIC.patch.bz2

# Fix for IA64
Patch39:	espgs-7.05.5-ia64-jmp_buf.patch.bz2

# Make GhostScript compiling with gcc 3.4
Patch40:	espgs-7.07.1-fix-compile-gcc-3.4.patch.bz2

# fontconfig support for GhostScript
Patch41:	espgs-7.07.1-fontconfig.patch.bz2

##### PRINTER FILTERS SOURCES 

# Apple StyleWriter
Source50:	http://homepage.mac.com/monroe/styl/stylewriter.tar.bz2

# Canon CaPSL
Source51:	ftp://metalab.unc.edu/pub/Linux/system/printing/cjet089.tar.bz2

# Lexmark 1100
Source52:	http://www.linuxprinting.org/download/printing/lm1100/lm1100.1.0.2a.tar.bz2

# Lexmark 2070 colour
Source53:	http://www.kornblum.i-p.com/2070/Lexmark2070.html/c2070-0.99.tar.bz2

# Lexmark 2070 grayscale
Source54:	http://www.kornblum.i-p.com/2070/Lexmark2070.html/Lexmark2070.latest.tar.bz2

# Lexmark 7xxx, 57xx, Z51
Source55:	http://bimbo.fjfi.cvut.cz/~paluch/l7kdriver/lexmark7000linux-990516.tar.bz2

# Lexmark Z11
#Source56:	http://www.studet.fh-muenster.de/~kornblum/cZ11.tar.bz2
#Source56:	http://www.linuxprinting.org/download/printing/lz11.tar.bz2
Source56:	http://sourceforge.net/projects/lz11//lz11-0.3.tar.bz2
#Source56:	http://sourceforge.net/projects/lz11/lz11-cvs20030907.tar.bz2

# HP DeskJet PPA printers
Source62:	http://download.sourceforge.net/pnm2ppa/pnm2ppa-1.12.tar.bz2
Source63:	http://www.httptech.com/ppa/files/ppa-0.8.6.tar.bz2

# Lexmark 2050
Source64:	http://www.prato.linux.it/~mnencia/lexmark2050/c2050-0.4.tar.bz2

# Lexmark 2030
Source65:	pbm2l2030-1.4.tar.bz2

# Okipage 4w and compatible winprinters
Source66:	http://www.linuxprinting.org/download/printing/oki4linux-2.0.tar.bz2
Source67:	oki4w.startup.bz2
Source68:	oki4w_install.bz2

# Citizen Printiva 600C
Source69:	http://www.dcs.ed.ac.uk/home/jcb/ppmtocpva-1.0.tar.bz2

# CoStar and compatible label printers
Source70:	http://www.freelabs.com/~whitis/software/pbm2lwxl/pbm2lwxl.tar.bz2

# Driver for the Samsung ML-85G and QL-85G winprinters
Source71:	http://www.pragana.net/ml85p-0.2.0.tar.bz2

# Enhanced filter for the Lexmark Z11
#Source72:	http://Som_Som.tripod.com/extre/cZ11-1.1.4/cZ11.c.bz2

# Filter for the Lexmark Z42
Source73:	http://www.xs4all.nl/~pastolk/drv_z42-0.4.2.tar.bz2

# GhostScript wrapper for the Pentax PocketJet printers
Source74:	http://www.pragana.net/pentaxpj-1.0.0.tar.bz2

# Unix driver for MicroDry Printers
Source76:	http://www.dcs.ed.ac.uk/home/jcb/ppmtomd/ppmtomd-1.3.tar.bz2

# Driver for many HP DeskJet/LaserJet printers provided by HP
Source80:	http://hpinkjet.sourceforge.net/hpijs-%{hpijsver}.tar.bz2

# Driver for the HP LaserJet 1000
Source82:	http://www.linuxprinting.org/download/printing/pbmtozjs.c.bz2

# Driver for Zenographics-based printers (Minolta magicolor 2300 DL, HP
# LaserJet 1000)
Source83:	http://foo2zjs.rkkda.com/foo2zjs.tar.bz2

# Driver for Epson EPL "L" series
Source84:	http://cesnet.dl.sourceforge.net/sourceforge/epsonepl/epsoneplijs-0.4.0pre5.tar.bz2
#Source84:	http://cesnet.dl.sourceforge.net/sourceforge/epsonepl/epsoneplijs-cvs20040128.tar.bz2

# Driver for Lexmark X125 (only printing)
Source1000:	http://heanet.dl.sourceforge.net/sourceforge/x125-linux/x125-drv-0.2.3.tar.bz2
Source1001:	http://heanet.dl.sourceforge.net/sourceforge/x125-linux/x125-drv-network-0.2.0.tar.bz2

# Driver for Canon LBP-460/660
Source1010:	http://www.boichat.ch/nicolas/lbp660/lbp660-0.2.2.tar.bz2

# Driver for Lexmark X74/X75
Source1020:	http://home.online.no/~enrio/lxx74-cups-0.8.2.tar.bz2

# Driver for Minolta magicolor 2300W
Source1030:	http://heanet.dl.sourceforge.net/sourceforge/m2300w/m2300w-0.2.tar.bz2

# Driver for Minolta PagePro 12xxW and 13xxW
Source1035:	http://www.hinterbergen.de/mala/min12xxw/min12xxw-0.0.5.tar.bz2

# Driver for Casio USB label printers
Source1040:	http://www.tu-harburg.de/~soda0231/pegg/files/pegg-0.16.tar.bz2
Source1041:	http://www.tu-harburg.de/~soda0231/pegg/files/xbm2crw-0.2a.tar.bz2
Source1042:	http://www.tu-harburg.de/~soda0231/pegg/files/cups2pegg-0.1a.tar.bz2

##### PRINTER FILTERS PATCHES 

# Lexmark 1100
Patch50:	lexmark2ppm.pl.patch.bz2
Patch1002:	lm1100.1.0.2a-fix-compile-gcc-3.4.patch.bz2

# HP DeskJet PPA printers
Patch52:	pbm2ppa-20000205.diff.bz2

# Okipage 4w and compatible winprinters
Patch54:	http://www.linuxprinting.org/download/printing/oki4linux-2.0-daemon-patch.bz2
Patch55:	oki4linux-2.0-daemon-mdk-patch.bz2

# Mtink: look for Motif libraries in the right directories on lib64 architectures
Patch56:	mtink-lib64.patch.bz2

# "-fPIC" for Epson EPL xxxxL driver (Gwenole)
Patch1001:	epsoneplijs-0.3.0-fPIC.patch.bz2

# Improvements for HPIJS: Really black text on DeskJet 6xx, 8xx, 9xx
Patch57:	http://www.linuxprinting.org/download/printing/hpijs/hpijs-1.4.1-rss.1.patch.bz2

# Fix for a temporary file race condition in the "ml85p" filter
#Patch58:	ml85p-tempfilerace.patch.bz2

# Deactivate checks for installed Foomatic in "./configure" of "m2300w"
Patch1030:	m2300w-0.2-noppdbuild.patch.bz2
Patch1031:	m2300w-0.2-ppc-build-fix.patch.bz2


##### PRINTER UTILS

# Printer maintenance (All PJL and some Lexmark Optra)
Source57:	http://pup.sourceforge.net/pup_1.1_src.tar.bz2

# Lexmark printer maintenance
Source58:	http://www.powerup.com.au/~pbwest/lexmark/lexmark.html/lxcontrol.tar.bz2
Source59:	lm1100maint.tar.bz2
Source60:	http://bimbo.fjfi.cvut.cz/~paluch/l7kdriver/changecartridge.bz2
Source61:	printutils.png.bz2

# Script to adjust margins and offsets of printed pages
Source75: 	alignmargins.bz2

# mtink - Graphical maintenance/ink monitoring tool for Epson inkjets
Source77:	http://xwtools.automatix.de/files/mtink-1.0.3.tar.bz2
# Fix mtink CUPS backend script
#Patch77:	mtink-cups.patch.bz2

# poster - Print big posters to be assambled out of many standard sized
#          (A4, Letter, A3, ...) sheets, also used by KDE Print.
Source78:	http://printing.kde.org/downloads/poster-1.0.1.tar.bz2

# Tool for uploading the firmware on the HP LaserJet 1000S
Source85:	http://www.linuxprinting.org/download/printing/hp1000fw.bz2
Source86:	usb.usermap.printer-utils.bz2

# Tools for reading USB device ID strings
Source87:	http://www.linuxprinting.org/download/printing/usb_id_test.c.bz2
Source88:	http://www.linuxprinting.org/download/printing/getusbprinterid.pl.bz2

##### CUPS DRIVERS SOURCES

# CUPS-Drivers package from Sourceforge, only PPD files for native 
# PostScript printers used
Source200: 	ftp://cups.sourceforge.net/pub/cups/cups-drivers/0.3.6/cups-drivers-all-0.3.6.tar.bz2
# Perl script to clean up Manufacturer entries in the PPD files, so that
# drivers are sorted by the printer Manufacturer in the graphical frontends
Source201: 	cleanppd.pl.bz2
# HP's PPD files for the PostScript LaserJets
Source202:	http://www.linuxprinting.org/download/PPD/HP/hp-ppd-20040625.tar.bz2
#Source202: 	http://hp.sourceforge.net/hp-ppds-0.4.tar.bz2
#Source205:	http://www.linuxprinting.org/download/PPD/HP/packages/hp-ppd-mit-4_7_2003_corrected.tar.bz2
#Source206:	http://www.linuxprinting.org/download/PPD/HP/packages/hp-ppd-mit-lj1300.tar.gz
#Source207:	http://www.linuxprinting.org/download/PPD/HP/20030721/hp_color_LaserJet_5500.ppd.bz2
#Source210:	http://www.linuxprinting.org/download/PPD/HP/20040415/hp_business_inkjet_2300.ppd.bz2
# Kyocera's PPD files for their PostScript printers
# (Same files as english files in http://www.linuxprinting.org/download/PPD/Kyocera/packages/CUPS%20PPD%202004-04.zip)
Source204:	http://www.linuxprinting.org/download/PPD/Kyocera/kyocera-ppd-20040510.tar.bz2
# Epson's PPD files for their PostScript printers
Source208:	http://www.linuxprinting.org/download/PPD/Epson/epson-ppd-20040301.tar.bz2
# OCE's PPD files for their PostScript printers
Source209:	http://www.linuxprinting.org/download/PPD/OCE/oce-ppd-20031103.tar.bz2
# Okidata's PPD files for their PostScript printers
Source211:	http://www.linuxprinting.org/download/PPD/Okidata/okidata-ppd-20040609.tar.bz2
# PPD file for a generic PostScript printer (taken from KUPS)
Source203: 	postscript.ppd.bz2

##### CUPS DRIVERS PATCHES

# Fix buggy PPD file
Patch200: cups-drivers-hplj5m_4.ppd.patch.bz2

# Fix model name in PPD for HP Color LaserJet 5/5M
Patch201: fix_hp_clj5m_ps_name.patch.bz2

##### PRINTER TESTPAGES SOURCES

# Mandrakeized printer test pages (originals from CUPS and Red Hat)
Source300:	mdk-testpages.tar.bz2
# Photo test page from Gimp-Print and ESP GhostScript
Source302:	cups-profile.jpg.bz2

##### BUILD ROOT

BuildRoot:	%_tmppath/%name-%version-%release-root

##### PACKAGE DESCRIPTIONS

##### IJS

%package -n %{libijs}
Version:	%{ijsver}
Release:	%{ijsrel}
Summary:	Dynamic library for the IJS printer driver plug-in interface
Group:		Publishing
URL:		http://www.linuxprinting.org/ijs/
Provides:       libijs = %{ijsver}-%{ijsrel}

%package -n %{libijs}-devel
Version:	%{ijsver}
Release:	%{ijsrel}
Summary:	Headers and links for compiling against 
Group:		Development/C
URL:		http://www.linuxprinting.org/ijs/
Requires:       %{libijs}
Provides:       libijs-devel = %{ijsver}-%{ijsrel}
Provides:       ijs-devel = %{ijsver}-%{ijsrel}

##### GIMP PRINT

%if %{gimpplugin}
%package -n gimpprint
Version:	%{gimpprintver}
Release:	%{gimpprintrel}
Summary:	Gimp-Print plugin for high-quality image printing
Group:		Publishing
Requires:	gimp2_0, %{libgimpprint}
URL:		http://gimp-print.sourceforge.net/
#BuildArchitectures: %ix86 ia64 ppc alpha
%endif

%package -n %{libgimpprint}
Version:	%{gimpprintver}
Release:	%{gimpprintrel}
Summary:	Shared library for high-quality image printing
Group:		Publishing
URL:		http://gimp-print.sourceforge.net/
Obsoletes:      libgimpprint4
Provides:       libgimpprint4
Provides:       libgimpprint = %{gimpprintver}-%{gimpprintrel}
#BuildArchitectures: %ix86 ia64 ppc alpha

%package -n %{libgimpprint}-devel
Version:	%{gimpprintver}
Release:	%{gimpprintrel}
Summary:	Headers and links for compiling against libgimpprint
Group:		Development/C
Requires:	%{libgimpprint} >= %{gimpprintver}-%{gimpprintrel}
URL:		http://gimp-print.sourceforge.net/
Obsoletes:      libgimpprint4-devel
Provides:       libgimpprint4-devel
Provides:       libgimpprint-devel = %{gimpprintver}-%{gimpprintrel}
Provides:       gimpprint-devel = %{gimpprintver}-%{gimpprintrel}
#BuildArchitectures: %ix86 ia64 ppc alpha

##### FOOMATIC

%package -n foomatic-db-engine
Version:	%{foomaticver}
Release:	%{foomaticrel}
Summary:        Foomatic database access, printer admin, and printing utils
License:        GPL
Group:          System/Servers
Url:            http://www.linuxprinting.org
Requires:       libxml2, foomatic-filters

%package -n foomatic-filters
Version:	%{foomaticver}
Release:	%{foomaticrel}
Summary:        Foomatic filters needed to run print queues with Foomatic PPDs
License:        GPL
Group:          System/Servers
Url:            http://www.linuxprinting.org
Requires:       mpage
Obsoletes:	foomatic
Provides:	foomatic
#BuildArchitectures: noarch

%package -n foomatic-db
Version:	%{foomaticver}
Release:	%{foomaticrel}
Summary:        Foomatic printer/driver database
License:        GPL
Group:          System/Servers
Url:            http://www.linuxprinting.org
Requires:       ghostscript, printer-filters, foomatic-db-engine
#BuildArchitectures: noarch

##### OMNI

%if %{buildomni}
%package -n omni
Version:	%{omniver}
Release:	%{omnirel}
Summary:	IBM's Omni printer drivers
Group:		Publishing
Requires:	ghostscript >= 6.51-14mdk, libxml2
Requires:	foomatic-db-engine, foomatic-db
Requires:       libgtkmm >= 1.2.8-3mdk
URL:		http://www-124.ibm.com/developerworks/oss/linux/projects/omni/
#BuildArchitectures: %ix86 ia64 ppc alpha
%endif

##### GHOSTSCRIPT

%package -n ghostscript
Version:	%{ghostscriptver}
Release:	%{ghostscriptrel}
Summary:	PostScript interpreter and renderer, most printer drivers
Group:		Publishing
Requires:	netpbm, /sbin/chkconfig, /sbin/service, zlib1, libpng
Requires:	urw-fonts >= 1.1, ghostscript-fonts, perl, %{libgimpprint}
Obsoletes:	ghostscript-PrintOnly
Provides:	ghostscript-PrintOnly
%if !%{GSx11SVGAmodule}
Obsoletes:	ghostscript-module-X ghostscript-module-SVGALIB
Provides:	ghostscript-module-X ghostscript-module-SVGALIB
%endif
Conflicts:	omni < 0.4 cups <= 1.1.14
URL:		http://www.ghostscript.com/
#BuildArchitectures: %ix86 ia64 ppc alpha

%if %{GSx11SVGAmodule}
%package -n ghostscript-module-X
Version:	%{ghostscriptver}
Release:	%{ghostscriptrel}
Summary: PostScript interpreter and renderer (additional support for X)
Group: 		Publishing
PreReq: 	ghostscript, fileutils
Obsoletes: 	ghostscript-X, ghostscript-Both
Provides: 	ghostscript-X, ghostscript-Both
URL:		http://www.ghostscript.com/
#BuildArchitectures: %ix86 ia64 ppc alpha

%ifarch %ix86
%if %{withsvgalib}
%package -n ghostscript-module-SVGALIB
Version:	%{ghostscriptver}
Release:	%{ghostscriptrel}
Summary: PostScript interpreter and renderer (additional support for SVGALIB)
Group: 		Publishing
PreReq: 	ghostscript, fileutils
Obsoletes: 	ghostscript-SVGALIB, ghostscript-Both
Provides: 	ghostscript-SVGALIB, ghostscript-Both
URL:		http://www.ghostscript.com/
#BuildArchitectures: %ix86 ia64 ppc alpha
%endif
%endif
%endif

##### PRINTER FILTERS

%package -n printer-filters
Summary: Filters to support additional printers
Group: 		Publishing
PreReq:		ghostscript
Requires:	%{libijs}
# psutils and unzip needed by the foo2zjs driver
Requires:	psutils, unzip
# "convert" needed by "pegg"
Requires:	ImageMagick
Obsoletes:	Apple-StyleWriter-printer-driver__lpstyl
Obsoletes:	Canon-CaPSL-printer-driver__cjet Lexmark-1100-printer-driver__lm1100
Obsoletes:	Lexmark-2070-color-printer-driver__c2070
Obsoletes:	Lexmark-2070-grayscale-printer-driver__Lexmark2070
Obsoletes:	Lexmark-7xxx-57xx-Z51-printer-driver__pbm2l7k
Obsoletes:	Lexmark-Z11-printer-driver__cZ11
Obsoletes:	cjet lm1100 c2070 Lexmark2070 cZ11 pnm2ppa
Provides:	Apple-StyleWriter-printer-driver__lpstyl
Provides:	Canon-CaPSL-printer-driver__cjet Lexmark-1100-printer-driver__lm1100
Provides:	Lexmark-2070-color-printer-driver__c2070
Provides:	Lexmark-2070-grayscale-printer-driver__Lexmark2070
Provides:	Lexmark-7xxx-57xx-Z51-printer-driver__pbm2l7k
Provides:	Lexmark-Z11-printer-driver__cZ11
Provides:	cjet lm1100 c2070 Lexmark2070 cZ11 pnm2ppa
#BuildArchitectures: %ix86 ia64 ppc alpha

##### PRINTER UTILS

%package -n printer-utils
Summary: Additional tools for configuring and maintaining printers
Group: 		Publishing
Obsoletes:	ghostscript-utils Lexmark-printer-maintenance
Provides:	ghostscript-utils Lexmark-printer-maintenance
Requires:	lesstif
#BuildArchitectures: %ix86 ia64 ppc alpha

##### CUPS DRIVERS

%package -n cups-drivers
Version:	%{cupsdriversver}
Release:	%{cupsdriversrel}
Summary: Special CUPS printer drivers, PPD files for PostScript printers
Requires: 	cups >= 1.1, ghostscript >= 7.05
# "convert" needed by "pegg"
Requires:	ImageMagick
Conflicts:	printer-utils <= 1.0-142mdk
Group: 		Publishing
#BuildArchitectures: %ix86 ia64 ppc alpha

##### PRINTER TESTPAGES

%package -n printer-testpages
Summary: Test pages to check the output quality of printers
Group: 		Publishing
#BuildArchitectures: %ix86 ia64 ppc alpha

##### DESCRIPTION TEXTS

%description
The "printer-drivers" package is a pseudo-package which does not
produce any binary package called "printer-drivers". It builds all
packages containing either printer driver code or printer driver
descriptions: GhostScript, Gimp-Print, Foomatic, ... This way
duplicate source code (as Gimp-Print) is avoided in the distro. So
once space is saved and second, and that is even more important,
maintenance is simplified.

%description -n %{libijs}
This is the API library for programs using the IJS printer driver
plug-in interface. Printer drivers using this interface can be added
to GhostScript (6.53 or newer) without needing to rebuild
GhostScript. Application programs providing an IJS interface can make
use of IJS printer drivers directly, without needing GhostScript.

%description -n %{libijs}-devel
This package contains the static library and the header files needed
to compile applications using this library.

%if %{gimpplugin}
%description -n gimpprint
This is a plug-in for the GIMP, which allows printing of images and
photos in very high quality on many modern inkjet printers and also
some lasers. Especially on Epson Stylus printers the quality which one
gets under proprietary operating systems is reached, due to Epson
publishing the protocols of their printers, but other brands of
printers give very high qualities, too. It can also output PostScript
to be able to print out of the GIMP on any printer.
%endif

%description -n %{libgimpprint}
This is a high-quality printing library used by the Gimp-Print plugin,
the "stp" color/photo inkjet/laser driver in GhostScript, and by
specialized CUPS drivers.

%description -n %{libgimpprint}-devel
These are the links and header files to compile applications which
should use the libgimpprint library.

%description -n foomatic-db-engine
Foomatic is a comprehensive, spooler-independent database of printers,
printer drivers, and driver descriptions. It contains utilities to
generate PPD (Postscript Printer Description) files and printer queues
for CUPS, LPD, GNUlpr, LPRng, PPR, and PDQ using the database. There
is also the possibility to read the PJL options out of PJL-capable
laser printers and take them into account at the driver description
file generation.

There are spooler-independent command line interfaces to manipulate
queues (foomatic-configure) and to print files/manipulate jobs
(foomatic printjob).
 
The site http://www.linuxprinting.org/ is based on this database.

This package contains the tools for accessing the Foomatic database,
for printer administration, and for printing.

%description -n foomatic-filters
Foomatic is a comprehensive, spooler-independent database of printers,
printer drivers, and driver descriptions. It contains utilities to
generate PPD (Postscript Printer Description) files and printer queues
for CUPS, LPD, GNUlpr, LPRng, PPR, and PDQ using the database. There
is also the possibility to read the PJL options out of PJL-capable
laser printers and take them into account at the driver description
file generation.

There are spooler-independent command line interfaces to manipulate
queues (foomatic-configure) and to print files/manipulate jobs
(foomatic printjob).
 
The site http://www.linuxprinting.org/ is based on this database.

This package contains the filters needed to run print queues based on
Foomatic PPD files.

%description -n foomatic-db
Foomatic is a comprehensive, spooler-independent database of printers,
printer drivers, and driver descriptions. It contains utilities to
generate PPD (Postscript Printer Description) files and printer queues
for CUPS, LPD, GNUlpr, LPRng, PPR, and PDQ using the database. There
is also the possibility to read the PJL options out of PJL-capable
laser printers and take them into account at the driver description
file generation.

There are spooler-independent command line interfaces to manipulate
queues (foomatic-configure) and to print files/manipulate jobs
(foomatic printjob).
 
The site http://www.linuxprinting.org/ is based on this database.

This package is the Foomatic database, an XML database containing
information about the capabilities of near 1000 printers and around
250 drivers. Especially it contains the information how and with which
options the drivers have to be executed.

%if %{buildomni}
%description -n omni
The Omni printer driver provides support for over 400 printers using
the Ghostscript framework. In addition, it provides a model for
dynamically loading printer drivers, creating new devices by editing
device description files, and simplifies new printer driver
development by allowing for the subclassing of previous device
features.
%endif

%description -n ghostscript
Ghostscript is a set of software that provides a PostScript(TM) interpreter,
a set of C procedures (the Ghostscript library, which implements the
graphics capabilities in the PostScript language) and an interpreter for
Portable Document Format (PDF) files. Ghostscript translates PostScript code
into many common, bitmapped formats, like those understood by your printer
or screen. Ghostscript is normally used to display PostScript files and to
print PostScript files to non-PostScript printers.
Most applications use PostScript for printer output.

You should install ghostscript if you need to display PostScript files, or
if you have a non-PostScript printer.

%if %{GSx11SVGAmodule}
%description -n ghostscript-module-X
Ghostscript is a PostScript interpreter. It can render both PostScript
and PDF compliant files to devices which include an X window, many printer
formats (including support for colour printers), and popular graphics
file formats.
This package enhances Ghostscript with X windows support.

%ifarch %ix86
%if %{withsvgalib}
%description -n ghostscript-module-SVGALIB
Ghostscript is a PostScript interpreter. It can render both PostScript
and PDF compliant files to devices which include many printer
formats (including support for colour printers), and popular graphics
file formats.
This package enhances Ghostscript with console output using SVGALIB.
%endif
%endif
%endif

%description -n printer-filters
This package contains filters which transfer the raw bitmap of
GhostScript into the protocol of some additional printer models.

%description -n printer-utils
Tools for printer maintenance: Setting default options for most laser
printers (PJL-capable printers), cartridge changing, head aligning,
ink level checking for inkjet printers. Printing big posters on many 
sheets of standard sized paper (A4, A3, Letter, ...) to be assambled
together (also used by KDE Print to print posters).

%description -n cups-drivers
This package contains special Gimp-Print printer drivers to be used with
CUPS (and without GhostScript) and also PPD files for native PostScript
printers to be used with CUPS, too.

With the Gimp-Print CUPS drivers you can do a colour caibration. Use
the program "cups-calibrate" to perform it.

%description -n printer-testpages
These are sample files to check the output quality of printers. Thers
is the CUPS test page with colour gradients, the Red Hat test page
with image position checks, a photo test page and a text test page.

%prep
# remove old directory
rm -rf $RPM_BUILD_DIR/printer-drivers-%{mainversion}
mkdir $RPM_BUILD_DIR/printer-drivers-%{mainversion}

##### GIMP PRINT

# unpack main sources
%setup -q -T -D -a 500 -n printer-drivers-%{mainversion}
ln -s gimp-print-%{gimpprintver}* print-%{gimpprintver}
#ln -s print print-%{gimpprintver}
cd print-%{gimpprintver}
# Replace "-dSAFER" by "-dPARANOIDSAFER" in GhostScript command lines
perl -p -i -e "s/-dSAFER/-dPARANOIDSAFER/" src/foomatic/foomatic-templates-*/gimp-print*.xml
# Fixed bug in Makefile for CUPS drivers
%patch501 -p4
# Support for unprintable margins in Foomatic-generated PPD files.
#patch502 -p0
# Support for some newer printer models
#%patch503 -p0
# Get User's Guide and manual into correct doc directory
cd doc
perl -p -i -e 's!\$\(PACKAGE\)/doc!doc/gimpprint-%{gimpprintver}!g' Makefile.am
perl -p -i -e 's!\$\(PACKAGE\)/doc!doc/gimpprint-%{gimpprintver}!g' users_guide/Makefile.am
perl -p -i -e 's!\$\(PACKAGE\)/doc!doc/gimpprint-%{gimpprintver}!g' Makefile.in
perl -p -i -e 's!\$\(PACKAGE\)/doc!doc/gimpprint-%{gimpprintver}!g' users_guide/Makefile.in
cd ..
cd ..
bzcat %{SOURCE501} > gimp-print-foomatic-integrity
chmod a+rx gimp-print-foomatic-integrity
#bzcat %{SOURCE502} > src/foomatic/foomatic-printermap

##### FOOMATIC

# Source trees for installation
%setup -q -T -D -a 100 -n printer-drivers-%{mainversion}
%setup -q -T -D -a 101 -n printer-drivers-%{mainversion}
%setup -q -T -D -a 102 -n printer-drivers-%{mainversion}
%setup -q -T -D -a 103 -n printer-drivers-%{mainversion}
cd foomatic-filters*
#patch100 -p0
cd ..

# Set links for the directories
ln -s foomatic-db-engine* foomatic-db-engine
ln -s foomatic-filters* foomatic-filters
ln -s foomatic-db-2* foomatic-db
ln -s foomatic-db-hpijs* foomatic-db-hpijs

# Printing HOWTO
#setup -q -T -D -a 110 -c -n printer-drivers-%{mainversion}/pht

# Foomatic data for the Z22, Z32, and Z52 with Lexmark's drivers
%setup -q -T -D -a 120 -n printer-drivers-%{mainversion}

##### GHOSTSCRIPT/OMNI

cd $RPM_BUILD_DIR/printer-drivers-%{mainversion}
#
# unpack main sources
#ln -s espgs-7.07.1 espgs-7.07
ln -s espgs espgs-7.07
%setup -q -T -D -a 0 -n printer-drivers-%{mainversion}
#
# unpack jpeg
%setup -q -T -D -a 1 -n printer-drivers-%{mainversion}/espgs-%{ghostscriptver}
# For GhostScript, rename jpeg subdirectory
mv jpeg-6b jpeg
#
# Set links, so that our CVS version is compatible to released one
ln -sf src/configure.ac .
ln -sf src/Makefile.in .

# Prepare documentation of the "pcl3" driver
mv pcl3/lib pcl3/doc/
mv pcl3/ps pcl3/doc/
cp -ax pcl3/doc doc/pcl3
cp pcl3/README doc/README.pcl3
cp pcl3/BUGS doc/BUGS.pcl3
cp pcl3/NEWS doc/NEWS.pcl3

# Prepare documentation for Lexmark 3200 driver ("lxm3200")
cp contrib/lxm3200/README doc/README.lxm3200
cp contrib/lxm3200/RELEASE_NOTES doc/RELEASE_NOTES.lxm3200

# Prepare documentation for the "md2k"/"md5k" drivers (ALPS MD xxxx thermal 
# transfer printers)
cp contrib/md2k_md5k/README.jis doc/README.Alps_MD2K_MD5K

# PPC fix for Lexmark 7000/5700 driver ("lex5700"/"lex7000")
%ifnarch ppc
cd src
%patch16 -p1
cd ..
%endif

# The IBM Omni driver
#
# We load the driver's source code also when we do not actually build Omni,
# so we get the "omni" device in ESP GhostScript 7.05.4 (not necessary for
# ESP GhostScript 7.05.5 or newer).
#if %{buildomni}
%setup -q -T -D -a 400 -n printer-drivers-%{mainversion}/espgs-%{ghostscriptver}/src
cd ..
#patch1 -p2 -R
# Set a link so that GhostScripts "configure" script finds Omni
ln -s src/Omni .
# Suppress the generation of debug output files
perl -p -i -e "s:/tmp/blit_debug.out:/dev/null:g" "src/Omni/Epson/Epson High Res ESCP2 Blitter.cpp"
# Fix entity in Foomatic printer XML files.
perl -p -i -e "s:Partially\&quot:Partially\&quot;:" src/Omni/Foomatic/OmniFoomaticGenerator.cpp
# Replace "-dSAFER" by "-dPARANOIDSAFER" in GhostScript command lines
perl -p -i -e "s/-dSAFER/-dPARANOIDSAFER/" src/Omni/Foomatic/OmniFoomaticGenerator.cpp
# Copy the original gomni.c of Omni into GhostScript
#bzcat %{SOURCE3} > src/gomni.c
cp -f src/Omni/Ghostscript/new_src/gomni.c src
# Correct library search path of gomni.c
# perl -p -i -e "s:/usr/lib/Omni/:/usr/lib/Omni/lib/:" src/gomni.c
cd src
cd Omni
#patch402 -p0
%patch403 -p0
#ifarch ppc
ln -s 'HP LaserJet' HP
#endif
cd ..
cd ..
#endif

# IA64 fix
%ifarch ia64
%patch39 -p1
%endif

# gcc 3.4 fix
#patch40 -p0

#
# Add shared library support to ghostscript.
%if %{GSx11SVGAmodule}
%patch10 -p1
%ifarch %ix86
%if %{withsvgalib}
%patch11 -p1
%endif
%endif
%patch12 -p1

# build a small README describing the features available.
cat <<EOF >README.shared
This version of ghostscript support shared modules dynamically loaded
at run time.

There are currently two modules compiled with the Mandrakelinux version of
ghostscript, one to support all X11 devices (typically used by gv) and
another to support the svgalib devices. Look at the
ghostscript-module-??? packages.

There is no configuration needed, just can add (or remove) the package
to add (or remove) the devices concerned in ghostscript.

EOF

%patch38 -p1
%endif

# fontconfig support
bzcat %{PATCH41} | patch -p1 || :
perl -p -i -e 's:EXTRALIBS=(.*)$:EXTRALIBS=$1 \@FONTCONFIG_LIBS\@:' src/Makefile.in
perl -p -i -e 's:EXTRALIBS=(.*)$:EXTRALIBS=$1 -lfontconfig -lfreetype:' src/unix-gcc.mak

# Support for CJK printing: font path (Du Xiaoming)
#patch37 -p0

# Do not install the pstoraster stuff, it will be provided by the CUPS
# package
perl -p -i -e "s/^install:\s*install-cups/install:/" pstoraster/cups.mak

# ps2pdfpress
bzcat %{SOURCE2} > ps2pdfpress

##### PRINTER FILTERS/UTILS

mkdir $RPM_BUILD_DIR/printer-drivers-%{mainversion}/printer-filters

# HPIJS, driver for HP inkjet printers provided by HP
%setup -q -T -D -a 80 -n printer-drivers-%{mainversion}/printer-filters
cd hpijs*
%patch57 -p1
cat <<EOF >LICENSE

License for the HP InkJet Server (/usr/bin/hpijs)
-------------------------------------------------
EOF
head -28 models.cpp | tail -26 >> LICENSE
cd ..

# KRGB patch for GhostScript
#(cd ../espgs/src
#  patch -p1 < $RPM_BUILD_DIR/printer-drivers-%{mainversion}/printer-filters/hpijs-%{hpijsver}/gdevijs-krgb-1.0.patch
#)

# Apple StyleWriter
%setup -q -T -D -a 50 -n printer-drivers-%{mainversion}/printer-filters

# Canon CaPSL
%setup -q -T -D -a 51 -n printer-drivers-%{mainversion}/printer-filters

# Lexmark 1100
%setup -q -T -D -a 52 -n printer-drivers-%{mainversion}/printer-filters
# fix to make it compiling with gcc 2.96
# Patch to make LM 1100 printer emulator script to work
cd lm1100*
%patch50 -p0
%patch1002 -p0
cd ..

# Lexmark 2070 colour
%setup -q -T -D -a 53 -c -n printer-drivers-%{mainversion}/printer-filters/c2070-0.99

# Lexmark 2070 grayscale
%setup -q -T -D -a 54 -c -n printer-drivers-%{mainversion}/printer-filters/Lexmark2070.latest

# Lexmark 7xxx, 57xx, Z51
%setup -q -T -D -a 55 -n printer-drivers-%{mainversion}/printer-filters
# Fix Makefile
cd lexmark7000linux-990516
sed "s/-o root -g root//" Makefile > Makefile.new
chmod --reference=Makefile Makefile.new
mv -f Makefile.new Makefile
cd ..

# Lexmark Z11
%setup -q -T -D -a 56 -n printer-drivers-%{mainversion}/printer-filters
#setup -q -T -D -a 56 -n printer-drivers-%{mainversion}/printer-filters
#bzcat %SOURCE72 > $RPM_BUILD_DIR/printer-drivers-%{mainversion}/printer-filters/LexZ11-distro/cZ11.c
perl -p -i -e "s/gcc/gcc $RPM_OPT_FLAGS/" lx11*/makefile

# Printer Utility Program
%setup -q -T -D -a 57 -n printer-drivers-%{mainversion}/printer-filters

# Lexmark printer maintenance
%setup -q -T -D -a 58 -n printer-drivers-%{mainversion}/printer-filters
%setup -q -T -D -a 59 -n printer-drivers-%{mainversion}/printer-filters
bzcat %{SOURCE60} > $RPM_BUILD_DIR/printer-drivers-%{mainversion}/printer-filters/changecartridge
cp $RPM_BUILD_DIR/printer-drivers-%{mainversion}/printer-filters/pup_1.1/README \
	$RPM_BUILD_DIR/printer-drivers-%{mainversion}/printer-filters/README.LexmarkOptra40_45
mv $RPM_BUILD_DIR/printer-drivers-%{mainversion}/printer-filters/lxcontrol/README.Lexmark \
	$RPM_BUILD_DIR/printer-drivers-%{mainversion}/printer-filters/lxcontrol/README.Lexmark5xxx_7xxx
mv $RPM_BUILD_DIR/printer-drivers-%{mainversion}/printer-filters/lm1100maint/README \
	$RPM_BUILD_DIR/printer-drivers-%{mainversion}/printer-filters/lm1100maint/README.Lexmark1xxx

# Generate doc file for "changecartridge"
cat << EOF > $RPM_BUILD_DIR/printer-drivers-%{mainversion}/printer-filters/README.changecartridge

changecartridge - a program for changing the ink cartridges
                  in the Lexmark 5xxx and 7xxx printers.

(C) 1999 Henryk Paluch, paluch@bimbo.fjfi.cvut.cz

To change the ink cartridges in a Lexmark printer you must move the
print head out of its parking corner, so that you can reach the
cartridges. Lexmark only provides a Windows program for doing this. To
not need to boot Windows for changing the cartridges there is this
script. Simply call it with:

   changecartridge

on the command line and follow the steps described on the screen.
The printer is assumed to be at the parallel port #1 (/dev/lp0), but
this setting can be changed by editing the definition of the PORT
variable in /usr/bin/changecartridge.



EOF
# Generate doc file for "README.Lexmark-Maintenance"
cat << EOF > $RPM_BUILD_DIR/printer-drivers-%{mainversion}/printer-filters/README.Lexmark-Maintenance

Lexmark Printer Maintenance Tools
---------------------------------

Programs for maintanance of Lexmark inkjet printers: Moving out the print
head to change the cartridges, adjusting the print heads, cleaning the
nozzles ...

pup           - Graphical program for the Lexmark Optra 40 and 45 printers,
                probably also works for the Lexmark 5xxx and 7xxx, also
                for setting default options on nearly every laser printer

showcartridges
hidecartridges
headalign
headclean     - Command line programs for the Lexmark 5xxx and 7xxx

changecartridge - Another command line tool for changing the
                ink cartridges in the Lexmark 5xxx and 7xxx 

lm1100change,
lm1100back    - Command line tools for changing the cartridge in Lexmark
                1xxx printers

Since Lexmark will not release protocol specifications the authors had
to dissassemble the byte codes sent by their Windows printer maintenance
programs to create this.



EOF

# Load menu icon
bzcat %{SOURCE61} > $RPM_BUILD_DIR/printer-drivers-%{mainversion}/printer-filters/printutils.png

# HP DeskJet PPA printers
%setup -q -T -D -a 62 -n printer-drivers-%{mainversion}/printer-filters
# remove "version ERROR" line from pnm2ppa.conf
perl -n -i -e 'if ( !m/^\s*version\s*0\s*(|\#.*)$/ ) { print "$_";}' pnm2ppa-*/pnm2ppa.conf

# Generate README file
cat <<EOF >README.calibration

Colour calibration for PPA printers
-----------------------------------

If you have an HP DeskJet PPA printer (very cheap models: 710C, 712C,
720C, 722C, 820C, 1000C, or a newer printer which works with one of
these model entries) you can optionally do a colour correction. Do the
following:

Some of the printing modes offer optional colour correction. See the
option "Printing Mode" which is offered to you in the option window of
"printerdrake" and if you use CUPS also in "qtcups" or "kprinter"
("Properties" button, "Advanced" tab), "xpp" ("Options" button,
"Extra" tab), "kups" (right click on printer, "Configure printer" in
menu), or the WWW interface ("Configure printer" button) and if you
use PDQ in "xpdq" ("Driver options"). Choose a setting with "optional
colour correction" and save your settings. Read the file

   /usr/share/doc/printer-filters-1.0/HPDeskJetPPA/pnm2ppa/COLOR.txt

and follow the instructions there, but use the name

   /etc/pnm2ppa.gamma_normal

for the colour correction file for the "normal quality" modes and

   /etc/pnm2ppa.gamma_best

for the colour correction file for the "best quality" modes. So you
can do the colour correction independently in both normal and best
quality modes. The files are automatically taken into account by the
appropriate modes as soon as they are created.



EOF


# pbm2ppa source
%setup -q -T -D -a 63 -n printer-drivers-%{mainversion}/printer-filters
%patch52 -p0

# Lexmark 2050
%setup -q -T -D -a 64 -n printer-drivers-%{mainversion}/printer-filters

# Lexmark 2030
%setup -q -T -D -a 65 -c -n printer-drivers-%{mainversion}/printer-filters/pbm2l2030

# Okipage 4w and compatible winprinters
%setup -T -D -a 66 -n printer-drivers-%{mainversion}/printer-filters
cd oki4linux-2.0
%patch54 -p1
%patch55 -p1

# Do some small corrections in the daemon script:
# - The daemon crashes with "setlogsock('unix');"
# - Correct the path for the driver
cd src
mv oki4daemon oki4daemon.pre
sed "s/setlogsock('unix');/setlogsock('inet');/" oki4daemon.pre | sed "s:/usr/local/sbin/oki4drv:/usr/bin/oki4drv:" > oki4daemon
cd ../..
# Mandrakeized startup script for the daemon
bzcat %{SOURCE67} > $RPM_BUILD_DIR/printer-drivers-%{mainversion}/printer-filters/oki4daemon
# Installer for a CUPS queue for an OKI winprinter
bzcat %{SOURCE68} > $RPM_BUILD_DIR/printer-drivers-%{mainversion}/printer-filters/oki4w_install
# Generate doc file for "README.OKI-Winprinters"
cat << EOF > $RPM_BUILD_DIR/printer-drivers-%{mainversion}/printer-filters/README.OKI-Winprinters

Driver for the OKI 4w and compatible winprinters
------------------------------------------------

These laser printers have neither memory nor a processor and therefore
they must get their data in an absolutely continuous stream (because
they cannot buffer data). This cannot be made sure by usual printing
spoolers (as CUPS or LPD). The only possibility is running a special
driver program which connects directly to the printer. But this is
very unconvenient, because many Linux applications can only print
through a spooler. To solve this, Grant Taylor has created a special
daemon acting between the printing program and the spooler, the
"oki4daemon". It provides a named pipe ("/dev/oki4drv") which accepts
PostScript and renders it for being understood by the printer.

Because "kups" and the web interface of CUPS cannot start an extra
daemon and also cannot set up a queue with "/dev/oki4drv" as
destination, you have to install your OKI printer with a special
installation program. Call it by entering

   oki4w_install

on the command line or by choosing "Configuration"/"Printing"/"Install
OKI 4w or compatible" in the desktop menues.

NOTE: These printers should not be used on machines which are often
under high loads (because of the timing requirements) or on machines
with high security demands (because of the additional daemon).



EOF

# CoStar and compatible label printers
%setup -q -T -D -a 70 -c -n printer-drivers-%{mainversion}/printer-filters/pbm2lwxl

# Citizen Printiva 600C
%setup -q -T -D -a 69 -n printer-drivers-%{mainversion}/printer-filters

# Samsung ML-85G and QL-85G winprinters
%setup -q -T -D -a 71 -n printer-drivers-%{mainversion}/printer-filters
#patch58 -p0

# Filter for the Lexmark Z42
%setup -q -T -D -a 73 -n printer-drivers-%{mainversion}/printer-filters

# GhostScript wrapper for the Pentax PocketJet printers
%setup -q -T -D -a 74 -n printer-drivers-%{mainversion}/printer-filters

# Unix driver for MicroDry Printers
%setup -q -T -D -a 76 -n printer-drivers-%{mainversion}/printer-filters

# Mtink - Printer maintenance/ink monitoring for Epson inkjets
%setup -q -T -D -a 77 -n printer-drivers-%{mainversion}/printer-filters
cd mtink*
#patch56 -p1
#patch77 -p0
cd ..

# Poster - Poster-printing on stndard sized paper 
%setup -q -T -D -a 78 -n printer-drivers-%{mainversion}/printer-filters

# Driver for the HP LaserJet 1000
bzcat %{SOURCE82} > pbmtozjs.c

# Driver for Zenographics-based printers (Minolta magicolor 2300 DL, HP
# LaserJet 1000
%setup -q -T -D -a 83 -n printer-drivers-%{mainversion}/printer-filters

# Driver for Epson EPL "L" series
%setup -q -T -D -a 84 -n printer-drivers-%{mainversion}/printer-filters
cd epsonepl*
perl -p -i -e "s/-g -O2 -Wall -ansi -pedantic -Wmissing-prototypes/-fPIC/" Makefile.in
#patch1001 -p1 -b .fPIC
cd ..

# Driver for Lexmark X125 (only printing)
%setup -q -T -D -a 1000 -n printer-drivers-%{mainversion}/printer-filters
%setup -q -T -D -a 1001 -n printer-drivers-%{mainversion}/printer-filters
perl -p -i -e "s/gcc/gcc $RPM_OPT_FLAGS/" drv_x125*/src/Makefile

%ifarch %{ix86}
# Driver for Canon LBP-460/660
%setup -q -T -D -a 1010 -n printer-drivers-%{mainversion}/printer-filters
perl -p -i -e "s/gcc/gcc $RPM_OPT_FLAGS/" lbp660*/Makefile
%endif

# Driver for Lexmark X74/X75
%setup -q -T -D -a 1020 -n printer-drivers-%{mainversion}/printer-filters
perl -p -i -e "s/gcc/gcc $RPM_OPT_FLAGS/" lxx74*/Makefile

# Driver for Minolta magicolor 2300W
%setup -q -T -D -a 1030 -n printer-drivers-%{mainversion}/printer-filters
cd m2300w*
# Deactivate checks for installed Foomatic in "./configure"
%patch1030 -p0
%patch1031 -p1 -b .ppc
cd ..

# Driver for Minolta PagePro 12xxW and 13xxW
%setup -q -T -D -a 1035 -n printer-drivers-%{mainversion}/printer-filters
perl -p -i -e "s/gcc/gcc $RPM_OPT_FLAGS/" min12xxw*/Makefile

# Driver for Casio USB label printers
%setup -q -T -D -a 1040 -n printer-drivers-%{mainversion}/printer-filters
%setup -q -T -D -a 1041 -n printer-drivers-%{mainversion}/printer-filters
%setup -q -T -D -a 1042 -n printer-drivers-%{mainversion}/printer-filters

# Tool for uploading the firmware on the HP LaserJet 1000S
bzcat %{SOURCE85} > hp1000fw
bzcat %{SOURCE86} > usb.usermap

# Tools for reading USB device ID strings
bzcat %{SOURCE87} > usb_id_test.c
bzcat %{SOURCE88} > getusbprinterid


##### CUPS DRIVERS

mkdir $RPM_BUILD_DIR/printer-drivers-%{mainversion}/cups-drivers

# PPD files for old PostScript printers
%setup -q -T -D -a 200 -n printer-drivers-%{mainversion}/cups-drivers

# Apply patch for buggy ppd file
%patch200 -p0

# Remove CUPS-O-MATIC PPDs
rm -rf cups-drivers-0.3.6/usr/share/cups/model/cups-o-matic

# Remove pstogstoraster-based PPD files, they do not work 
# when printing via Samba. There are other, better PPDs for 
# these printers.
rm -f cups-drivers-0.3.6/usr/share/cups/model/canon/bj10.ppd
rm -f cups-drivers-0.3.6/usr/share/cups/model/hp/djet_890c.ppd
rm -f cups-drivers-0.3.6/usr/share/cups/model/hp/laserjet_gs.ppd

# Remove CUPS PPD files, there are newer versions of them in the CUPS
# package
rm -f cups-drivers-0.3.6/usr/share/cups/model/hp/laserjet.ppd
rm -f cups-drivers-0.3.6/usr/share/cups/model/hp/deskjet.ppd

# HP's PPD files for the PostScript LaserJets
%setup -q -T -D -a 202 -n printer-drivers-%{mainversion}/cups-drivers

%if 0
# More PPD files from HP for their PostScript LaserJets
# We load them into a temporary directory and then only keep the ones whose
# printers do not have already a PPD in the old PPD package. The old PPDs
# (designed for Windows NT and not for Mac) are better.
mkdir tmp
%setup -q -T -D -a 205 -n printer-drivers-%{mainversion}/cups-drivers/tmp
cd ..
cp --reply=no tmp/*.ppd hp-ppds-*/English
rm -rf tmp

# Fix model name in PPD for HP Color LaserJet 5/5M
%patch201 -p0

%setup -q -T -D -a 206 -n printer-drivers-%{mainversion}/cups-drivers/hp-ppds-*/English
bzcat %{SOURCE207} > hp_color_LaserJet_5500.ppd
bzcat %{SOURCE210} > hp_business_inkjet_2300.ppd
%endif

# Kyocera's PPD files for their PostScript printers
%setup -q -T -D -a 204 -n printer-drivers-%{mainversion}/cups-drivers/

# Epson's PPD files for their PostScript printers
%setup -q -T -D -a 208 -n printer-drivers-%{mainversion}/cups-drivers/

# OCE's PPD files for their PostScript printers
%setup -q -T -D -a 209 -n printer-drivers-%{mainversion}/cups-drivers/

# Okidata's PPD files for their PostScript printers
%setup -q -T -D -a 211 -n printer-drivers-%{mainversion}/cups-drivers/

##### PRINTER TESTPAGES

mkdir $RPM_BUILD_DIR/printer-drivers-%{mainversion}/printer-testpages

# Red Hat test pages
%setup -q -T -D -a 300 -n printer-drivers-%{mainversion}/printer-testpages

# Photo test page
bzcat %{SOURCE302} > $RPM_BUILD_DIR/printer-drivers-%{mainversion}/printer-testpages/photo-testpage.jpg



%build

##### IJS

cd $RPM_BUILD_DIR/printer-drivers-%{mainversion}/espgs-%{ghostscriptver}
cd ijs*
# For CVS snapshots autoconf must be called before
#autoconf
%configure
# Work around bug in "configure" script
perl -p -i -e 's/\@OBJEXT\@/o/g' Makefile
perl -p -i -e 's/\@EXEEXT\@//g' Makefile
%make
cd ..

##### GIMP PRINT

cd $RPM_BUILD_DIR/printer-drivers-%{mainversion}/print-%{gimpprintver}
# Check integrity of src/foomatic/foomatic-printermap
#../gimp-print-foomatic-integrity ../foomatic/
# "autogen.sh" instead of "configure" needed for the case when Gimp-Print
# driver is from CVS (see its README)
# Build with all pipes and whistles: GIMP, GhostScript, CUPS, IJS, Foomatic,
# but without translated PPD files (does not work)
# Use IJS library provided by this package
#export NOCONFIGURE=1; ./autogen.sh
%if %{gimpplugin}
export IJS_CONFIG=$RPM_BUILD_DIR/printer-drivers-%{mainversion}/espgs-%{ghostscriptver}/ijs/ijs-config; \
%configure --with-cups --with-user-guide --with-ijs --with-foomatic --with-foomatic3 --with-samples --with-escputil --without-translated-ppds
%else
export IJS_CONFIG=$RPM_BUILD_DIR/printer-drivers-%{mainversion}/espgs-%{ghostscriptver}/ijs/ijs-config; \
%configure --without-gimp --with-cups --with-user-guide --with-ijs --with-foomatic --with-foomatic3 --with-samples --with-escputil --without-translated-ppds
%endif
# Set paths to IJS library of this package
perl -p -i -e "s!-I%{_includedir}/ijs!-I$RPM_BUILD_DIR/printer-drivers-%{mainversion}/espgs-%{ghostscriptver}/ijs!g" src/ghost/Makefile
perl -p -i -e "s!-L%{_libdir}\s+-lijs!-L$RPM_BUILD_DIR/printer-drivers-%{mainversion}/espgs-%{ghostscriptver}/ijs/ -lijs!g" src/ghost/Makefile
# Compile Gimp-Print
%make
# Add the "stp" driver to GhostScript (Since GS 6.53 it is included, so it
# only needs to be added if something important changed on it)
%if 0
cp src/ghost/gdevstp.c ../espgs-%{ghostscriptver}/src
cat src/ghost/contrib.mak.addon >> ../espgs-%{ghostscriptver}/src/contrib.mak
#perl -p -i -e 's/stcolor.dev/stcolor.dev \$\(DD\)stp.dev/' ../espgs-%{ghostscriptver}/src/unix-gcc.mak
%endif
# Place GhostScript README file in GhostScript docs
cp src/ghost/README ../espgs-%{ghostscriptver}/doc/README.stp
# Make "gimp-print.h" accessable as "gimp-print/gimp-print.h" (for 
# GhostScript)
mkdir -p src/include/gimp-print
cp include/gimp-print/gimp-print.h src/include/gimp-print
# Modify the Makefile to not install the Foomatic data during the "make
# install" step, we will install it already in the build step of Foomatic
cd src/foomatic
# Set default values to get a better image quality: Image Type to
# "Photographs" and Gamma to 1.6.
perl -p -i -e 's:<arg_defval>1</arg_defval>:<arg_defval>1.6</arg_defval>:' foomatic-db/*/opt/gimp-print*-gamma.xml
perl -p -i -e 's:<arg_defval>gimp-print-(.*)LineArt</arg_defval>:<arg_defval>gimp-print-$1Photographs</arg_defval>:' foomatic-db/*/opt/gimp-print*-imagetype.xml
# Remove the hard-coded "foomatic-kitload" from the Makefile because it only
# works on an installed Foomatic database. We do the "foomatic-kitload"
# manually during the further build. The ":" is a neutral shell command, it
# does nothing and exits with 0, independent with which command line options
# it is called.
perl -p -i -e 's/FOOMATIC_KITLOAD\s*=.*$/FOOMATIC_KITLOAD = :/' Makefile
cd ../..

##### OMNI

%if %{buildomni}
export WANT_AUTOCONF_2_5=1
cd $RPM_BUILD_DIR/printer-drivers-%{mainversion}/espgs-%{ghostscriptver}/src/Omni
# Let automake 1.7 be used
#export OLDPATH=$PATH
#export PATH=`pwd`:$PATH
ln -s /usr/bin/automake-1.7 automake
ln -s /usr/bin/aclocal-1.7 aclocal
# Fix cups dir
perl -pi -e 's,^(DEFAULTCUPSEXEROOT)=/usr/lib/(cups/filter),\1=%{_libdir}/\2,' configure.ac
# Let setupOmni use also the current directory in the $PATH, so that the
# new automake and aclocal gets used
perl -pi -e 's@^(\#.\s*/bin/bash.*)$@$1\nexport PATH=\`pwd\`:\$PATH\n@' setupOmni
# Override check for automake version, it is broken
perl -pi -e 's:^\s*if\s*\(.4\s*>=\s*version\)\s*$:   if (1 >= 0)\n:g' setupOmni
# Fix missing slash in OmniFoomaticGenerator.cpp
perl -pi -e 's:\"foo2omni\":\"/foo2omni\":g' Foomatic/OmniFoomaticGenerator.cpp
# Build Omni
./setupOmni --libdir=%{_libdir}
#./setupOmni --prefix=/usr/lib/Omni
%make
# Build PPDs for CUPS
( cd CUPS; 
  make generateBuildPPDs
)
unset WANT_AUTOCONF_2_5
#export PATH=$OLDPATH
%endif

##### FOOMATIC

cd $RPM_BUILD_DIR/printer-drivers-%{mainversion}/foomatic-db

# Do not use "make" macro, as parallelized build of Foomatic does not
# work.

# Makefile generation ("./make_configure" for CVS snapshots)
./make_configure
# Fix for lib64 architectures, avoid patch
perl -pi -e "s@/usr/lib/(cups|pdq|ppr)@%{_libdir}/\1@g" configure
%configure

# "make" is not needed for this package, there is nothing to build

# Delete drivers which are not on the distro (obsolete drivers which are
# replaced by a new driver with a different name)
# "stp" replaced by "gimp-print"
rm -f db/source/driver/stp.xml
# "cZ11" replaced by "cZ11somsom"
rm -f db/source/driver/cZ11.xml
# "cZ11somsom" replaced by "lz11"
rm -f db/source/driver/cZ11somsom.xml
# "hpdj" replaced by "pcl3"
rm -f db/source/driver/hpdj.xml
# "lxm3200[mcp]" replaced by "lxm3200"
rm -f db/source/driver/lxm3200[mcp].xml
# "lxm3200" replaced by "lxm3200-tweaked"
rm -f db/source/driver/lxm3200.xml
# Japanese drivers which are not in our GhostScript
rm -f db/source/driver/bjc800j.xml
rm -f db/source/driver/bj10.xml

cd $RPM_BUILD_DIR/printer-drivers-%{mainversion}/foomatic-db-hpijs

# Makefile generation ("./make_configure" for CVS snapshots)
./make_configure
# Fix for lib64 architectures, avoid patch
perl -pi -e "s@/usr/lib/(cups|pdq|ppr)@%{_libdir}/\1@g" configure
%configure
make

cd $RPM_BUILD_DIR/printer-drivers-%{mainversion}/foomatic-filters

# Makefile generation ("./make_configure" for CVS snapshots)
./make_configure
# Fix for lib64 architectures, avoid patch
perl -pi -e "s@/usr/lib/(cups|pdq|ppr)@%{_libdir}/\1@g" configure
%configure
make

cd $RPM_BUILD_DIR/printer-drivers-%{mainversion}/foomatic-db-engine

# Makefile generation ("./make_configure" for CVS snapshots)
./make_configure
# Fix for lib64 architectures, avoid patch
perl -pi -e "s@/usr/lib/(cups|pdq|ppr)@%{_libdir}/\1@g" configure
%configure

# Fix for new library "make install" behaviour of Perl 5.8.1.
perl -p -i -e 's/PREFIX=\$\(DESTDIR\)\$\(PERLPREFIX\)/PREFIX=\$\(PERLPREFIX\)/' Makefile

# Inplace build of Foomatic package to do adjustments with the help of the
# Foomatic utilities 
make PERL_INSTALLDIRS=vendor inplace

# Delete drivers with empty command line prototype, they would give
# unusable printer/driver combos.
./foomatic-cleanupdrivers ../foomatic-db

# Copy Lexmark stuff into the database
./foomatic-kitload -k ../lexmark-foomatic-kit/foomatic-db

# Add the Foomatic data for Gimp-Print
#./foomatic-kitload -k ../print-%{gimpprintver}/src/foomatic/foomatic-db/gimp-print
./foomatic-kitload -k ../print-%{gimpprintver}/src/foomatic/foomatic-db/gimp-print-ijs

# Add the Foomatic data for HPIJS
./foomatic-kitload -k ../foomatic-db-hpijs/db/source
# Remove data for old patched HPIJS 1.2
rm -f ../foomatic-db/db/source/*/hpijs-rss*.xml

# Due to Omni being in experimental state, the Foomatic data for Omni will
# be shipped with the Omni package and (un)installed with the post/preun
# scripts of Omni

# Correct the default drivers of the printer entries to have a valid
# default for every printer.
./foomatic-preferred-driver

# Remove inplace build
make clean

# Final build of Foomatic package
# Use the real file names of the printing utilities to be independent of the
# update-alternatives configuration
make	LPD_LPR=/usr/bin/lpr-lpd \
        LPD_LPQ=/usr/bin/lpq-lpd \
        LPD_LPRM=/usr/bin/lprm-lpd \
        LPD_LPC=/usr/sbin/lpc-lpd \
        CUPS_LPR=/usr/bin/lpr-cups \
        CUPS_LPQ=/usr/bin/lpq-cups \
        CUPS_LPRM=/usr/bin/lprm-cups \
        CUPS_LPC=/usr/sbin/lpc-cups \
        CUPS_LP=/usr/bin/lp-cups \
        CUPS_CANCEL=/usr/bin/cancel-cups \
        CUPS_LPSTAT=/usr/bin/lpstat-cups \
        PDQ_PRINTRC=/etc/pdq/printrc \
        PREFIX=%{_prefix} \
        PERL_INSTALLDIRS=vendor \
        DESTDIR=%buildroot

chmod a+rx mkinstalldirs

##### GHOSTSCRIPT

cd $RPM_BUILD_DIR/printer-drivers-%{mainversion}/espgs-%{ghostscriptver}

# Needed so that GhostScript can communicate with Omni, this makes
# libstdc++ instead of libsupc++ being used
# The "-lz" is needed to make GhostScript's configure script auto-detecting
# libpng
export LDFLAGS="-rdynamic -lgmodule -lglib -ldl -lstdc++ -lz"

# The "-ffastmath" optimization option is removed because it breaks
# IJS/HPIJS (600 dpi on Letter/Legal paper did not work)

# We have a CVS version, so we must re-generate "configure"
autoconf

%configure --with-fontpath=/usr/share/fonts/default/ghostscript:/usr/share/fonts/default/Type1:/usr/share/ghostscript/fonts:/usr/share/ghostscript/Resource:/usr/share/ghostscript/CIDFont:/usr/share/fonts/ttf:/usr/share/fonts/type1 --with-x --with-ijs --with-drivers=ALL,stp --with-fontconfig

# Fix references to X11 libraries
perl -pi -e "s|(/usr/X11R6)/lib\b|\1/%{_lib}|g" src/*.mak

# Correct paths for CJK fonts
perl -p -i -e "s:/usr/share/ghostscript/:/usr/share/ghostscript/Resource/:g" lib/gs_res.ps
perl -p -i -e "s:ghostscript/Resource/fonts:ghostscript/Resource/Font:g" lib/gs_res.ps

make XCFLAGS="${RPM_OPT_FLAGS/-ffast-math/} -I../print-%{gimpprintver}/include/ -I/usr/include/freetype2 -DGS_DEVS_SHARED -DGS_DEVS_SHARED_DIR=\\\"%{_libdir}/ghostscript/%{ghostscriptver}\\\" -D_ds=\"/* */\"" XLDFLAGS="-L../print-%{gimpprintver}/src/main/.libs/ -lgimpprint -lttf -lfontconfig -lfreetype" prefix=%{_prefix} gssharedir=%{_libdir}/ghostscript/%{ghostscriptver} docdir=%{_docdir}/ghostscript-%{ghostscriptver} FEATURE_DEVS="./obj/psl3.dev ./obj/pdf.dev ./obj/dpsnext.dev ./obj/ttfont.dev ./obj/epsf.dev ./obj/pipe.dev ./obj/fzlib.dev ./obj/cidfont.dev"

# Do not break the rest of the programs in this package
unset LDFLAGS

# The german message file cannot be built any more, remove the command for
# building it from the Makefile
perl -n -i -e '/pcl3opts-de.msg/ || print $_' src/contrib.mak
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" prefix=%{_prefix} gssharedir=%{_libdir}/ghostscript/%{ghostscriptver} docdir=%{_docdir}/ghostscript-%{ghostscriptver} pcl3opts XLDFLAGS="-lttf"

##### PRINTER FILTERS AND OTHER STUFF

cd $RPM_BUILD_DIR/printer-drivers-%{mainversion}/printer-filters

# HPIJS
cd hpijs*
%configure
%make
cd ..

# Apple StyleWriter
cd stylewriter
gcc ${CFLAGS:-%optflags} -o lpstyl lpstyl.c
cd ..

# Canon CaPSL
cd cjet089
%make
cd ..

# Lexmark 1100
cd lm1100*
# Correct "friend" declarations for gcc 3.1
perl -p -i -e "s/friend Lexmark/friend class Lexmark/" *.h
%make
cd ..

# Lexmark 2070 colour
cd c2070-0.99
%make
cd ..

# Lexmark 2070 grayscale
cd Lexmark2070.latest
%make
cd ..

# Lexmark 7xxx, 57xx, Z51
cd lexmark7000linux-990516
%make
cd ..

# Lexmark Z11
#cd LexZ11-distro
cd lz11*
%make
cd ..

# Printer Utility Program
cd pup_1.1
make CC="gcc $CFLAGS -Wall -O2 -I/usr/include/glib-1.2"
cd ..

# HP DeskJet PPA printers
cd pnm2ppa*
make BINDIR=%{_bindir} CONFDIR=%{_sysconfdir} MANDIR=%{_mandir}/man1
cd ..
cd pbm2ppa-0.8.6
make
cd ..

# Lexmark 2050
cd c2050-0.4
%make
cd ..

# Lexmark 2030
cd pbm2l2030
%make
cd ..

# Okipage 4w and compatible winprinters
cd oki4linux-2.0/src
%make
cd ../..

# Citizen Printiva 600C
cd ppmtocpva-1.0
%make
cd ..

# CoStar and compatible label printers
cd pbm2lwxl
gcc $CFLAGS -o pbm2lwxl pbm2lwxl.c
cd ..

%ifarch %{ix86}
# Samsung ML-85G and QL-85G winprinters
cd ml85p*
make
[ -e printer-test.ps.gz ] && gunzip printer-test.ps.gz
cd ..
%endif

# Filter for the Lexmark Z42
cd drv_z42/src
gcc $CFLAGS -o z42_cmyk z42_cmyk.c
cd ../z42tool/
%configure
%make
cd ../..

# GhostScript wrapper for the Pentax PocketJet printers
cd pentaxpj
%make
cd ..

# Unix driver for MicroDry Printers
cd ppmtomd*
%make
cd ..

# Mtink - Printer maintenance/ink monitoring for Epson inkjets
cd mtink*
perl -p -i -e "s|(/usr/X11R6)/lib\b|\1/%{_lib}|g" Makefile.ORG
./Configure --no-suid --prefix /usr
%make
# Fix some small bugs
#perl -p -i -e "s/START_LEVEL=S99mtink/START_LEVEL=S59mtink/" etc/installInitScript.sh
#perl -p -i -e "s/STOP_LEVEL=K02mtink/START_LEVEL=K61mtink/" etc/installInitScript.sh
#perl -p -i -e "s/for d in 2 3 4 5/XXXXXXXXXX/" etc/installInitScript.sh
#perl -p -i -e "s/for d in 0 1 6/for d in 2 3 4 5/" etc/installInitScript.sh
#perl -p -i -e "s/XXXXXXXXXX/for d in 0 1 6/" etc/installInitScript.sh
#perl -p -i -e "s!cp mtink /etc/init.d!!" etc/installInitScript.sh
perl -p -i -e "s!chmod 744 /etc/init.d/mtink!!" etc/installInitScript.sh
perl -p -i -e "s!/dev/lp;!/dev/lp\*;!" etc/mtink
cd ..

# Poster - Poster-printing on stndard sized paper 
cd poster*
%make
cd ..

# HP LaserJet 1000
ln -s %{_libdir}/libjbig.a .
ln -s /usr/include/jbig.h .
gcc -O2 -W -o pbmtozjs pbmtozjs.c libjbig.a
head -34 pbmtozjs.c | tail -33 > pbmtozjs.txt

# Driver for Zenographics-based printers (Minolta magicolor 2300 DL, HP
# LaserJet 1000
cd foo2zjs*
# Suppress generation of PDF doc file, it needs GhostScript and GhostScript
# is introduced by this package
perl -p -i -e "s/all-icc2ps man doc/all-icc2ps man/" Makefile
%make
cd ..

# Driver for Epson EPL "L" series
cd epsonepl*
%configure2_5x
%make
cd ..

# Driver for Lexmark X125 (only printing)
cd drv_x125/src
%make
cd ../..
cd drv_x125_network/src
%make
cd ../..

%ifarch %{ix86}
# Driver for Canon LBP-460/660
cd lbp660*
%make
# Correct PPD files to pass "cupstestppd"
perl -p -i -e "s/DefaultNoReset/DefaultAlwaysReset/" ppd/*.ppd
# Do not generate a log file with fixed name, security problem!
perl -p -i -e "s:/tmp/lbp.60.log:/dev/null:" ppd/*.ppd
cd ..
%endif

# Driver for Lexmark X74/X75
cd lxx74*
# The source tarball has already all the stuff compiled, but we want to have
# our Mandrakelinux optimizations
%make clean
%make
cd ..

# Driver for Minolta magicolor 2300W
cd m2300w*
autoconf
%configure
# Omit the installation of the PPD in the Makefile, we use the Foomatic
# XML data
perl -p -i -e "s/src psfiles foomatic ppd/src psfiles/" Makefile
%make
cd ..

# Driver for Minolta PagePro 12xxW and 13xxW
cd min12xxw*
%make
cd ..

# Driver for Casio USB label printers
cd pegg*
%make
cd ..
cd xbm2crw*
# Nothing to be done
cd ..
cd cups2pegg*
# Suppress logging in cups2pegg backend
perl -p -i -e "s:/var/log/cups/cups2pegg.log:/dev/null:" cups2pegg
# Fix PPD file
perl -p -i -e "s/0.00 0.00 0.00 0.00/0.00 0.00 512.00 64.00/" casio_klkp.ppd
perl -p -i -e "s/casio_klkp.ppd/cas_klkp.ppd/" casio_klkp.ppd
cd ..

# Tool for reading USB device ID strings
gcc -o usb_id_test usb_id_test.c

##### CUPS DRIVERS

cd $RPM_BUILD_DIR/printer-drivers-%{mainversion}/cups-drivers

# Nothing to build

##### PRINTER TESTPAGES

cd $RPM_BUILD_DIR/printer-drivers-%{mainversion}/printer-testpages

# Mandrakeized CUPS test page
cat testprint.prolog.ps.in MDKlinux-ps1.eps testprint.epilog.ps.in > testprint.ps

# Red Hat test pages: Generate PS files of the XFig drawings
fig2dev -Lps -zLetter testpage.fig testpage.ps
fig2dev -Lps -zA4 testpage-a4.fig testpage-a4.ps



%install

rm -rf $RPM_BUILD_ROOT

# Make directories
install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{_libdir}
install -d $RPM_BUILD_ROOT%{_includedir}
install -d $RPM_BUILD_ROOT%{_sysconfdir}
install -d $RPM_BUILD_ROOT%{_mandir}/man1

##### IJS

cd $RPM_BUILD_DIR/printer-drivers-%{mainversion}/espgs-%{ghostscriptver}
cd ijs*
./configure --prefix=%buildroot/usr
# Work around bug in "configure" script
perl -p -i -e 's/\@OBJEXT\@/o/g' Makefile
perl -p -i -e 's/\@EXEEXT\@//g' Makefile
%makeinstall
# Fix prefix in ijs-config
perl -p -i -e "s:%buildroot/usr:/usr:" %buildroot/usr/bin/ijs-config
# BUG: /usr/bin/ijs_server_example not installed by "make install"
cp ijs_server_example %buildroot/usr/bin/
cd ..

##### GIMP PRINT

cd $RPM_BUILD_DIR/printer-drivers-%{mainversion}/print-%{gimpprintver}

# Fake the gimptool because it only installs into the root file system and
# not into buildroot
#cat >fakedgimptool <<EOF
##!/bin/sh
#install -m 755 print $RPM_BUILD_ROOT%{_libdir}/gimp/1.2/plug-ins/
#EOF
cat >fakedgimptool <<EOF
#!/bin/sh
gimptool \$* | perl -p -e "s:%{_libdir}:%{buildroot}%{_libdir}:"
EOF
chmod 755 fakedgimptool

%if %{gimpplugin}
# Make the directory for the GIMP-Plugin
install -d $RPM_BUILD_ROOT%{_libdir}/gimp/2.0/plug-ins/
%endif

# Install the files
%old_makeinstall GIMPTOOL=$RPM_BUILD_DIR/printer-drivers-%{mainversion}/print-%{gimpprintver}/fakedgimptool cups_conf_serverbin=$RPM_BUILD_ROOT%{_libdir}/cups cups_conf_datadir=$RPM_BUILD_ROOT%{_datadir}/cups cups_conf_serverroot=$RPM_BUILD_ROOT%{_sysconfdir}/cups gimp_plug_indir=$RPM_BUILD_ROOT%{_libdir}/gimp/2.0/plug-ins

# Documentation
install -d $RPM_BUILD_ROOT%{_docdir}/gimpprint-%{gimpprintver}
cp ABOUT-NLS AUTHORS COPYING ChangeLog NEWS README doc/users_guide/users-guide.ps $RPM_BUILD_ROOT%{_docdir}/gimpprint-%{gimpprintver}
#cp -ax doc/manual-html $RPM_BUILD_ROOT%{_docdir}/gimpprint-%{gimpprintver}
cp src/cups/README $RPM_BUILD_ROOT%{_docdir}/gimpprint-%{gimpprintver}/README.cups
# Set links so that users find the HTML version of the User's Guide more
# easily
( cd $RPM_BUILD_ROOT%{_docdir}/gimpprint-%{gimpprintver}/html
  ln -s book1.html users_guide.html
)
( cd $RPM_BUILD_ROOT%{_docdir}/gimpprint-%{gimpprintver}/
  ln -s html users-guide-html
)
# Remove /usr/share/info/dir
rm -f $RPM_BUILD_ROOT%{_datadir}/info/dir

##### FOOMATIC

cd $RPM_BUILD_DIR/printer-drivers-%{mainversion}/foomatic-db

# Replace "-dPARANOIDSAFER" by "-dSAFER" in all GhostScript command lines
# in the Foomatic database, as it breaks CJK printing
#perl -p -i -e "s/-dPARANOIDSAFER/-dSAFER/" db/source/driver/*.xml

# Do not use "make" macro, as parallelized build of Foomatic does not
# work.

# Install data files
make	PREFIX=%{_prefix} \
        DESTDIR=%buildroot \
        install

# Install documentation
install -d %buildroot%{_docdir}/foomatic-db-%{foomaticver}
cp README USAGE TODO ChangeLog \
	%buildroot%{_docdir}/foomatic-db-%{foomaticver}

cd $RPM_BUILD_DIR/printer-drivers-%{mainversion}/foomatic-db-hpijs

# Install documentation
cp README \
	%buildroot%{_docdir}/foomatic-db-%{foomaticver}/README.hpijs
cp USAGE \
	%buildroot%{_docdir}/foomatic-db-%{foomaticver}/USAGE.hpijs
cp TODO \
	%buildroot%{_docdir}/foomatic-db-%{foomaticver}/TODO.hpijs
cp ChangeLog \
	%buildroot%{_docdir}/foomatic-db-%{foomaticver}/ChangeLog.hpijs

cd $RPM_BUILD_DIR/printer-drivers-%{mainversion}/foomatic-filters

# Install program files
make	PREFIX=%{_prefix} \
        DESTDIR=%buildroot \
        install

# Remove superfluous file
rm -f %buildroot/etc/foomatic/filter.conf.sample

# Link to make Foomatic 2.0.x CUPS queues working with Foomatic 3.0.x
ln -s %{_bindir}/foomatic-rip %buildroot%{_libdir}/cups/filter/cupsomatic

# Install documentation
install -d %buildroot%{_docdir}/foomatic-filters-%{foomaticver}
#cp -ax ../pht/* %buildroot%{_docdir}/foomatic-filters-%{foomaticver}
cp ../lexmark-foomatic-kit/README \
	%buildroot%{_docdir}/foomatic-filters-%{foomaticver}/README.lexmark
cp README USAGE TODO ChangeLog \
	%buildroot%{_docdir}/foomatic-filters-%{foomaticver}

cd $RPM_BUILD_DIR/printer-drivers-%{mainversion}/foomatic-db-engine

# Install program files
eval `perl '-V:installsitelib'`
mkdir -p $RPM_BUILD_ROOT/$installsitelib
export INSTALLSITELIB=$RPM_BUILD_ROOT/$installsitelib
make	PREFIX=%{_prefix} \
        DESTDIR=%buildroot \
        INSTALLSITELIB=$RPM_BUILD_ROOT/$installsitelib \
        install

# Install documentation
install -d %buildroot%{_docdir}/foomatic-db-engine-%{foomaticver}
cp README USAGE TODO ChangeLog Foomatic-Devel-Ideas.txt\
	%buildroot%{_docdir}/foomatic-db-engine-%{foomaticver}

cd $RPM_BUILD_DIR/printer-drivers-%{mainversion}

# Install the scripts for usage of Lexmark's inkjet drivers
install -m 755 lexmark-foomatic-kit/lexmarkwrapper %buildroot%{_bindir}
install -m 755 lexmark-foomatic-kit/lexmarkmaintain %buildroot%{_sbindir}
install -m 755 lexmark-foomatic-kit/lexmarkinstall %buildroot%{_sbindir}

# Use update-alternatives to make "foomatic-printjob" also possible through
# the usual printing commands
 
( cd $RPM_BUILD_ROOT%{_bindir}
  ln -s foomatic-printjob lpr-foomatic
  ln -s foomatic-printjob lpq-foomatic
  ln -s foomatic-printjob lprm-foomatic
)
( cd $RPM_BUILD_ROOT%{_sbindir}
  ln -s %{_bindir}/foomatic-printjob lpc-foomatic
)

##### OMNI

%if %{buildomni}
export WANT_AUTOCONF_2_5=1
cd $RPM_BUILD_DIR/printer-drivers-%{mainversion}/espgs-%{ghostscriptver}/src/Omni
# Install Omni
#make DESTDIR=$RPM_BUILD_ROOT DEFAULTFOOMATICROOT=$RPM_BUILD_ROOT/opt/Omni/foomatic-kit FOOMATICROOT=$RPM_BUILD_ROOT/opt/Omni/foomatic-kit install
make DESTDIR=$RPM_BUILD_ROOT install
# We use only the CUPS driver, Foomatic support in Omni is currently broken
#( cd Foomatic
#  make DESTDIR=$RPM_BUILD_ROOT localInstall
#)
#make DESTDIR=$RPM_BUILD_ROOT localInstall
# Let Omni physically reside in /usr/lib/Omni
#mv $RPM_BUILD_ROOT/opt/Omni $RPM_BUILD_ROOT%{_libdir}/Omni
#ln -s %{_libdir}/Omni $RPM_BUILD_ROOT/opt/Omni
# Install the CUPS filter
#install -d $RPM_BUILD_ROOT%{_libdir}/cups/filter
#ln -s %{_libdir}/Omni/bin/CUPSToOmni $RPM_BUILD_ROOT%{_libdir}/cups/filter
# A test frontend for the Omni job dialog
cp -a JobDialog/Tester $RPM_BUILD_ROOT%{_bindir}/OmniJobDialogTester
# Documentation
install -d $RPM_BUILD_ROOT%{_docdir}/omni-%{omniver}
cp -ax docs/* $RPM_BUILD_ROOT%{_docdir}/omni-%{omniver}
cp CUPS/Readme.htm $RPM_BUILD_ROOT%{_docdir}/omni-%{omniver}/CUPS-Readme.html
unset WANT_AUTOCONF_2_5
%endif

##### GHOSTSCRIPT

cd $RPM_BUILD_DIR/printer-drivers-%{mainversion}/espgs-%{ghostscriptver}

mkdir -p $RPM_BUILD_ROOT%{_docdir}
mkdir -p $RPM_BUILD_ROOT%{_docdir}/ghostscript-%{ghostscriptver}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/ghostscript/%{ghostscriptver}
# beware of gssharedir and docdir which are not used by macro by default.
%old_makeinstall gssharedir=$RPM_BUILD_ROOT%{_libdir}/ghostscript/%{ghostscriptver} docdir=$RPM_BUILD_ROOT%{_docdir}/ghostscript-%{ghostscriptver} bindir=$RPM_BUILD_ROOT%{_bindir} man1dir=$RPM_BUILD_ROOT%{_mandir}/man1
find $RPM_BUILD_ROOT%{_mandir} -type f -exec bzip2 -9f {} \;
ln -sf gs.1.bz2 $RPM_BUILD_ROOT%{_mandir}/man1/ghostscript.1.bz2
mv $RPM_BUILD_ROOT%{_bindir}/gs $RPM_BUILD_ROOT%{_bindir}/gs-common
cp -f doc/*.pcl3 doc/*.stp doc/*.lx* doc/*.Alps_MD2K_MD5K $RPM_BUILD_ROOT%{_docdir}/ghostscript-%{ghostscriptver}
cp -af pcl3/doc $RPM_BUILD_ROOT%{_docdir}/ghostscript-%{ghostscriptver}/pcl3-doc

# ps2pdfpress
install -m 755 ps2pdfpress $RPM_BUILD_ROOT%{_bindir}

# "pstoraster" wrapper script to make GhostScript being used as the
# cups-internal RIP
install -d $RPM_BUILD_ROOT%{_libdir}/cups/filter
install -m 755 pstoraster/pstoraster $RPM_BUILD_ROOT%{_libdir}/cups/filter
install -d $RPM_BUILD_ROOT%{_sysconfdir}/cups
install -m 644 pstoraster/pstoraster.convs $RPM_BUILD_ROOT%{_sysconfdir}/cups

# "pcl3" driver
%make prefix=$RPM_BUILD_ROOT/usr gssharedir=$RPM_BUILD_ROOT%{_libdir}/ghostscript/%{ghostscriptver} docdir=$RPM_BUILD_ROOT%{_docdir}/ghostscript-%{ghostscriptver} bindir=$RPM_BUILD_ROOT%{_bindir} man1dir=$RPM_BUILD_ROOT%{_mandir}/man1 pcl3-install

# Install adobe CMap and ToCode CMap from gs-cjk project. (dxiaoming@mandrakesoft.com)
install -d $RPM_BUILD_ROOT%{_prefix}/share/ghostscript/Resource/
install -d $RPM_BUILD_ROOT%{_prefix}/share/ghostscript/Resource/Font
install -d $RPM_BUILD_ROOT%{_prefix}/share/ghostscript/Resource/CIDFont
#ln -sf %{_prefix}/share/ghostscript/Resource/CIDFont $RPM_BUILD_ROOT%{_prefix}/share/ghostscript/CIDFont
tar xvjf %{SOURCE30} -C $RPM_BUILD_ROOT%{_prefix}/share/ghostscript/Resource
tar xvjf %{SOURCE31} -C $RPM_BUILD_ROOT%{_prefix}/share/ghostscript/Resource
tar xvjf %{SOURCE32} -C $RPM_BUILD_ROOT%{_prefix}/share/ghostscript/Resource
tar xvjf %{SOURCE33} -C $RPM_BUILD_ROOT%{_prefix}/share/ghostscript/7.07/lib

# Change the truetype font directories correcspondant to the distrubution. (dxiaoming@mandrakesoft.com)
cd $RPM_BUILD_ROOT%{_prefix}/share/ghostscript/Resource
rm -f alias-ac13.sh alias-ag14.sh alias-aj14.sh alias-aj20.sh alias-ak12.sh
sed 's/TTFontDir=\/usr\/local\/share\/fonts\/truetype/TTFontDir=\/usr\/share\/fonts\/ttf\/big5/g' alias-cid.sh > alias-ac13.sh
sed 's/TTFontDir=\/usr\/local\/share\/fonts\/truetype/TTFontDir=\/usr\/share\/fonts\/ttf\/gb2312/g' alias-cid.sh > alias-ag14.sh
sed 's/TTFontDir=\/usr\/local\/share\/fonts\/truetype/TTFontDir=\/usr\/share\/fonts\/ttf\/japanese/g' alias-cid.sh > alias-aj14.sh
sed 's/TTFontDir=\/usr\/local\/share\/fonts\/truetype/TTFontDir=\/usr\/share\/fonts\/ttf\/japanese/g' alias-cid.sh > alias-aj20.sh
sed 's/TTFontDir=\/usr\/local\/share\/fonts\/truetype/TTFontDir=\/usr\/share\/fonts\/ttf\/korean/g' alias-cid.sh > alias-ak12.sh
chmod +x alias-ac13.sh alias-ag14.sh alias-aj14.sh alias-aj20.sh alias-ak12.sh
cd $RPM_BUILD_DIR/printer-drivers-%{mainversion}/espgs-%{ghostscriptver}

##### PRINTER FILTERS AND OTHER STUFF

cd $RPM_BUILD_DIR/printer-drivers-%{mainversion}/printer-filters

# HPIJS
cp -f hpijs*/hpijs $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/HPDeskJetPCL_HPIJS
cp -f hpijs*/*.html hpijs*/*.png hpijs*/LICENSE $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/HPDeskJetPCL_HPIJS

# Apple StyleWriter
cd stylewriter
# Program files
install -m 755 lpstyl $RPM_BUILD_ROOT%{_bindir}
# Documentation
chmod -R a+rX *
install -d $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/AppleStyleWriter
cp -ax scripts Makefile.atalk README* adsp.* printcap.* styl.ppd \
	$RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/AppleStyleWriter
cd ..

# Canon CaPSL
cd cjet089
# Program files
install -m 755 cjet $RPM_BUILD_ROOT%{_bindir}
# Documentation
install -d $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/CanonCaPSL
cp -ax README INSTALL COPYING TODO ChangeLog samples \
	$RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/CanonCaPSL
cd ..

# Lexmark 1100
cd lm1100*
# Executables (filter for usage with CUPS and printer emulator script for
# development and debugging (also debugging this RPM w/o Lexmark 1100).
install -m 0755 lm1100 $RPM_BUILD_ROOT%{_bindir}
install -m 0755 lexmark2ppm.pl $RPM_BUILD_ROOT%{_bindir}
install -m 0755 byteutil.pl $RPM_BUILD_ROOT%{_bindir}
# LPD support
install -d $RPM_BUILD_ROOT%{_libdir}/rhs/rhs-printfilters
[ -e ps-to-lm1100.fpi ] || mv ps-to-printer.fpi ps-to-lm1100.fpi # file name conflict
install -m 0755 ps-to-lm1100.fpi $RPM_BUILD_ROOT%{_libdir}/rhs/rhs-printfilters
ln -s %{_bindir}/lm1100 \
	$RPM_BUILD_ROOT%{_libdir}/rhs/rhs-printfilters
# Documentation
install -d $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/Lexmark1100
install -m 0644 LICENSE $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/Lexmark1100
install -m 0644 README $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/Lexmark1100
install -m 0644 RELEASE.txt $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/Lexmark1100
install -m 0644 cmy.txt $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/Lexmark1100
cd ..

# Lexmark 2070 colour
cd c2070-0.99
# Program files
install -m 755 c2070 $RPM_BUILD_ROOT%{_bindir}
# Documentation
install -d $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/Lexmark2070colour
cp -ax README LICENSE \
	$RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/Lexmark2070colour
cd ..

# Lexmark 2070 grayscale
cd Lexmark2070.latest
# Program files
install -m 755 Lexmark2070 $RPM_BUILD_ROOT%{_bindir}
# Documentation
install -d $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/Lexmark2070gray
cp -ax README LICENSE \
	$RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/Lexmark2070gray
cd ..

# Lexmark 7xxx, 57xx, Z51
cd lexmark7000linux-990516
# Program and data files
%old_makeinstall
# Documentation
install -d $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/Lexmark7xxx_57xx_Z51
install -m 0644 CHANGES $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/Lexmark7xxx_57xx_Z51
install -m 0644 README $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/Lexmark7xxx_57xx_Z51
install -m 0644 lexmark5700-filter $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/Lexmark7xxx_57xx_Z51
install -m 0644 lexmark7000-filter $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/Lexmark7xxx_57xx_Z51
install -m 0644 lexmark7000linux-990516.lsm $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/Lexmark7xxx_57xx_Z51
install -m 0644 lexmarkprotocol.txt $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/Lexmark7xxx_57xx_Z51
install -m 0644 *.p?? $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/Lexmark7xxx_57xx_Z51
cd ..

# Lexmark Z11
cd lz11*
# Program and data files
install -m 755 cZ11-V2 $RPM_BUILD_ROOT%{_bindir}
ln -s %{_bindir}/cZ11-V2 $RPM_BUILD_ROOT%{_bindir}/cZ11
install -m 755 cZ11-bit* $RPM_BUILD_ROOT%{_bindir}
install -m 755 lz11.* $RPM_BUILD_ROOT%{_bindir}
#install -d $RPM_BUILD_ROOT/etc/LexmarkZ11/
#install -m 644 prolog.prn $RPM_BUILD_ROOT/etc/LexmarkZ11/
#rm -f $RPM_BUILD_ROOT%{_datadir}/foomatic/db/source/*/lz11*.xml
#install -m 644 foomatic/driver/lz11.xml $RPM_BUILD_ROOT%{_datadir}/foomatic/db/source/driver/
#install -m 644 foomatic/opt/lz11*.xml $RPM_BUILD_ROOT%{_datadir}/foomatic/db/source/opt/
# Documentation
install -d $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/LexmarkZ11
cp -ax README CHANGELOG INSTALL \
	$RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/LexmarkZ11
cd ..

# Printer Utility Program
# Program file
install -m 755 pup_1.1/pup $RPM_BUILD_ROOT%{_bindir}
# Documentation
install -d $RPM_BUILD_ROOT%{_docdir}/printer-utils-%{mainversion}/
install -d $RPM_BUILD_ROOT%{_docdir}/printer-utils-%{mainversion}/PUP
cp -ax pup_1.1/README \
	$RPM_BUILD_ROOT%{_docdir}/printer-utils-%{mainversion}/PUP

# Lexmark printer maintenance
# Program and data files
install -m 755 lxcontrol/lx.control $RPM_BUILD_ROOT%{_bindir}
install -m 755 lm1100maint/lm1100change $RPM_BUILD_ROOT%{_bindir}
install -m 755 lm1100maint/lm1100back $RPM_BUILD_ROOT%{_bindir}
install -m 755 changecartridge $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/lxcontrol
cp -f lxcontrol/*.out $RPM_BUILD_ROOT%{_datadir}/lxcontrol/
( cd $RPM_BUILD_ROOT%{_bindir}
  ln -s lx.control headclean
  ln -s lx.control headalign
  ln -s lx.control showcartridges
  ln -s lx.control hidecartridges
)
mkdir -p $RPM_BUILD_ROOT%{_datadir}/lm1100maint
cp -f lm1100maint/lexmark* \
	$RPM_BUILD_ROOT%{_datadir}/lm1100maint/
# Documentation
install -d $RPM_BUILD_ROOT%{_docdir}/printer-utils-%{mainversion}/
install -d $RPM_BUILD_ROOT%{_docdir}/printer-utils-%{mainversion}/LexmarkMaintenance
cp -ax README.LexmarkOptra40_45 lxcontrol/README.* lm1100maint/README.* \
	README.changecartridge README.Lexmark-Maintenance \
	$RPM_BUILD_ROOT%{_docdir}/printer-utils-%{mainversion}/LexmarkMaintenance

# Install margin and offset adjustment script in /usr/sbin
bzcat %{SOURCE75} > $RPM_BUILD_ROOT%{_sbindir}/alignmargins

# Install a script to display the test page on the screen for colour
# adjustment
cat <<EOF > $RPM_BUILD_ROOT%{_bindir}/displaytestpage
#!/bin/sh
ps2img="gs -dQUIET -dNOPAUSE -dBATCH -sDEVICE=pnm -r75x75 -sOUTPUTFILE=- -"
testpage=/usr/share/cups/data/testprint.ps

TMPFILE=~/.displaytestpage.pnm
if [ -x /usr/bin/kview ]; then
  cat \$testpage | \$ps2img > \$TMPFILE 
  /usr/bin/kview \$TMPFILE
elif [ -x /usr/bin/ee ]; then
  cat \$testpage | \$ps2img > \$TMPFILE 
  /usr/bin/ee \$TMPFILE
elif [ -x /usr/bin/gqview ]; then
  cat \$testpage | \$ps2img > \$TMPFILE 
  /usr/bin/gqview \$TMPFILE
elif [ -x /usr/bin/xv ]; then
  cat \$testpage | \$ps2img | /usr/bin/xv -
elif [ -x /usr/bin/kghostview ]; then
  /usr/bin/kghostview \$testpage
elif [ -x /usr/X11R6/bin/gv ]; then
  /usr/X11R6/bin/gv \$testpage
elif [ -x /usr/X11R6/bin/ghostview ]; then
  /usr/X11R6/bin/ghostview \$testpage
else
  xmessage "No suitable program for viewing PostScript found, install GhostView, gv, or similar."
  exit 1
fi
rm \$TMPFILE
EOF
chmod a+rx $RPM_BUILD_ROOT/usr/bin/displaytestpage

# Menu entries for printer-utils package
# Menu icon
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/locolor/16x16/apps/
install -m 644 printutils.png $RPM_BUILD_ROOT%{_datadir}/icons/locolor/16x16/apps/
# Menu entries
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF > $RPM_BUILD_ROOT%{_menudir}/printer-utils
?package(printer-utils): needs=X11 \
section=Configuration/Printing \
title="Printer Utility Program" \
longtitle="Graphical tool to set default options in many laser printers and maintenance for inkjets" \
command="/usr/bin/pup" \
icon="%{_datadir}/icons/locolor/16x16/apps/printutils.png"
?package(printer-utils): needs=text \
section=Configuration/Printing/Lexmark \
title="Change Cartridge in a Lexmark 5xxx or 7xxx" \
longtitle="Tool to get the print head out to change the cartridges and to put it back afterwards" \
command="/usr/bin/changecartridge" \
icon="%{_datadir}/icons/locolor/16x16/apps/printutils.png"
?package(printer-utils): needs=text \
section=Configuration/Printing/Lexmark \
title="Command line tools for Lexmark 5xxx or 7xxx" \
longtitle="Printer maintenance commands: Change cartridges, clean nozzles, ..." \
command="/usr/bin/lx.control" \
icon="%{_datadir}/icons/locolor/16x16/apps/printutils.png"
?package(printer-utils): needs=text \
section=Configuration/Printing/Lexmark \
title="Change Cartridge in a Lexmark 1xxx" \
longtitle="To get the print head of the printer accessible" \
command="/usr/bin/lm1100change" \
icon="%{_datadir}/icons/locolor/16x16/apps/printutils.png"
?package(printer-utils): needs=text \
section=Configuration/Printing/Lexmark \
title="Park Cartridge in a Lexmark 1xxx" \
longtitle="To put the print head back into the corner after changing the cartridges" \
command="/usr/bin/lm1100back" \
icon="%{_datadir}/icons/locolor/16x16/apps/printutils.png"
?package(printer-utils): needs=X11 \
section=Configuration/Printing \
title="Display printer test page (for colour adjustment)" \
longtitle="Display printer test page (for colour adjustment)" \
command="/usr/bin/displaytestpage" \
icon="/usr/share/icons/locolor/16x16/apps/printutils.png"
?package(printer-utils): needs=X11 \
section=Configuration/Printing \
title="Mtink - Epson inkjet printer maintenance and ink level monitor" \
longtitle="Epson inkjet printer maintenance (Head cleaning and alignment, ink level display, cartridge change, ...)" \
command="/usr/bin/mtink" \
icon="/usr/share/icons/locolor/16x16/apps/printutils.png"
?package(printer-utils): needs=X11 \
section=Applications/Monitoring \
title="Mtink - Epson inkjet printer maintenance and ink level monitor" \
longtitle="Epson inkjet printer maintenance (Head cleaning and alignment, ink level display, cartridge change, ...)" \
command="/usr/bin/mtink" \
icon="/usr/share/icons/locolor/16x16/apps/printutils.png"
?package(printer-utils): needs=text \
section=Configuration/Printing/Lexmark \
title="Head alignment and nozzle cleaning pages for Z22, Z32, or Z52" \
longtitle="This program needs Lexmark's printer drivers." \
command="%{_bindir}/printerUtilsWaitForKey /usr/sbin/lexmarkmaintain" \
icon="/usr/share/icons/locolor/16x16/apps/printutils.png"
?package(printer-utils): needs=text \
section=Configuration/Printing \
title="Adjust margins and offsets of printed pages" \
longtitle="Adjust the position and the margins of the printed contents on the paper" \
command="%{_bindir}/printerUtilsWaitForKey /usr/sbin/alignmargins" \
icon="/usr/share/icons/locolor/16x16/apps/printutils.png"
?package(printer-utils): needs=text \
section=Configuration/Printing \
title="Calibrate colour printer (Gimp-Print CUPS drivers)" \
longtitle="Calibrate colour printer (Gimp-Print CUPS drivers, 'CUPS + GIMP-print')" \
command="%{_bindir}/printerUtilsWaitForKey /usr/bin/cups-calibrate" \
icon="/usr/share/icons/locolor/16x16/apps/printutils.png"
?package(printer-utils): needs=X11 \
section=Configuration/Printing/Lexmark \
title="Maintenance tool for Lexmark Z42, Z43, and Z52" \
longtitle="Head alignment, nozzle cleaning, ... for Lexmark Z42, Z43, and Z52" \
command="/usr/bin/z42tool" \
icon="/usr/share/icons/locolor/16x16/apps/printutils.png"
EOF

# Install a helper script for text mode menu programs to wait for the user
# pressing a key before the window closes
cat <<EOF > $RPM_BUILD_ROOT%{_bindir}/printerUtilsWaitForKey
#!/bin/sh
\$*
echo ''
echo 'Press ENTER to close this window!'
read
EOF
chmod a+rx $RPM_BUILD_ROOT%{_bindir}/printerUtilsWaitForKey

# HP DeskJet PPA printers
cd pnm2ppa-*
install -m 0644  docs/en/pnm2ppa.1 $RPM_BUILD_ROOT%{_mandir}/man1
%old_makeinstall BINDIR=$RPM_BUILD_ROOT%{_bindir} CONFDIR=$RPM_BUILD_ROOT%{_sysconfdir} MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1
install -m 0755 utils/Linux/detect_ppa $RPM_BUILD_ROOT%{_bindir}
install -m 0755 utils/Linux/test_ppa $RPM_BUILD_ROOT%{_bindir}
install -d  $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/HPDeskJetPPA/pnm2ppa
install -m 0644 *.ps $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/HPDeskJetPPA/pnm2ppa
cd docs/en
for file in * ; do
  if  [ -f $file ] ; then
     install -m 0644  $file $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/HPDeskJetPPA/pnm2ppa
  fi
done
rm -f $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/HPDeskJetPPA/pnm2ppa/pnm2ppa.1
cd ../..
cp -ax ppa_protocol rhs-printfilters sample_scripts README.security Changelog $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/HPDeskJetPPA/pnm2ppa
cd ..
cd pbm2ppa-0.8.6
install -m 0755 pbm2ppa  $RPM_BUILD_ROOT%{_bindir}
install -m 0755 pbmtpg   $RPM_BUILD_ROOT%{_bindir}
install -m 0644 pbm2ppa.conf   $RPM_BUILD_ROOT%{_sysconfdir}
install -m 0644 pbm2ppa.1   $RPM_BUILD_ROOT%{_mandir}/man1
install -d  $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/HPDeskJetPPA/pbm2ppa
for file in CALIBRATION CREDITS INSTALL INSTALL-MORE LICENSE README ; do
  if [ -f $file ] ; then
    install -m 0644  $file $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/HPDeskJetPPA/pbm2ppa
  fi
done
cd ..
install -m 0644 README.calibration $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/HPDeskJetPPA

# Lexmark 2050
cd c2050-0.4
# Program file
install -m 0755 c2050 $RPM_BUILD_ROOT%{_bindir}
# Documentation
install -d $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/Lexmark2050
cp -ax README COPYING ps2lexmark \
	$RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/Lexmark2050
cd ..

# Lexmark 2030
cd pbm2l2030
# Program file
install -m 0755 pbm2l2030 $RPM_BUILD_ROOT%{_bindir}
# Documentation
install -d $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/Lexmark2030
cp -ax README.TXT LICENSE \
	$RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/Lexmark2030
cd ..

# Okipage 4w and compatible winprinters
cd oki4linux-2.0/src
# Program files
install -m 0755 oki4drv $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{_sbindir}
install -m 0755 oki4daemon $RPM_BUILD_ROOT%{_sbindir}
cd ../..
install -d $RPM_BUILD_ROOT%{_initrddir}
install -m 0755 oki4daemon $RPM_BUILD_ROOT%{_initrddir}
install -m 0755 oki4w_install $RPM_BUILD_ROOT%{_sbindir}
# Documentation
install -d $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/OKI-Winprinters
cp -ax README.OKI-Winprinters \
	$RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/OKI-Winprinters
cd oki4linux-2.0
cp -ax COPYING ChangeLog README crack doc samples \
	$RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/OKI-Winprinters
cd src
cp -ax README.oki4daemon align.ps oki4daemon.init \
	$RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/OKI-Winprinters
install -m 0644 oki4drv.man $RPM_BUILD_ROOT%{_mandir}/man1/oki4drv.1
cd ../..
# Menu icon
install -m 644 printutils.png $RPM_BUILD_ROOT%{_datadir}/icons/locolor/16x16/apps/OKI4wInst.png
# Menu entries
cat <<EOF > $RPM_BUILD_ROOT%{_menudir}/printer-filters
?package(printer-filters): needs=text \
section=Configuration/Printing \
title="Install OKI 4w or compatible" \
longtitle="Install OKI 4w or compatible (these printers need an extra daemon!)" \
command="/usr/sbin/oki4w_install" \
icon="%{_datadir}/icons/locolor/16x16/apps/OKI4wInst.png"
EOF

# Citizen Printiva 600C
cd ppmtocpva-1.0
# Program files
install -m 0755 ppmtocpva $RPM_BUILD_ROOT%{_bindir}
install -m 0755 cpva-colour $RPM_BUILD_ROOT%{_bindir}
# Documentation
install -d $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/CitizenPrintiva600C
cp -ax README \
	$RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/CitizenPrintiva600C
cd ..

# CoStar and compatible label printers
cd pbm2lwxl
# Program file
install -m 0755 *2lwxl $RPM_BUILD_ROOT%{_bindir}
# Documentation
install -d $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/DymoCoStarAvery-LabelPrinters
cp -ax README *.html \
	$RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/DymoCoStarAvery-LabelPrinters
cd ..

%ifarch %{ix86}
# Samsung ML-85G and QL-85G winprinters
cd ml85p-*
# Program file
install -m 4750 ml85p $RPM_BUILD_ROOT%{_bindir}
# Documentation
install -d $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/SamsungML-85G
cp -ax COPYING NEWS README THANKS ml85-print ml85-test ml85p-*.lsm \
	printcap \
	$RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/SamsungML-85G
cd ..
%endif

# Filter for the Lexmark Z42
cd drv_z42/src
# Program file
install -s -m 755 z42_cmyk $RPM_BUILD_ROOT%{_bindir}
cd ../z42tool/
%makeinstall
cd ..
# Documentation
install -d $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/LexmarkZ42
cp -ax COPYING README FAQ ChangeLog \
	$RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/LexmarkZ42
cp -ax z42tool/README \
	$RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/LexmarkZ42/README.z42tool
cd ..

# GhostScript wrapper for the Pentax PocketJet printers
cd pentaxpj
# Program files
install -d $RPM_BUILD_ROOT%{_libdir}/pentaxpj
cp -a BWidget-1.3.1 pentaxpj pentaxsetup pentax.xpm test-page.ps.gz\
	$RPM_BUILD_ROOT%{_libdir}/pentaxpj
ln -s %{_libdir}/pentaxpj/pentaxsetup $RPM_BUILD_ROOT%{_sbindir}
ln -s %{_libdir}/pentaxpj/pentaxpj $RPM_BUILD_ROOT%{_bindir}
cat > $RPM_BUILD_ROOT%{_sysconfdir}/pentaxpj.conf <<EOF
#
set settings(driverpath) %{_libdir}/pentaxpj
EOF
# Documentation
install -d $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/PentaxPocketJet
cp -ax README \
	$RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/PentaxPocketJet
cd ..

# Unix driver for MicroDry Printers
cd ppmtomd*
# Program files
install -m 0755 ppmtomd $RPM_BUILD_ROOT%{_bindir}
# Documentation
install -d $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/MicroDryPrinters
cp -ax LICENCE \
	$RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/MicroDryPrinters
cp ppmtomd.man $RPM_BUILD_ROOT%{_mandir}/man1/ppmtomd.1
cd ..

# Mtink - Printer maintenance/ink monitoring for Epson inkjets
cd mtink*
# Program files
install -d $RPM_BUILD_ROOT%{_libdir}/cups/backend
install -m 0755 mtink $RPM_BUILD_ROOT%{_bindir}
install -m 0755 ttink $RPM_BUILD_ROOT%{_bindir}
install -m 0755 mtinkc $RPM_BUILD_ROOT%{_bindir}
install -m 0755 mtinkd $RPM_BUILD_ROOT%{_sbindir}
install -m 0755 etc/mtink $RPM_BUILD_ROOT%{_initrddir}
install -m 0755 etc/installInitScript.sh $RPM_BUILD_ROOT%{_sbindir}/mtink-installInitScript
install -m 0755 detect/askPrinter $RPM_BUILD_ROOT%{_sbindir}
install -m 0755 etc/mtink-cups $RPM_BUILD_ROOT%{_libdir}/cups/backend/mtink
install -m 0755 gimp-mtink $RPM_BUILD_ROOT%{_libdir}/gimp/2.0/plug-ins/
install -d $RPM_BUILD_ROOT/var/mtink
# Documentation
install -d $RPM_BUILD_ROOT%{_docdir}/printer-utils-%{mainversion}/EpsonInkjetMaintenance
cp -ax CHANGE.LOG doc/* \
	$RPM_BUILD_ROOT%{_docdir}/printer-utils-%{mainversion}/EpsonInkjetMaintenance
cp -ax etc/readme $RPM_BUILD_ROOT%{_docdir}/printer-utils-%{mainversion}/EpsonInkjetMaintenance/README.mtinkd.startup
cd ..

# Poster - Poster-printing on stndard sized paper 
cd poster*
# Program files
install -m 0755 poster $RPM_BUILD_ROOT%{_bindir}
# Documentation
cp poster.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -d $RPM_BUILD_ROOT%{_docdir}/printer-utils-%{mainversion}/PosterPrinting
cp -ax ChangeLog README COPYING \
	$RPM_BUILD_ROOT%{_docdir}/printer-utils-%{mainversion}/PosterPrinting
cd ..

# Driver for HP LaserJet 1000

# Program files
install -m 0755 pbmtozjs $RPM_BUILD_ROOT%{_bindir}
# Documentation
install -d $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/HPLaserJet1000
cp -ax pbmtozjs.txt \
	$RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/HPLaserJet1000

# Driver for Zenographics-based printers (Minolta magicolor 2300 DL, HP
# LaserJet 1000
cd foo2zjs*
# Program files
install -m 0755 foo2zjs $RPM_BUILD_ROOT%{_bindir}
install -m 0755 foo2zjs-wrapper $RPM_BUILD_ROOT%{_bindir}
install -m 0755 zjsdecode $RPM_BUILD_ROOT%{_bindir}
install -m 0755 jbg2pbm $RPM_BUILD_ROOT%{_bindir}
install -m 0755 getweb $RPM_BUILD_ROOT%{_bindir}/foo2zjs-getweb
install -m 0755 icc2ps/foo2zjs-icc2ps $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{_datadir}/foo2zjs
install -m 0755 gamma*.ps $RPM_BUILD_ROOT%{_datadir}/foo2zjs
for dir in driver printer opt; do \
install -c -m 644 foomatic-db/$dir/*.xml \
	$RPM_BUILD_ROOT%{_datadir}/foomatic/db/source/$dir/; \
done
install -d $RPM_BUILD_ROOT%{_datadir}/icm
ln -s /etc/printer $RPM_BUILD_ROOT%{_datadir}/firmware
# Documentation
install -d $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/foo2zjs
cp -ax COPYING ChangeLog INSTALL README \
	$RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/foo2zjs
install -d $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/foo2zjs/icc2ps
cp -ax icc2ps/[ACR]* \
	$RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/foo2zjs/icc2ps
cd ..

# Driver for Epson EPL "L" series
cd epsonepl*
# Program files
%makeinstall
# Documentation
install -d $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/EpsonEPL_L_Series
cp -ax ChangeLog epl_docs FAQ LIMITATIONS README \
	$RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/EpsonEPL_L_Series
cd ..

# Driver for Lexmark X125 (only printing)
# Program files
install -m 0755 drv_x125/src/x125_cmyk $RPM_BUILD_ROOT%{_bindir}
install -m 0755 drv_x125/src/x125_cmyk_print.sh $RPM_BUILD_ROOT%{_bindir}
install -m 0755 drv_x125_network/src/x125_network $RPM_BUILD_ROOT%{_bindir}
# Documentation
install -d $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/LexmarkX125
cd drv_x125
cp -ax ChangeLog FAQ INSTALL LICENSE README src/*.ps \
	$RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/LexmarkX125
cd ..
install -d $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/LexmarkX125/drv_x125_network
cd drv_x125_network
cp -ax ChangeLog FAQ INSTALL LICENSE README \
	$RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/LexmarkX125/drv_x125_network
cd ..

%ifarch %{ix86}
# Driver for Canon LBP-460/660
cd lbp660*
# Program files
install -m 0755 lbp660 $RPM_BUILD_ROOT%{_bindir}
install -m 0755 lbp[46]60-* $RPM_BUILD_ROOT%{_bindir}
# PPD files
install -d $RPM_BUILD_ROOT%{_datadir}/cups
install -d $RPM_BUILD_ROOT%{_datadir}/cups/model
install -d $RPM_BUILD_ROOT%{_datadir}/cups/model/lbp660
cp ppd/*.ppd $RPM_BUILD_ROOT%{_datadir}/cups/model/lbp660
# Documentation
install -d $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/CanonLBP-460-660
cp -ax COPYING NEWS README THANKS TODO \
	$RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/CanonLBP-460-660
cd ..
%endif

# Driver for Lexmark X74/X75
cd lxx74*
# Program files
install -m 0755 rastertolxx74 $RPM_BUILD_ROOT%{_libdir}/cups/filter
install -m 0644 lxx74.types $RPM_BUILD_ROOT%{_sysconfdir}/cups
install -m 0644 lxx74.convs $RPM_BUILD_ROOT%{_sysconfdir}/cups
# PPD files
install -d $RPM_BUILD_ROOT%{_datadir}/cups
install -d $RPM_BUILD_ROOT%{_datadir}/cups/model
install -d $RPM_BUILD_ROOT%{_datadir}/cups/model/lxx74
cp *.ppd* $RPM_BUILD_ROOT%{_datadir}/cups/model/lxx74
# Documentation
install -d $RPM_BUILD_ROOT%{_docdir}/cups-drivers-%{mainversion}/LexmarkX74X75
cp -ax INSTALL LICENSE README lpoptions \
	$RPM_BUILD_ROOT%{_docdir}/cups-drivers-%{mainversion}/LexmarkX74X75
cd ..

# Driver for Minolta magicolor 2300W
cd m2300w*
%makeinstall INSTROOT=$RPM_BUILD_ROOT
for dir in driver printer opt; do \
install -c -m 644 foomatic/$dir/*.xml \
	$RPM_BUILD_ROOT%{_datadir}/foomatic/db/source/$dir/; \
done
# Move documentation to the correct place
install -d $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/
mv $RPM_BUILD_ROOT%{_docdir}/m2300w* $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/MinoltaMagicolor2300W
cd ..

# Driver for Minolta PagePro 12xxW and 13xxW
cd min12xxw*
# Program files
install -m 0755 min12xxw $RPM_BUILD_ROOT%{_bindir}
install -m 0755 esc-m $RPM_BUILD_ROOT%{_bindir}
# Documentation
install -m 0644 min12xxw.1* $RPM_BUILD_ROOT%{_mandir}/man1
install -d $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/MinoltaPagePro12xxW_13xxW
cp -ax COPYING README format.txt usblogs \
	$RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/MinoltaPagePro12xxW_13xxW
cd ..

# Driver for Casio USB label printers
cd pegg*
# Program files
install -m 0755 pegg $RPM_BUILD_ROOT%{_bindir}
# Documentation
install -m 0644 pegg.1.gz $RPM_BUILD_ROOT%{_mandir}/man1
install -d $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/CasioUSBLabelPrinters/pegg
cp -ax TODO LICENSE README CHANGELOG INSTALL test_raw \
	$RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/CasioUSBLabelPrinters/pegg
cd ..
cd xbm2crw*
# Program files
install -m 0755 xbm2crw $RPM_BUILD_ROOT%{_bindir}
install -m 0755 html2crw.sh $RPM_BUILD_ROOT%{_bindir}
# Documentation
install -d $RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/CasioUSBLabelPrinters/xbm2crw
cp -ax LICENSE README template.xbm label.html \
	$RPM_BUILD_ROOT%{_docdir}/printer-filters-%{mainversion}/CasioUSBLabelPrinters/xbm2crw
cd ..
cd cups2pegg*
# Program files
install -m 0755 cups2pegg $RPM_BUILD_ROOT%{_libdir}/cups/backend
# PPD files
install -d $RPM_BUILD_ROOT%{_datadir}/cups
install -d $RPM_BUILD_ROOT%{_datadir}/cups/model
install -d $RPM_BUILD_ROOT%{_datadir}/cups/model/pegg
cp *.ppd* $RPM_BUILD_ROOT%{_datadir}/cups/model/pegg
# Documentation
install -d $RPM_BUILD_ROOT%{_docdir}/cups-drivers-%{mainversion}/CasioUSBLabelPrinters/cups2pegg
cp -ax LICENSE install.html *.png \
	$RPM_BUILD_ROOT%{_docdir}/cups-drivers-%{mainversion}/CasioUSBLabelPrinters/cups2pegg
cd ..

# Tool for uploading the firmware on the HP LaserJet 1000S
install -m 0755 hp1000fw $RPM_BUILD_ROOT%{_bindir}
# Make hp1000fw called by hotplug
install -d $RPM_BUILD_ROOT%{_sysconfdir}/hotplug/usb
ln -s %{_bindir}/hp1000fw $RPM_BUILD_ROOT%{_sysconfdir}/hotplug/usb/hp1000fw
install -d $RPM_BUILD_ROOT%{_libdir}/hotplug/printer-utils
install -m 0644 usb.usermap $RPM_BUILD_ROOT%{_libdir}/hotplug/printer-utils
install -d $RPM_BUILD_ROOT%{_sysconfdir}/printer
# Tools for reading USB device ID strings
install -m 0755 usb_id_test $RPM_BUILD_ROOT%{_bindir}
install -m 0755 getusbprinterid $RPM_BUILD_ROOT%{_bindir}


##### CUPS DRIVERS

cd $RPM_BUILD_DIR/printer-drivers-%{mainversion}/cups-drivers

# Put the Sourceforge PPDs into CUPS PPD directory
mkdir -p $RPM_BUILD_ROOT%{_datadir}/cups
cp -a cups-drivers-0.3.6/usr/share/cups/model $RPM_BUILD_ROOT%{_datadir}/cups

# Gimp-Print PPD files
( cd $RPM_BUILD_ROOT%{_datadir}/cups/model
  mv C gimp-print
  #mv C da en_GB fr no pl sv gimp-print
  gunzip gimp-print/*
)

%if 0
# Install HP's PPD files, only use the english files, CUPS's support for
# having PPDs in various languages is broken.
cp -a hp-ppds-0.4/English $RPM_BUILD_ROOT%{_datadir}/cups/model/HP-PostScript
# Delete PPD files which HP provides for the DeskJets, they are broken
rm -f $RPM_BUILD_ROOT%{_datadir}/cups/model/HP-PostScript/HP_DeskJet*
%endif

# Install HP's PPD files
cp -a hp-ppd $RPM_BUILD_ROOT%{_datadir}/cups/model/HP-PostScript/

# Install Kyocera's PPD files
cp -a kyocera-ppd $RPM_BUILD_ROOT%{_datadir}/cups/model/Kyocera-PostScript/

# Install Epson's PPD files
cp -a epson-ppd $RPM_BUILD_ROOT%{_datadir}/cups/model/Epson-PostScript/

# Install OCE's PPD files
cp -a oce-ppd $RPM_BUILD_ROOT%{_datadir}/cups/model/OCE-PostScript/

# Install Okidata's PPD files
cp -a okidata-ppd $RPM_BUILD_ROOT%{_datadir}/cups/model/Okidata-PostScript/

# Install PPD file for a generic PostScript printer
bzcat %{SOURCE203} > $RPM_BUILD_ROOT%{_datadir}/cups/model/postscript.ppd

# Correct permissions of PPD file directory
chmod -R u+w,a+rX $RPM_BUILD_ROOT%{_datadir}/cups/model

# "cleanppd.pl" removes unwished PPD files (currently the ones for Birmy
# PowerRIP), fixes broken manufacturer entries, and cleans lines which
# contain only spaces and tabs.

# Uncompress Perl script for cleaning up the PPD files
bzcat %{SOURCE201} > ./cleanppd.pl
chmod a+rx ./cleanppd.pl
# Do the clean-up
find $RPM_BUILD_ROOT%{_datadir}/cups/model -name "*.ppd" -exec ./cleanppd.pl '{}' \;
# Remove PPDs which are not Adobe-compliant and therefore not working with
# CUPS 1.1.20
for ppd in `find $RPM_BUILD_ROOT%{_datadir}/cups/model -name "*.ppd.gz" -print`; do cupstestppd -q $ppd || (rm -f $ppd && echo "$ppd not Adobe-compliant. Deleted."); done

##### PRINTER TESTPAGES

cd $RPM_BUILD_DIR/printer-drivers-%{mainversion}/printer-testpages

mkdir $RPM_BUILD_ROOT%{_datadir}/printer-testpages
cp *.ps *.jpg *.asc $RPM_BUILD_ROOT%{_datadir}/printer-testpages


##### GENERAL STUFF

# Correct permissions for all documentation files
chmod -R a+rX $RPM_BUILD_ROOT%{_docdir}
chmod -R go-w $RPM_BUILD_ROOT%{_docdir}
chmod -R u+w $RPM_BUILD_ROOT%{_docdir}

# Switch to printer-testpages directory because it is the default directory
# for every RPM building step due to the last source file being loaded into
# printer-testpages. So the list of translations files generated by the
# find_lang macro is searched here when the files section is processed.
cd $RPM_BUILD_DIR/printer-drivers-%{mainversion}/printer-testpages

# Translation files of Gimp-Print
%find_lang gimp-print



##### FILES

%files -n %{libijs}
%defattr(-,root,root)
%{_libdir}/libijs.so

%files -n %{libijs}-devel
%defattr(-,root,root)
%doc ../espgs-*/ijs/README
%{_libdir}/libijs.a
%{_includedir}/ijs
%{_bindir}/ijs_client_example
%{_bindir}/ijs_server_example
%{_bindir}/ijs-config

%if %{gimpplugin}
%files -n gimpprint
%defattr(-,root,root)
%{_libdir}/gimp/2.0/plug-ins/print
%endif

#BUG? nc 2003-12-06
%files -n %{libgimpprint} -f gimp-print.lang
%defattr(-,root,root)
%docdir %{_docdir}/gimpprint-%{gimpprintver}
%{_docdir}/gimpprint-%{gimpprintver}
%{_datadir}/info/gimpprint*
%{_datadir}/gimp-print/samples
%{_libdir}/libgimpprint.so.*
%{_mandir}/man7/gimpprint-*

%files -n %{libgimpprint}-devel
%defattr(-,root,root)
%{_libdir}/libgimpprint.so
%{_libdir}/libgimpprint.la
%{_libdir}/libgimpprint.a
%{_includedir}/gimp-print
%{_datadir}/aclocal/*
%{_mandir}/man1/gimpprint-config*
%{_mandir}/man3/gimpprint*
%{_bindir}/gimpprint-config

%files -n foomatic-db-engine
%defattr(-,root,root)
%docdir %{_docdir}/foomatic-db-engine-%{foomaticver}
%{_docdir}/foomatic-db-engine-%{foomaticver}
%_bindir/foomatic-printjob
%_bindir/foomatic-configure
%_bindir/foomatic-combo-xml
%_bindir/foomatic-perl-data
%_bindir/foomatic-ppd-options
%_bindir/foomatic-ppdfile
%_bindir/foomatic-datafile
%_bindir/foomatic-compiledb
%_bindir/*-foomatic
%_sbindir/foomatic*
%_sbindir/lpc-foomatic
%perl_vendorlib/Foomatic
%_datadir/foomatic/templates
%{_mandir}/man1/foomatic-printjob*
%{_mandir}/man1/foomatic-configure*
%{_mandir}/man1/foomatic-combo-xml*
%{_mandir}/man1/foomatic-perl-data*
%{_mandir}/man1/foomatic-ppd-options*
%{_mandir}/man1/foomatic-ppdfile*
%{_mandir}/man1/foomatic-compiledb*
%{_mandir}/man8/foomatic*

%files -n foomatic-filters
%defattr(-,root,root)
%docdir %{_docdir}/foomatic-filters-%{foomaticver}
%{_docdir}/foomatic-filters-%{foomaticver}
%_bindir/foomatic-rip
%_bindir/foomatic-gswrapper
%_bindir/lexmarkwrapper
%_libdir/cups/filter/foomatic-rip
%_libdir/cups/filter/cupsomatic
%_libdir/ppr/interfaces/foomatic-rip
%_libdir/ppr/lib/foomatic-rip
%{_mandir}/man1/foomatic-rip*
%{_mandir}/man1/foomatic-gswrapper*
%dir %config(noreplace) %{_sysconfdir}/foomatic
%dir %config(noreplace) %{_sysconfdir}/foomatic/direct
%config(noreplace) %{_sysconfdir}/foomatic/filter.conf

%files -n foomatic-db
%defattr(-,root,root)
%docdir %{_docdir}/foomatic-db-%{foomaticver}
%{_docdir}/foomatic-db-%{foomaticver}
%_datadir/foomatic/db

%if %{buildomni}
%files -n omni
%defattr(-,root,root)
%docdir %{_docdir}/omni-%{omniver}
%{_docdir}/omni-%{omniver}
%{_libdir}/Omni
%{_datadir}/Omni
%{_datadir}/OmniDevice.xsd
%{_bindir}/*Omni*
%{_libdir}/cups/filter/CUPSToOmni
%{_datadir}/cups/model/omni
%endif

%files -n ghostscript
%defattr(-,root,root)
%docdir %{_docdir}/ghostscript-%{ghostscriptver}
%{_docdir}/ghostscript-%{ghostscriptver}
%dir %{_datadir}/ghostscript
%dir %{_datadir}/ghostscript/%{ghostscriptver}
%{_datadir}/ghostscript/%{ghostscriptver}/examples
%{_datadir}/ghostscript/%{ghostscriptver}/lib
#%{_datadir}/ghostscript/%{ghostscriptver}/vflib
%{_datadir}/ghostscript/Resource
#%{_datadir}/ghostscript/CIDFont
%{_mandir}/man1/ansi2knr*
%{_mandir}/man1/dvipdf*
%{_mandir}/man1/eps2eps*
%{_mandir}/man1/font2c*
%{_mandir}/man1/ghost*
%{_mandir}/man1/gs*
%{_mandir}/man1/p[c-m]*
%{_mandir}/man1/p[q-z]*
%{_mandir}/man1/[q-z]*
%{_mandir}/de/man1/ansi2knr*
%{_mandir}/de/man1/dvipdf*
%{_mandir}/de/man1/eps2eps*
%{_mandir}/de/man1/font2c*
%{_mandir}/de/man1/gsnd*
%{_mandir}/de/man1/pdf*
%{_mandir}/de/man1/printafm*
%{_mandir}/de/man1/ps*
%{_mandir}/de/man1/wftopfa*
%{_bindir}/bdftops
%{_bindir}/dvipdf
%{_bindir}/eps2eps
%{_bindir}/fixmswrd.pl
%{_bindir}/font2c
%{_bindir}/gsbj
%{_bindir}/gsdj
%{_bindir}/gsdj500
%{_bindir}/gslj
%{_bindir}/gslp
%{_bindir}/gsnd
%{_bindir}/lprsetup.sh
%{_bindir}/pdf2dsc
%{_bindir}/pdf2ps
%{_bindir}/pdfopt
%{_bindir}/pf2afm
%{_bindir}/pfbtopfa
%{_bindir}/pj-gs.sh
%{_bindir}/printafm
%{_bindir}/ps2ascii
%{_bindir}/ps2epsi
%{_bindir}/ps2pdf
%{_bindir}/ps2pdf12
%{_bindir}/ps2pdf13
%{_bindir}/ps2pdf14
%{_bindir}/ps2pdfwr
%{_bindir}/ps2pdfpress
%{_bindir}/ps2ps
%{_bindir}/pv.sh
%{_bindir}/sysvlp.sh
%{_bindir}/unix-lpr.sh
%{_bindir}/wftopfa
%{_bindir}/gs-common
# "pstoraster" wrapper script to make GhostScript being used as the
# cups-internal RIP
%attr(0755,root,root) %{_libdir}/cups/filter/pstoraster
%config(noreplace) %{_sysconfdir}/cups/pstoraster.convs

%if %{GSx11SVGAmodule}
%files -n ghostscript-module-X
%defattr(-,root,root)
%doc ../espgs-*/README.shared
%dir %{_libdir}/ghostscript/%{ghostscriptver}
%{_libdir}/ghostscript/%{ghostscriptver}/X11.so

%ifarch %ix86
%if %{withsvgalib}
%files -n ghostscript-module-SVGALIB
%defattr(-,root,root)
%doc ../espgs-*/README.shared
%dir %{_libdir}/ghostscript/%{ghostscriptver}
%{_libdir}/ghostscript/%{ghostscriptver}/lvga256.so
%{_libdir}/ghostscript/%{ghostscriptver}/vgalib.so
%endif
%endif
%endif

%files -n printer-filters
%defattr(-,root,root)
%docdir %{_docdir}/printer-filters-%{mainversion}
%{_docdir}/printer-filters-%{mainversion}
%config(noreplace) %{_sysconfdir}/*.conf
#config(noreplace) %{_sysconfdir}/LexmarkZ11
%{_mandir}/man1/pnm2ppa.1*
%{_mandir}/man1/pbm2ppa.1*
%{_mandir}/man1/oki4drv.1*
%{_mandir}/man1/ppmtomd.1*
%{_mandir}/man1/ijsgimpprint.1*
%{_mandir}/man1/min12xxw.1*
%{_mandir}/man1/pegg.1*
%{_libdir}/rhs
%{_bindir}/lpstyl
%{_bindir}/cjet
%{_bindir}/lm1100
%{_bindir}/c2070
%{_bindir}/Lexmark2070
%{_bindir}/pbm2l7k
%{_bindir}/pnmraw2cmyk
%{_bindir}/psprint
%{_bindir}/pscprint
%{_bindir}/pnm2lex7000
%{_bindir}/pnm2lex5700
%{_bindir}/pbm2lex5700
%{_bindir}/dbman
%{_bindir}/cZ11*
%{_bindir}/lz11.*
%{_bindir}/pnm2ppa
%{_bindir}/calibrate_ppa
%{_bindir}/detect_ppa
%{_bindir}/test_ppa
%{_bindir}/pbm2ppa
%{_bindir}/pbmtpg
%{_bindir}/c2050
%{_bindir}/pbm2l2030
%{_bindir}/oki4drv
%{_bindir}/ppmtocpva
%{_bindir}/cpva-colour
%{_bindir}/*2lwxl
%{_bindir}/pcl3opts
%{_bindir}/hpijs
%{_bindir}/ijsgimpprint
%{_bindir}/z42_cmyk
%{_bindir}/pentaxpj
%{_bindir}/ppmtomd
%{_bindir}/pbmtozjs
%{_bindir}/foo2zjs
%{_bindir}/foo2zjs-wrapper
%{_bindir}/foo2zjs-getweb
%{_bindir}/foo2zjs-icc2ps
%{_bindir}/zjsdecode
%{_bindir}/jbg2pbm
%{_bindir}/ijs_server_epsonepl
%{_bindir}/x125*
%{_bindir}/m2300w*
%{_bindir}/min12xxw*
%{_bindir}/esc-m*
%{_bindir}/pegg*
%{_bindir}/xbm2crw*
%{_bindir}/html2crw*
%ifarch %{ix86}
%{_bindir}/lbp[46]60-*
# "ml85p" talks directly to the parallel port I/O 0x378, not to /dev/lp0
# Therefore SUID "root" is needed. Program only executable by "lp" & "root"
# (group-executable). Same for "lbp660".
%attr(4750,root,sys) %{_bindir}/ml85p
%attr(4750,root,sys) %{_bindir}/lbp660
%endif
%{_sbindir}/oki4daemon
%{_sbindir}/oki4w_install
%{_sbindir}/pentaxsetup
%{_libdir}/pentaxpj
%config(noreplace) %{_initrddir}/oki4daemon
%{_menudir}/printer-filters
%{_datadir}/icons/locolor/16x16/apps/OKI4wInst.png
%{_datadir}/foo2zjs
%{_datadir}/icm
%{_datadir}/m2300w

%files -n printer-utils
%defattr(-,root,root)
%docdir %{_docdir}/printer-utils-%{mainversion}
%{_docdir}/printer-utils-%{mainversion}
%{_datadir}/lm1100maint
%{_datadir}/lxcontrol
%{_datadir}/cups/calibrate.ppm
%{_datadir}/z42tool
%{_menudir}/printer-utils
%{_datadir}/icons/locolor/16x16/apps/printutils.png
%{_mandir}/man1/escputil*
%{_mandir}/man1/poster*
%{_mandir}/man8/cups-calibrate*
%{_sbindir}/lexmarkmaintain
%{_sbindir}/lexmarkinstall
%{_sbindir}/mtinkd
%{_sbindir}/askPrinter
%{_sbindir}/mtink-installInitScript
%attr(0755,root,root) %{_sbindir}/alignmargins
%{_bindir}/cups-calibrate
%{_bindir}/displaytestpage
%{_bindir}/lexmark2ppm.pl
%{_bindir}/byteutil.pl
%{_bindir}/pup
%{_bindir}/lx.control
%{_bindir}/changecartridge
%{_bindir}/lm1100change
%{_bindir}/lm1100back
%{_bindir}/showcartridges
%{_bindir}/hidecartridges
%{_bindir}/headclean
%{_bindir}/headalign
%{_bindir}/z42tool
%{_bindir}/mtinkc
%{_bindir}/poster
%{_bindir}/hp1000fw
%{_bindir}/usb_id_test
%{_bindir}/getusbprinterid
# These four must be SGID sys to be able to access the printer devices
%attr(2755,lp,sys) %{_bindir}/mtink
%attr(2755,lp,sys) %{_bindir}/ttink
%attr(2755,lp,sys) %{_libdir}/gimp/2.0/plug-ins/gimp-mtink
# escputil has a security bug, therefore the SGID flag cannot be set
#%attr(2755,lp,sys) %{_bindir}/escputil
%attr(0755,lp,sys) %{_bindir}/escputil
%{_bindir}/printerUtilsWaitForKey
%config(noreplace) %{_initrddir}/mtink
%dir /var/mtink
%{_sysconfdir}/hotplug/usb/hp1000fw
%{_libdir}/hotplug/printer-utils
%dir %{_sysconfdir}/printer
%{_datadir}/firmware

%files -n cups-drivers
%defattr(-,root,root)
%docdir %{_docdir}/cups-drivers-%{mainversion}
%{_docdir}/cups-drivers-%{mainversion}
%{_datadir}/cups/model/*
%attr(0755,root,root) %{_libdir}/cups/backend/*
%attr(0755,root,root) %{_libdir}/cups/filter/command*
%attr(0755,root,root) %{_libdir}/cups/filter/rastertoprinter
%attr(0755,root,root) %{_libdir}/cups/filter/rastertolxx74
%config(noreplace) %{_sysconfdir}/cups/command.types
%config(noreplace) %{_sysconfdir}/cups/lxx74.*

%files -n printer-testpages
%defattr(-,root,root)
%{_datadir}/printer-testpages

%post -n %{libijs} -p /sbin/ldconfig

%post -n %{libgimpprint} -p /sbin/ldconfig

%post -n foomatic-db-engine
# Set up update-alternatives entries
%{_sbindir}/update-alternatives --install %{_bindir}/lpr lpr %{_bindir}/lpr-foomatic 1
%{_sbindir}/update-alternatives --install %{_bindir}/lpq lpq %{_bindir}/lpq-foomatic 1
%{_sbindir}/update-alternatives --install %{_bindir}/lprm lprm %{_bindir}/lprm-foomatic 1
%{_sbindir}/update-alternatives --install %{_sbindir}/lpc lpc %{_sbindir}/lpc-foomatic 1
# Flush the cache
rm -rf /var/cache/foomatic/*/*

%if %{buildomni}
%post -n omni
# Taken from the RedHat/OmniAll.spec file from the Omni source tree

# add /usr/lib/Omni/lib to /etc/ld.so.conf
if ! grep %{_libdir}/Omni /etc/ld.so.conf >/dev/null 2>&1; then \
	cp /etc/ld.so.conf /etc/ld.so.conf.preomni; \
	echo %{_libdir}/Omni >> /etc/ld.so.conf; \
	ldconfig; \
fi
# add omni.sh to /etc/profile.d
#if [ ! -f /etc/profile.d/omni.sh ]; then \
#	echo 'if ! echo $PATH | /bin/grep -q "%{_libdir}/Omni/bin" ; then' > /etc/profile.d/omni.sh; \
#	echo '	PATH=$PATH:%{_libdir}/Omni/bin' >> /etc/profile.d/omni.sh; \
#	echo 'fi' >> /etc/profile.d/omni.sh; \
#	chmod a+rx /etc/profile.d/omni.sh; \
#fi
# add omni.csh to /etc/profile.d
#if [ ! -f /etc/profile.d/omni.csh ]; then \
#	echo 'if ( `echo $PATH | grep %{_libdir}/Omni/bin`"a" == "a" ) then' > /etc/profile.d/omni.csh; \
#	echo '	setenv PATH "${PATH}:%{_libdir}/Omni/bin"' >> /etc/profile.d/omni.csh; \
#	echo 'endif' >> /etc/profile.d/omni.csh; \
#	chmod a+rx /etc/profile.d/omni.csh; \
#fi
# check for old path
if grep /Omni/bin /etc/profile >/dev/null 2>&1; then \
	/bin/cp /etc/profile /etc/profile.postomni; \
	sed '/\/Omni\/bin/d' /etc/profile > /tmp/$$; \
	/bin/cp /tmp/$$ /etc/profile.conf; \
	/bin/rm /tmp/$$; \
fi

# Remove old Foomatic data of Omni (to assure that the new Foomatic data
# will get installed)
rm -f %{_datadir}/foomatic/db/source/*/omni*.xml
rm -f `grep -l "Foomatic entry automatically generated by Omni" %{_datadir}/foomatic/db/source/printer/*.xml`

# We use only the CUPS driver, Foomatic support in Omni is currently broken
%if 0

# Generate Foomatic data
omnitmp=/tmp/`basename $0`-$$/
mkdir -p $omnitmp
( cd $omnitmp
	mkdir -p foomatic-db/db/source/driver
	mkdir -p foomatic-db/db/source/opt
	mkdir -p foomatic-db/db/source/printer
	export PATH=$PATH:%{_libdir}/Omni/bin
	%{_libdir}/Omni/bin/OmniFoomaticGenerator
	# Replace "-dPARANOIDSAFER" by "-dSAFER" in all GhostScript command 
	# lines in the Foomatic database, as it breaks CJK printing
	#perl -p -i -e "s/-dPARANOIDSAFER/-dSAFER/" foomatic-db/db/source/driver/*.xml
	# Install the Omni Foomatic data
	%{_sbindir}/foomatic-kitload -k foomatic-db/db/source > /dev/null 2>&1 || :
)
rm -rf $omnitmp

%endif

# Determine the recommended drivers taking Omni into account
%{_sbindir}/foomatic-preferred-driver > /dev/null 2>&1
# Restart the CUPS daemon when it is running, but do not start
# it when it is not running. The restart of the CUPS daemon
# updates the CUPS-internal PPD index
/sbin/service cups condrestart > /dev/null 2>/dev/null || :
%endif

%post -n ghostscript
# Set links for executable
/bin/ln -sf %{_bindir}/gs-common %{_bindir}/gs
/bin/ln -sf %{_bindir}/gs-common %{_bindir}/ghostscript
# Initialize japanese fonts
if test -f /usr/share/fonts/ttf/japanese/cidinst; then
    sh /usr/share/fonts/ttf/japanese/cidinst
fi

%post -n printer-filters
%update_menus
# Restart the oki4daemon when it is running, but do not activate it by
# default. It blocks the parallel port for non-OKI devices.
if [ "$1" -ne "1" ]; then
    # On update
    service oki4daemon condrestart > /dev/null 2>/dev/null || :
fi

%post -n printer-utils
%update_menus
# Add HP LaserJet 1000 (firmware upload) to /etc/hotplug/usb.usermap
/usr/sbin/update-usb.usermap || :
# Restart the mtinkd when it is running, but do not activate it by
# default. It blocks the ports for non-Epson devices.
if [ "$1" -ne "1" ]; then
    # On update
    service mtink condrestart > /dev/null 2>/dev/null || :
fi

%post -n cups-drivers
# Restart the CUPS daemon when it is running, but do not start it when it
# is not running. The restart of the CUPS daemon updates the CUPS-internal
# PPD index
/sbin/service cups condrestart > /dev/null 2>/dev/null || :

%preun -n foomatic-db-engine
if [ "$1" -eq "0" ]; then
  # On removal
  # Remove update-alternatives entries
  %{_sbindir}/update-alternatives --remove lpr /usr/bin/lpr-foomatic
  %{_sbindir}/update-alternatives --remove lpq /usr/bin/lpq-foomatic
  %{_sbindir}/update-alternatives --remove lprm /usr/bin/lprm-foomatic
  %{_sbindir}/update-alternatives --remove lpc /usr/sbin/lpc-foomatic
fi

%preun -n printer-filters
#Stop oki4daemon when uninstalling printer-filters
%_preun_service oki4daemon

%preun -n printer-utils
#Stop mtinkd when uninstalling printer-filters
%_preun_service mtink

%postun -n %{libijs} -p /sbin/ldconfig

%postun -n %{libgimpprint} -p /sbin/ldconfig

%if %{buildomni}
%postun -n omni
if [ "$1" -eq "0" ]; then
	# On removal
	# Taken from the RedHat/OmniAll.spec file from the Omni source tree

	# remove /usr/lib/Omni/lib from /etc/ld.so.conf
	if grep %{_libdir}/Omni/lib /etc/ld.so.conf >/dev/null 2>&1; then \
		/bin/cp /etc/ld.so.conf /etc/ld.so.conf.postomni; \
		sed '/\/usr\/lib\/Omni\/lib/d' /etc/ld.so.conf > /tmp/$$; \
		/bin/cp /tmp/$$ /etc/ld.so.conf; \
		/bin/rm /tmp/$$; \
		ldconfig; \
	fi
	# remove omni.sh from /etc/profile.d
        if [ -f /etc/profile.d/omni.sh ]; then \
		/bin/rm /etc/profile.d/omni.sh; \
	fi
	# remove omni.csh from /etc/profile.d
        if [ -f /etc/profile.d/omni.csh ]; then \
		/bin/rm /etc/profile.d/omni.csh; \
	fi

	# Remove Foomatic data of Omni
	rm -f %{_datadir}/foomatic/db/source/*/omni*.xml
	rm -f `grep -l "Foomatic entry automatically generated by Omni" %{_datadir}/foomatic/db/source/printer/*.xml`
	# Clean up Foomatic recommended drivers
	%{_sbindir}/foomatic-preferred-driver > /dev/null 2>&1
	# Restart the CUPS daemon when it is running, but do not start
	# it when it is not running. The restart of the CUPS daemon
	# updates the CUPS-internal PPD index
	/sbin/service cups condrestart > /dev/null 2>/dev/null || :
fi

%endif

%postun -n ghostscript
if [ "$1" -eq "0" ]; then
	# On removal
	rm -f %{_bindir}/gs %{_bindir}/ghostscript
fi

%postun -n printer-filters
if [ "$1" -ge "1" ]; then
	# On update
	/sbin/service oki4daemon condrestart >/dev/null 2>&1
fi
%clean_menus

%postun -n printer-utils
if [ "$1" -eq "0" ]; then
	# On removal
	# Remove HP LaserJet 1000 (firmware upload) from 
	# /etc/hotplug/usb.usermap if erasing the package not as part of a 
	# package update
	/usr/sbin/update-usb.usermap || :
fi
if [ "$1" -ge "1" ]; then
	# On update
	/sbin/service mtink condrestart >/dev/null 2>&1
fi
%clean_menus

%postun -n cups-drivers
# Restart the CUPS daemon when it is running, but do not start it when it
# is not running. The restart of the CUPS daemon updates the CUPS-internal
# PPD index
/sbin/service cups condrestart > /dev/null 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%changelog

* Tue Sep 14 2004 Till Kamppeter <till@mandrakesoft.com> 10.1-0.2mdk
- Made /usr/bin/printerUtilsWaitForKey executable.
- Updated Foomatic to the state of the 08/02/2004 (SECURITY FIX: It was
  possible to make foomatic-rip executing arbitrary commands. Advisory:
  CAN-2004-0801).

* Mon Aug 23 2004 Till Kamppeter <till@mandrakesoft.com> 10.1-0.1mdk
- Vesion number of printer-drivers coupled to Mandrakelinux release.
- Removed /usr/lib/cups/backend/mtink from printer-utils as it is
  already in cups-drivers
- Let cups-drivers not own the /usr/lib/cups/backend/ directory
- In cups-drivers "Conflicts: printer-utils <= 1.0-142mdk".

* Tue Aug 17 2004 Till Kamppeter <till@mandrakesoft.com> 1.0-142mdk
- Updated "lbp660" driver to version 0.2.2.

* Mon Aug 09 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.0-141mdk
- add BuildRequires: libgmp-devel for printer filters (epsoneplijs)
- update patch1030: make m2300w build without installed ghostscript
- patch1031: fix m2300w build on ppc

* Wed Aug  4 2004 Till Kamppeter <till@mandrakesoft.com> 1.0-140mdk
- Added "BuildRequires: libusb", it is needed by the "pegg" driver.

* Mon Aug  2 2004 Till Kamppeter <till@mandrakesoft.com> 1.0-139mdk
- Make "m2300w" building without installed Foomatic.

* Sun Aug  2 2004 Till Kamppeter <till@mandrakesoft.com> 1.0-138mdk
- Updated Foomatic to the state of the 08/02/2004 (Let the "*Manufacturer"
  entries of the PPDs have the manufacturer names of the Foomatic
  database and not of the IEEE-1284 IS string, otherwise some PPDs have
  non-Adobe-compliant manufacturer names, as for example "Hewlett-Packard"
  instead of "HP" and then CUPS 1.1.21 does not accept this PPD file,
  new HP inkjets and all-in-ones). 

* Fri Jul 30 2004 Till Kamppeter <till@mandrakesoft.com> 1.0-137mdk
- Removed the Omni driver. It is rather buggy and it seems that no one 
  uses it.
- Updated Foomatic to the state of the 07/30/2004 (New drivers, new
  printers. re-structuring of Epson Kowa laser printer driver entry,
  "epkowa-laser").
- Updated GhostScript to the state of the 07/26/2004 (gcc 3.4 compatibility
  upstream, Epson Kowa laser printer driver 3.1.4 with support for Epson
  EPL-N2500, AcuLaser C4100, KRGB support for IJS upstream).
- Updated Gimp-Print to version 4.2.7.
- Updated HPIJS to version 1.6.1.
- Updated the "epsonepl" drivers for Epson EPL "L" to version 0.4.0pre5.
- Updated the Lexmark Z42/Z43 driver "drv_z42" to version 0.4.2.
- Updated the Lexmark Z11 driver "lz11" to version 0.3.
- Updated mtink to version 1.0.3.
- Removed Gimp-Print plug-in for the GIMP, it is provided by the GIMP now.
- Added "lbp660" driver to support the Canon LBP-460 and LBP-660.
  winprinters.
- Added "lxx74" CUPS driver to support the Lexmark X74 and X75.
- Added "m2300w" driver to support the Minolta magicolor 2300W.
- Added "min12xxw" driver to support the Minolta PagePro 12xxW and 13xxW
  printers.
- Added "pegg" driver to support the Casio USB label printers.
- Added Okidata's PPD files for their PostScript printers.
- Updated HP's PPD files for their PostScript printers.
- Updated Kyocera's PPD files for their PostScript printers.
- Added fontconfig support to GhostScript (bug 10381).

* Tue Jun 15 2004 Till Kamppeter <till@mandrakesoft.com> 1.0-136mdk
- Updated Foomatic to the state of the 06/15/2004 (Several bug fixes in the
  database, thanks to Marcelo Ricardo Leitner from Conectiva, applied
  workaround for OpenOffice.org 1.1.0 bug on all OpenOffice.org 1.1.x in 
  foomatic.rip).
- Updated Gimp-Print to new snapshot (when choosing A4 paper size in GIMP
  plug-in and using PostScript Level 2 with a PPD file the preview in the 
  printing dialog didappears).
- Made Omni, GhostScript, and the "lm1100" printer filter compiling with 
  gcc 3.4 (Thanks to Laurent Montel).
- Rebuilt.

* Wed Apr 28 2004 Till Kamppeter <till@mandrakesoft.com> 1.0-135mdk
- Updated Foomatic to the state of the 04/28/2004 (Data for new driver
  versions, support for HP Business Inkjet 2300, OfficeJet 4200, 
  OfficeJet 9100, PSC 1310, Epson Stylus Photo R200, R300, RX500, RX600,
  "Perfect" support for most MicroDry printers from Alps, Citizen, and 
  Okidata).
- Updated HPIJS to version 1.6 (KRGB and support for newest models).
- Updated Gimp-Print to version 4.2.7pre1 (Fixes for Epson Stylus C64 and 
  C84).
- Updated ppmtomd to version 1.3 (VPhoto support on MicroDry printers from
  Alps, Citizen, and Okidata).
- Added KRGB support to GhostScript (now black text is really printed with
  black ink on HP's inkjets).
- GIMP-Print --> Gimp-Print
- Added HP's PPD file for the HP Business Inkjet 2300 PostScript printer
  from 15/04/2004.

* Mon Apr  5 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-134mdk
- usual 64-bit fixes.

* Wed Mar 25 2004 Till Kamppeter <till@mandrakesoft.com> 1.0-133mdk
- The stuff in the upload queue is totally messed up, rebuild to supply
  an absolutely clean set for the 10.0 final.

* Wed Mar 17 2004 Till Kamppeter <till@mandrakesoft.com> 1.0-132mdk
- Replaced logo on the printer test pages.

* Tue Mar  2 2004 Till Kamppeter <till@mandrakesoft.com> 1.0-131mdk
- Updated Foomatic to the state of the 02/03/2004 (Changed recommended
  driver for the DeskJet 5XX printers to "pcl3", to fix bug 6125).
- Let old HP PostScript PPDs always be used with priority against
  the newer ones, as the newer files have several problems.

* Mon Mar  1 2004 Till Kamppeter <till@mandrakesoft.com> 1.0-130mdk
- Updated the Epson PostScript PPDs to the state of the 01/03/2004
  (cupstestppd now really without warnings/errors, no patches/tweaks).
- Added OCE's PPD files for their PostScript printers.
- "Downdated" the PPD file for the HP LaserJet 8150, the current one
  made the printer crashing (bug 7720).
- Removed all PPD files which fail "cupstestppd", as they will not work
  with CUPS 1.1.20.

* Sun Feb 29 2004 Till Kamppeter <till@mandrakesoft.com> 1.0-129mdk
- Updated Foomatic to the state of the 01/03/2004 (Added HP Color LaserJet 
  5M).
- Do not parallelize build of Foomatic (do not use macro for "make").
- Added forgotten "%buildroot" on the "rm -f" line for the sample config
  of Foomatic (Thanks to Thomas Backlund).
- Added "BuildRequires: libjpeg62-static-devel", this is needed by
  GIMP-Print (Thanks to Thomas Backlund).
- Patched PPD file for the HP Color LaserJet 5/5M so that the model name
  appears correctly in GUIs (Thanks to Thomas Backlund).
- Let lines which contain only spaces and tabs be replaced be really empty
  lines in all PPD files. As these lines are not Adobe-compliant CUPS
  refuses setting up printers with such PPDs. This fix is done by 
  cleanppd.pl.

* Fri Feb 27 2004 Till Kamppeter <till@mandrakesoft.com> 1.0-128mdk
- Re-introduced fixing of the Epson PPD files, there are still some broken 
  ones.

* Fri Feb 27 2004 Till Kamppeter <till@mandrakesoft.com> 1.0-127mdk
- Updated the Epson PostScript PPDs to the state of the 26/02/2004
  (cupstestppd without warnings/errors, no patches/tweaks).

* Fri Feb 27 2004 Till Kamppeter <till@mandrakesoft.com> 1.0-126mdk
- Updated Foomatic to the state of the 27/02/2004 (Support for the Lexmark 
  X125).
- Added driver for the Lexmark X125 (only printing).

* Wed Feb 18 2004 Till Kamppeter <till@mandrakesoft.com> 1.0-125mdk
- Updated Foomatic to the state of the 19/02/2004 (Foomatic 3.0.1 final,
  Added support for Samsung ML-1410, ML-1430, ML-1440, ML-1450, ML-1450PS,
  ML-1510, ML-1710, ML-1750, ML-2150, ML-2150PS, ML-2151N, ML-2151NPS,
  ML-2152W, ML-2152WPS, ML-2550, ML-2551N, ML-2552W, ML-7300, ML-7300N).

* Tue Feb 17 2004 Till Kamppeter <till@mandrakesoft.com> 1.0-124mdk
- Added Epson's PPD files for PostScript printers.

* Sat Feb 14 2004 Till Kamppeter <till@mandrakesoft.com> 1.0-123mdk
- Updated Foomatic to the state of the 15/02/2004 (Fixed incompatibility
  of foomatic-ppdfile with KDE Print).

* Sun Feb  1 2004 Till Kamppeter <till@mandrakesoft.com> 1.0-122mdk
- Updated Omni to version 0.9.1.
- Included unpackaged files, especially alternatives links for
  foomatic-printjob and foomatic-ppd-options.

* Wed Jan 28 2004 Till Kamppeter <till@mandrakesoft.com> 1.0-121mdk
- Updated Foomatic to the state of the 28/01/2004 (Foomatic 3.0.1rc2).
- Updated GhostScript to the CVS of 28/01/2004 (support for Epson AcuLaser 
  C1900, Epson EPL-2750).
- Updated GIMP-Print to version 4.2.6 final.
- Updated "epsoneplijs" driver package to the CVS of 28/01/2004 (Support
  for Epson EPL-6200L, improved Epson EPL-6100L).
- Perlified patch 1001.
- Moved Lexmark maintenance utilities into a sub-menu.

* Thu Dec 18 2003 Till Kamppeter <till@mandrakesoft.com> 1.0-120mdk
- Updated Foomatic to the state of the 18/12/2003 (Foomatic 3.0.1rc1:
  Support for native CUPS drivers with non-CUPS spoolers, bugfixes).
- Updated GhostScript to version 7.07.1 final.
- Updated GIMP-Print to version 4.2.6rc2.

* Wed Dec 17 2003 Nicolas D. Cesar <ncesar@lunix.com.ar> 1.0-119mdk
- Updated Foomatic to the state of the 25/11/2003.
- Updated HPIJS to version 1.5 (Support for newest printers, bug fixes).
- Updated GIMP-Print to version 4.2.6rc1.

* Tue Sep 16 2003 Till Kamppeter <till@mandrakesoft.com> 1.0-116mdk
- Fixed bug of foomatic-rip not taking into account option setting
  changes between the second last and the last page.
- Workaround for PostScript generation bug in OpenOffice.org (bug
  5643).

* Mon Sep  8 2003 Till Kamppeter <till@mandrakesoft.com> 1.0-115mdk
- Fixed broken PPD files for Kyocera PostScript printers (Thanks to
  Johannes Meixner from SuSE for the report of the PPD bugs).
- Updated "drv_z42" to version 0.3.4.

* Sun Sep  7 2003 Till Kamppeter <till@mandrakesoft.com> 1.0-114mdk
- Updated Foomatic to the state of the 08/09/2003 (Fixed bug in determining
  the correct paper sizes when generating PPD files, added Epson Stylus
  C83/C84, replaced "ljet4" as recommnded driver by "hpijs" and
  "gimp-print" by "gimp-print-ijs", the latter works around a GhostScript 
  bug, "pxlmono" as recommended driver for the HP LaserJet 1200, PostScript
  is too slow in graphics).
- Removed "gimp-print" driver entry from local Foomatic database, it does
  not work due to a GhostScript bug. "gimp-print-ijs" is used instead. Two
  "gimp-print" drivers also confuse the user.
- Updated MTink (ink status/maintenance for Epson) to version 0.9.56.
- Updated "lz11" to CVS from 07/09/2003 (Support for 200, 300, 600,
  and 1200 dpi resolution on the Lexmark Z11).

* Thu Sep  4 2003 Till Kamppeter <till@mandrakesoft.com> 1.0-113mdk
- Removed Printing HOWTO from foomatic-filters package.

* Tue Sep  2 2003 Till Kamppeter <till@mandrakesoft.com> 1.0-112mdk
- Updated ESP GhostScript to the CVS of the 02/09/2003 (Fixed ps2epsi bug,
  bug 5158).

* Wed Aug 27 2003 Till Kamppeter <till@mandrakesoft.com> 1.0-111mdk
- Updated Foomatic to the state of the 27/08/2003 (Let output of
  "foomatic-configure -P" also contain information about the default
  printer, this way one can make the startup of printerdrake faster).
- Updated ESP GhostScript to the CVS of the 27/08/2003 (Memory
  re-allocation fix in the "cups" device).

* Sun Aug 24 2003 Till Kamppeter <till@mandrakesoft.com> 1.0-110mdk
- Updated Foomatic to the state of the 25/08/2003 (Fixed bug of make
  and model not being read correctly from Foomatic PPDs to make 
  printerdrake working correctly again; do not recommend "lj5gray", 
  its extremely slow; corrected Epson EPL-N1600, it is a 600-dpi 
  PCL-5e printer; added missing driver choices "ljet4" and "hpijs" 
  to several Epson laser printers).
- Corrected permissions for documentation directories and files.
- Suppressed all automatically created requires of Perl libraries in the 
  all sub-packages.

* Thu Aug 21 2003 Till Kamppeter <till@mandrakesoft.com> 1.0-109mdk
- Updated Foomatic to the state of the 21/08/2003 (Fixed bug of
  endless loops in foomatic-rip, Bugzilla bug 4833).
- Updated ESP GhostScript to the CVS of the 21/08/2003 (Fixed bugs
  introduced with the fixes added in the last release).
 
* Tue Aug 19 2003 Till Kamppeter <till@mandrakesoft.com> 1.0-108mdk
- Updated Foomatic to the state of the 12/08/2003 (Added Samsung ML-1250,
  fixed Brother HL-1850 so that one can use it also with the "pxlmono" and
  "lj5gray" drivers, let PPD pre-compilation with "foomatic-compiledb" not 
  choke one a driver entry with a non-existing printer in its list, the
  Foomatic database contains 1111 printers now).
- Updated ESP GhostScript to the CVS of the 19/08/2003 (Fixed problem
  of kghostview (bug 4585), pdf2ps, and ps2pdf not working any more,
  security problem of ps2epsi, updated Canon BJC driver, antialiasing
  problem, and others).
 
* Tue Aug 12 2003 Till Kamppeter <till@mandrakesoft.com> 1.0-107mdk
- Updated Foomatic to the state of the 12/08/2003 (Added many Brother
  printers: Brother HL-1230, HL-1430, HL-1435, HL-1850, HL-1870N, HL-3260N,
  HL-7050, HL-7050N, HL-2600CN, HL-3450CN, HL-4000CN. Many improvements
  and fixes for most Brother printers, made "foomatic-configure" compatible
  with new HPOJ, pre-initialization of pointers in C Code).
- Use mklibname, cleanup deps (Gwenole)
- Patch1001: build DSO with -fPIC in epsonijs (Gwenole)

* Wed Aug  6 2003 Till Kamppeter <till@mandrakesoft.com> 1.0-106mdk
- Suppressed automatically created require perl(CUPS) in the printer-utils
  package.

* Mon Aug  4 2003 Till Kamppeter <till@mandrakesoft.com> 1.0-105mdk
- Updated Foomatic to the state of the 04/08/2003 (3.0 final, switching
  the resolution with "pxlmono"/"pxlcolor" works correctly now, PJL options
  work also with "hpijs", "hl1250", "pxlmono"/"pxlcolor", and "gdi", more
  options for "gdi" driver, fix of the PPD files to work correctly with
  Adobe's PostScript driver for Windows, fixes for Apple ImageWriter
  drivers "iwlo", "iwhi", "iwlq", corrected default brightness of "lm1100"
  driver, correct handling of newer HP inkjets without paper type sensor
  by "hpijs", added many new printers).
- Quick Perl  in-line patch on foomatic-db-engine Makefile to work around
  the different library "make install" behaviour of Perl 5.8.1 (will be done
  upstream later).
- Updated ESP GhostScript to version 7.07.1rc1 (derived from GNU GhostScript
  7.07, fixed Samsung "gdi" driver, updated "lxm3200" driver).
- Updated HPIJS to version 1.4.1 (Support for newest printers and many bug
  fixes.
- Updated URL for Apple StyleWriter ("lpstyl") driver.
- Updated driver "c2050" to version 0.4.
- Updated URL for Oki4Linux ("oki4w") driver.
- Updated "ppmtomd" driver (Alps MD, Citizen printiva) to version 1.0.3.
- Updated "pbm2lwxl" driver (Dymo-CoStar and Avery label printers).
- Updated "pentaxpj" driver (Pentax PocketJet).
- Updated "foo2zjs" driver (Zenographics-based printers as Minolta 
  magicolor 2300 DL, HP LaserJet 1000 ...)
- Updated "eplXXXl" driver (Epson EPL-....L laser winprinters).
- Updated MTink (ink status/maintenance for Epson) to version 0.9.55.
- Added recent PPD files supplied by HP for their PostScript printers.

* Sun Apr  6 2003 Till Kamppeter <till@mandrakesoft.com> 1.0-104mdk
- Added /usr/lib/cups/filter/cupsomatic link (to /usr/bin/foomatic-rip)
  so that print queues from Mandrake 9.0 and older still work.

* Thu Apr  3 2003 Till Kamppeter <till@mandrakesoft.com> 1.0-103mdk
- Updated Foomatic to the state of the 03/04/2003 (Clear-text printer
  IDs, updated Foomatic data for "foo2zjs" now HP LaserJet 1000 should work,
  fixed "PrintoutMode" option of "pxlmono"/"pxlcolor" drivers, 
  uni-directional printing on Lexmark Z31 with "lxm3200-tweaked" driver 
  getting much higher quality, removed duplicate "Duplex" option for HP
  laser printers used with the "Postscript" and "ljet4d" drivers)
- Workaround for bug that the "configure" script of ESP GhostScript does
  not recognize the PNG library, now PNG support is back.
- Updated "foo2zjs" driver: ICC profile support, HP LaserJet 1000 should
  work now.
- Removed building of german message texts from "pcl3opts" command (part of
  "pcl3" printer driver), this does not build any more.

* Tue Mar 11 2003 Till Kamppeter <till@mandrakesoft.com> 1.0-102mdk
- Added HP's PPD files for their newest PostScript printer models.
- Restart the CUPS daemon when the "cups-drivers" package is installed,
  updated, or uninstalled, so that the internal PPD file database of
  CUPS is always up-to-date.

* Sun Mar 10 2003 Till Kamppeter <till@mandrakesoft.com> 1.0-101mdk
- Updated Foomatic to the state of the 10/03/2003 (Fixed bug of wrong
  make/model-related URIs being assigned to the USB device files).
- Added /usr/share/fonts/type1 to font path of GhostScript so that more
  non-latin fonts can be read by GhostScript in "-dPARANOIDSAFER" mode.
- Added script for the firmware upload for the HP LaserJet 1000, let 
  the script be executed by hotplug, always when the printer is plugged
  in and turned on.
- Added scripts for retreiving USB printer ID strings. Used by firmware
  download script for HP LaserJet 1000 and also for debugging/user
  support.
- Added /var/mtink directory, so that the mtink CUPS backend does not
  pollute the output of "lpinfo -v" with error messages.

* Sun Mar  9 2003 Till Kamppeter <till@mandrakesoft.com> 1.0-100mdk
- Added /usr/share/fonts/ttf to font path of GhostScript so that CJK
  and other additional TrueType fonts can be read by GhostScript
  in "-dPARANOIDSAFER" mode.

* Sat Mar  8 2003 Till Kamppeter <till@mandrakesoft.com> 1.0-99mdk
- Updated Foomatic to the state of the 08/03/2003 (Workaround for bug 
  in OpenOffice.org. OpenOffice.org puts "%%BeginSetup...%%EndSetup"
  section with option settings valid for the whole document after the
  first "%%Page:..." line. So without the workaround all settings made
  with the "Properties" button in the "File"|"Print" dialog applied 
  only to the first page, the other pages were printed with the
  printer's default settings).

* Fri Mar  7 2003 Till Kamppeter <till@mandrakesoft.com> 1.0-98mdk
- Updated Foomatic to the state of the 07/03/2003 (Fixed bug of
  "Printoutmode" option being ignored when stuffed into the job data
  by an application, numerical options set to arbitrary values with
  "Printerdrake" are correctly handled by programs which only know
  enumerated choices for numerical options, added support for Epson
  EPL-5700L, EPL-5800L, EPL-5900L, EPL-6100L, EPL-6100, EPL-6100PS,
  AcuLaser C8600, AcuLaser C8600PS, Minolta magicolor 2300 DL, HP
  OfficeJet 7100 series, PSC 1200 series, PhotoSmart 7345).
- Added "epsoneplijs" driver package for Epson EPL "L" series.
- Added "foo2zjs" driver package for Minolta magicolor 2300 DL and
  HP LaserJet 1000.

* Sun Mar  2 2003 Till Kamppeter <till@mandrakesoft.com> 1.0-97mdk
- Added patch to GIMP-Print to generate Foomatic data for the Epson Stylus
  C50 and Stylus Photo 900.
- Added BuildRequires: libtiff-devel, glib-devel, libgtk+-devel,
  libgimp-devel.

* Thu Feb 27 2003 Till Kamppeter <till@mandrakesoft.com> 1.0-96mdk
- Rebuilt (upload mechanism on cluster broken).

* Thu Feb 27 2003 Till Kamppeter <till@mandrakesoft.com> 1.0-95mdk
- Updated Foomatic to the state of the 27/02/2003 (Support for nearly
  every Kyocera laser printer, auto-detection information for most
  HP multi-function devices (fixes auto-detection of PSC 2xxx series, 
  support for Epson Stylus Photo 900 and Epson Stylus C50, PPDs do not
  cause crash of OpenOffice.org any more, fix for "pnm2ppa" driver (bug 
  1875)).
- Fixed "if" statements in pre/post-install scripts. Some caused a
  file named "/1" being created (bug 2057).
- Fixed config file /etc/pnm2ppa.conf of "pnm2ppa" driver (bug 1875).

* Thu Feb 13 2003 Till Kamppeter <till@mandrakesoft.com> 1.0-94mdk
- Updated Foomatic to the state of the 01/02/2003 (Bug fix with custom
  paper sizes in "foomatic-rip", Foomatic data for HPIJS 1.3.1, HPIJS
  recommended driver for HP OfficeJet 500/600 again).
- Updated ESP GhostScript to version 7.05.6.
- Updated HPIJS to version 1.3.1 (Custom paper size, envelope paper sizes,
  improvements for HP DeskJet 3xxx (LIDIL) drivers, fixed bug of HP
  OfficeJet 500/600/700 series and PSC 300 series hanging after every job).
- Added poster printing utility from http://printing.kde.org/downloads/,
  it enables also the poster printing facility in KDE Print.

* Mon Feb  3 2003 Till Kamppeter <till@mandrakesoft.com> 1.0-93mdk
- Updated Foomatic to version 3.0.0beta1.
- Updated ESP GhostScript to the CVS of the 03/02/2003 (Fixed
  bug 465936 from GNU GhostScript 7.05: "gsftopk & gs 7.02 fails",
  "gsftopk" is part of TeX).

* Fri Jan 31 2003 Till Kamppeter <till@mandrakesoft.com> 1.0-92mdk
- Updated Foomatic to the state of the 01/02/2003 (Bug fixes in the 
  database).
- Fixed manufacturer and model entries in the generic PostScript PPD
  file.
- Removed most operations from "cleanppd.pl". They are taken care of
  by this spec file or by "printerdrake".

* Wed Jan 30 2003 Till Kamppeter <till@mandrakesoft.com> 1.0-91mdk
- Updated Foomatic again (Bug fix).

* Wed Jan 29 2003 Till Kamppeter <till@mandrakesoft.com> 1.0-90mdk
- Updated Foomatic to the state of the 30/01/2003 (Bug fixes and
  adaptations for printerdrake).

* Tue Jan 28 2003 Till Kamppeter <till@mandrakesoft.com> 1.0-89mdk
- Updated Foomatic to the state of the 29/01/2003 (Bug fixes and
  adaptations for printerdrake).

* Sun Jan 26 2003 Till Kamppeter <till@mandrakesoft.com> 1.0-88mdk
- Updated Foomatic to the state of the 27/01/2003 (foomatic-configure
  supports compressed PPD files with its "--ppd" option).

* Sat Jan 25 2003 Till Kamppeter <till@mandrakesoft.com> 1.0-87mdk
- Updated to GIMP-Print 4.2.5.

* Fri Jan 24 2003 Till Kamppeter <till@mandrakesoft.com> 1.0-86mdk
- Fixed typo in "Requires:" of omni.

* Thu Jan 23 2003 Till Kamppeter <till@mandrakesoft.com> 1.0-85mdk
- Updated Foomatic to the 2.9.x line, state of the 23/01/2003
  (spooler-specific filters replaced be "foomatic-rip", spooler-specific
  printer/driver description files replaced by PPDs, Adobe-compliant PPDs
  without Perl code, definitions of unprintable margins, options put in
  groups, pre-configurations for drivers selectable with "PrintoutMode"
  option, CUPS-compliant URIs, auto-conversion to CUPS' USB URIs referring
  to printer model, support for Epson inkjets running through the MTink
  daemon).
- Updated GIMP-Print to version 4.2.5pre2 + patches (Pre-configurations
  controlled by "PrintoutMode" option, option groups, support for 
  unprintable margins in Foomatic PPDs, support for more HP printers,
  especially the OfficeJet 600/700 series which do not work with HPIJS).
- Updated Omni to version 0.7.2 (Support for IBM Network Printer 12, 17, 24,
  Infoprint 20, 21, 32 ,40, 70, 2085, 2105, bug fixes).
- Updated to ml85p 0.2.0 (security fix upstream).
- Fixed GhostScript to work with IA64 (patch from Gwenole).
- Fixed DSC comment in Mandrakeized CUPS test page.

* Sat Jan  4 2003 Till Kamppeter <till@mandrakesoft.com> 1.0-84mdk
- Updated Mtink to version 0.9.53 (Fix of security problem reported
  by iDEFENSE, several other fixes, updates for new printer models).
- Removed SGID flag from "escputil" due to a security problem reported
  by iDEFENSE.
- Fixed temporary file race condition in "ml85p" filter (For Samsung
  ML-85p laser winprinter) reported by iDEFENSE.

* Sat Dec 21 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-83mdk
- Updated Foomatic to the state of the 20/12/2002 (Fix Mandrake bugs
  594/641, a problem in "foomatic-gswrapper" that /dev/fd/3 is not
  always available, custom paper size for large format printers,
  fixed broken "Stc670p.upp" driver entry).
- Updated GIMP-Print to version 4.2.5pre1 (Several bug fixes for Epson
  printers: Epson Stylus Pro 5000 works now, Stylus Photo 950, 960, 2100,
  and 2200 are tuned now, roll paper cutter on Stylus Photo 925, 950, 
  960, PM-950C, 2100, and 2200 works, Epson Stylus Color 640, 720 dpi in
  grayscale/monochrome fixed),
- Updated ESP GhostScript to the CVS of the 20/12/2002 (Fixed problem
  of color profiles created with "cups-calibrate" being ignored,
  "configure" takes into account that "omni" needs standard  C++ library).
- Fixed problem of broken japanese printing with GhostScript by running
  /usr/share/fonts/ttf/japanese/cidinst in the %%post script.
- Corrected paths for CJK fonts.

* Wed Dec  4 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-82mdk
- Updated Foomatic to the state of the 05/12/2002 (Fixed HPIJS
  support for the HP DeskJet 400C and 420C, HP DeskJet 33xx, Color
  LaserJets, DeskJet 1200/1600 supported by HPIJS now, support for
  PPD files and input files with "dossy" ("\r\n") line ends, margin
  adjustment for Lexmark Z31, custom paper size fix, added generic
  PCL, PostScript, dot matrix, and GDI printer entries, added HP
  LaserJet 4200, 4300, DesignJet 250C, 430, 450C, 455CA, 488CA, 700, 
  2500CP, Epson MJ 930C, Stylus CX3200, CX5200). 
- Updated HPIJS to version 1.3 (Suppoert for LIDIL printers: HP DeskJet
  3320, 3325, 3340, 3345)
- Updated GIMP-Print to version 4.2.4 (Many bug fixes, especially
  bug of color confusion on Lexmark fixed, support for many HP DesignJets,
  printing support for Epson Stylus CX3200/CX5200 MF devices).
- Updated the "pnm2ppa" driver to version 1.12 (Bug fixes).
- Updated ESP GhostScript to the CVS of the 04/12/2002 (More sophisticated
  alignment page, pswrite/pdfwrite patch from Red Hat bug 78450).
- Added some forgotten GIMP-Print man pages.

* Wed Nov  6 2002 Stefan van der Eijk <stefan@eijk.nu> 1.0-81mdk
- BuildRequires: autoconf2.5
- Removed BuildRequires: autoconf automake (Required by rpm-build)
- fix date on 1.0-80mdk changelog entry (Mon, not Wed)

* Mon Nov  4 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-80mdk
- BuildRequires: cups-common (otherwise GhostScript gets compiled without
  "cups" device)

* Wed Oct 30 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-79mdk
- Fixed X11 driver module ("-DGS_DEVS_SHARED
  -DGS_DEVS_SHARED_DIR=\\\"%{_libdir}/ghostscript/%{ghostscriptver}\\\"" is
  needed in XCFLAGS).
- Updated Foomatic to the state of the 30/10/2002 (Printing in 600 dpi on
  the Minolta PagePro 8L works now, added the HP OfficeJet R40, fixed
  "foomatic-datafile" so that the KDE Print Manager produces correct PPD
  files, fix on the support for custom page sizes).

* Fri Oct 25 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-78mdk
- Fixed "make" command line of GhostScript so that it finds the headers
  of the GIMP-Print library inside the build tree of the package, so that
  the package can be built without installed "libgimpprint1-devel".
- Some fixes to get Omni built on PPC (from Stew Benedict).

* Thu Oct 24 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-77mdk
- Security fix: Replaced "-dSAFER" by "-dPARANOIDSAFER" in the GhostScript
  command lines in all Foonatic files. This prevents PostScript code from
  being able to read arbitrary files. "-dSAFER" only prevents from writing
  into arbitrary files.
- Updated Foomatic to the state of the 23/10/2002 (Release 2.0.2, custom
  paper size support, improvement of PPD file headers, "-dPARANOIDSAFER",
  fix for printing from Mac OS X clients, fixed "Best Grayscale" mode for
  the HP DeskJet 350 and 6xxC, no full-bleed for HP DeskJet 612x, fixed 
  "stc300.upp" driver, new support for Lexmark Z11, Z12, Z31, and 3200,
  page sizes bigger than A3 for the HP DesignJet printers, fixed default
  setting of the "Bidirectional" option of the "pnm2ppa" driver, added
  the HP DeskJet 450, 6122, 6127, PhotoSmart P230, PSC 2150, Business
  Inkjet 3000, DesignJet 5500, 5500ps, LaserJet 5100, Color LaserJet 2500,
  5500, Epson MC 5000, 1000, PM 700C, 730C, 750C, 770C, 780C, 790PT, 880C,
  950C, 2000C, 3000C, 3500C, 4000PX, 7000C, 9000C, 10000,  CL 700, 750,
  Epson EM 900C, 900CN, 930C, 930CN, MC 2000, 7000, 9000, MJ 520C, 5100C,
  6000C, 8000C, PM 760C, 800C, 820C, 850PT, 2200C, 3300C, 5000C, PX 7000,
  9000, Stylus Photo 825, 1290S, and EX3).
- Updated GIMP-Print to release 4.2.3 (Better quality on Epson Stylus Color
  600, 800, 850, 1520, 3000, Stylus Pro 5000, 5500, 7000, 7500, 9000, and
  9500, fixed support for very long (40 inches/1 m) printouts, driver for
  Epson Stylus Pro 7600 and 9600 works now, black-and-white/grayscale
  printing on Epson Stylus Color 480, 580, C20, C40, C41, and C42 works
  now).
- Updated HPIJS to release 1.2.2, applied enhancement patches (1200 dpi
  photo mode and 600 dpi presentation mode on old HP DeskJet 9xxC printers
  and compatible multi-function devices, real black text on HP DeslJet
  6xx, 8xx, 9xx).
- Updated ESP GhostScript to the CVS of the 23/10/2002 (New "lxm3200" driver
  which also supports the Lexmark Z12 and Z31, Omni fixes, updated drivers
  for old japanese printers, new "rpdl" driver, fix for Landscape printing
  with native CUPS drivers, fixed "hl7x0" driver).
- Forced usage of libstdc++ instead of libsupc++ in GhostScript, so that it
  can communicate with Omni.
- New driver for the Lexmark Z11 ("lz11", allows different paper sizes,
  fixed bug in multiple-page printing).
- Added Kyocera's PPD files for their PostScript printers.
- Patched Omni's configure.ac to work with autoconf 2.54.

* Tue Sep 17 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-76mdk
- Fixed entity in Foomatic printer XML files.

* Fri Sep 13 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-75mdk
- Updated Foomatic to the state of the 13/09/2002 (300-dpi normal quality
  mode of the HPIJS driver did not work on the HP LaserJet 4L, removed).
- Updated GIMP-Print to release 4.2.2 (final release, additional fixes
  for the margins on the Epson Stylus Color 660).

* Tue Sep 10 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-74mdk
- Added ps2pdfpress (from Guiseppe Ghibo).
- Updated ESP GhostScript to release 7.05.5 (Fixed wrong margins for
  native CUPS drivers, version 1.1 of the "cdj970" driver).
- Updated GIMP-Print to release 4.2.2-rc3 (Resolutions lower than 360 dpi
  on Epson inkjets fixed, PPD option handling of PostScript driver in
  GIMP plug-in of GIMP-Print fixed, margin problem of native CUPS drivers
  fixed, margins of Epson Stylus Color 660 fixed).
- Updated Omni to release 0.7.1.
- Omni generated a debug output file named /tmp/blit_debug.out which
  prevented it from being run out of different non-root user accounts.
  Fixed.
- Reverted the "configure" script changes in ESP GhostScript 7.05.5 for
  Omni, they broke Omni.
- Fixed bug in CUPS backend of MTink which made the backend showing
  noise in "lpinfo -v" when the mtinkd is not actually used.
- Removed patches which were not applied.
- Some clean-ups in the spec file.

* Mon Sep  2 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-73mdk
- Patched GIMP-Print to fix 360x120 dpi and 360x180 dpi on Epson inkjets.
- Updated to MTink version 0.9.33 (bug fixes).

* Sat Aug 31 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-72mdk
- Updated Foomatic to the state of the 22/08/2002 (Clean-up of "pnm2ppa"
  options, new driver "pbmtozjs" for HP LaserJet 1000, fixed support
  for HPOJ 0.9, added HP PSC 370, 380, 2110, 2210, fixed recommended
  driver for Epson Stylus Photo 950, 960, 2100, 2200, Stylus Pro 7600,
  9600).
- Updated Omni to the CVS of the 31/08/2002 (RC for Omni 0.7.1).
- Updated the "pnm2ppa" driver to version 1.10.
- Added the "pbmtozjs" driver for the HP LaserJet 1000.
- Updated to MTink version 0.9.32 (Optional daemon "mtinkd" to print and
  monitor ink levels at the same time, many bug fixes).

* Sat Aug 24 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-71mdk
- Updated Foomatic to the state of the 22/08/2002 (Filter scripts give
  priority to option settings in stuffed into the PostScript against option
  settings done on the command line/in the ~/.lpoptions file).
- Fixed bug of the GIMP plug-in inserting PPD options wrongly (PostScript
  driver)

* Fri Aug 23 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-70mdk
- Updated Foomatic to the state of the 22/08/2002 (Foomatic data for HPIJS 
  1.2.1).
- Updated to GIMP-Print 4.2.2rc2 (New Epsons directly supported, several
  bug fixes).
- Updated to HPIJS 1.2.1 (Paper input tray selection, support for HP DeskJet
  4xx printers).

* Thu Aug 22 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-69mdk
- Updated Foomatic to the state of the 22/08/2002 (Added the Epson Stylus
  C41SX, C41UX, C42SX, C42UX, C61, C62. C82, Stylus Photo 830, 915, 925).
- Updated to GIMP-Print 4.2.2rc1 and patched it for the new Epson printers.
- Fixed typo in menu text for Oki 4w installation.

* Fri Aug 16 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-68mdk
- Updated Omni to the CVS of the 16/08/2002 (RC for Omni 0.7.1).
- Updated MTink/TTink to version 0.9.17.
- MTink/TTink documentation got into printer-filters package accidentally,
  moved it to printer-utils. 
- Really rebuilt with gcc-3.2-0.3mdk ("no" was not updated last time).

* Wed Aug 14 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-67mdk
- Updated Foomatic to the state of the 14/08/2002.
- Rebuilt with gcc-3.2-0.3mdk.

* Mon Aug 12 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-66mdk
- Updated Foomatic to the state of the 12/08/2002 (Added HP PhotoSmart
  7550, added full-bleed printing for HP PhotoSmart 7x50 and DeskJet 555x,
  renamed "Quality" option of HPIJS to "Resolution" so that it gets
  accessable from thr GIMP).

* Wed Aug  7 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-65mdk
- Updated Foomatic to the state of the 07/08/2002 (HP DeskJet 6xx and
  Apollo printers do only 600x300 dpi max, used the GhostScript "stp"
  driver for GIMP-Print and not the IJS driver, the "stp" driver is
  more mature, "cdjXXX" and "chp2200" drivers have "Normal" as default
  quality setting now).
- Set default values of GIMP-Print to get a better image quality: Image
  Type to "Photographs" and Gamma to 1.6.
- BuildRequires: automake 1.4 (needed for z42tool).
- Cleaned up "Obsoletes:"/"Provides:"/"Conflicts:", especially for 8.2 ->
  9.0 update installation.

* Tue Aug  6 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-64mdk
- Made the IJS interface of GIMP-Print also working with non-english 
  locales.
- Corrected menu entries ("/" in text and wrong icon file names) in
  printer-utils package.

* Fri Aug  2 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-63mdk
- In ESP GhostScript ("gs -h") the "stp" device was missing, fixed.

* Wed Jul 31 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-62mdk
- Updated to GIMP-Print 4.2.2pre4 (Fix for uncomplete printjobs on
  Windows-hosted printers, improvements on the Epson Stylus Photo
  2200).
- Removed VFlib from the BuildRequires and from the Requires of
  GhostScript, it is not used any more.

* Tue Jul 30 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-61mdk
- Updated GhostScript to version 7.05.4.
- Corrected version number of the IJS library (must be 0.34).
- Fixed GIMP-Print to print jobs on printers connected to a Windows
  server completely.

* Fri Jul 26 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-60mdk
- Rebuilt with gcc 3.2.

* Wed Jul 24 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-59mdk
- Use %%perl_vendorlib (Gwenole).
- Patch59: Mtink: look for Motif libraries in the right directories
  (Gwenole).
- Patch39: Compile DSO with PIC code (Gwenole).
- Rpmlint fixes: hardcoded-library-path (Gwenole).
- Fixed "-o docs" (help page) option of cupsomatic, it was broken when
  CUPS 1.1.15 is used.
- Rebuilt for readline 4.3.

* Tue Jul 23 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-58mdk
- Updated GIMP-Print to version 4.2.2pre3 (Added Epson Stylus Photo 950,
  2100, 2200, Stylus Pro 7600, 9600, 7-ink, quad-tone (4 grayscaled inks)
  support, Even Tone dithering, bug fixes for very low resolutions).

* Sun Jul 21 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-57mdk
- Updated Foomatic to the state of the 18/07/2002 of the stable 2.0 branch.
- Updated ESP GhostScript to the CVS from 18/07/2002 (Re-introduced Red
  Hat's old japanese drivers).
- Updated CJK CIDFonts for GhostScript (Fix Red Hat bugs 68009 and 61015).

* Thu Jul 18 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-56mdk
- Updated Foomatic to the state of the 18/07/2002 (Added HP DeskJet 670TV,
  843C, 916C, 933C, 934C, 935C, and PhotoSmart P130, HPIJS 1.2, CUPS page
  logging bug fix).
- Updated ESP GhostScript to the CVS from 18/07/2002 (All drivers already
  in GhostScript, patches necessary only for X11 modularization, and PPC
  fixes).
- Updated to HPIJS 1.2 (Support for newest HP models, for the HP DeskJet
  500/500C and compatibles, PCL-5 laser printers, 600-dpi high-quality
  grayscale mode for printers which to 600 dpi gray and 300 dpi color).
- Fixed prefix in /usr/bin/ijs-config.

* Wed Jul 11 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-55mdk
- Updated Foomatic to the state of the 11/07/2002 (Added HP DeskJet 3820,
  5550, 5551, PhotoSmart 7150, 7350, Color LaserJet 4600, PJL fixes, auto-
  detection info of LaserJet 2100, updated documentation).
- Updated ESP GhostScript to the CVS from 11/07/2002 (Fixes for PNG device
  compilation).
- Updated Omni to the CVS from 10/07/2002 (Fixes for compatibility with
  ESP GhostScript).
- Added Mtink (printer maintenance/ink monitoring for Epson inkjets).
- Removed Perl version number from %%files part ("foomatic" package), it
  breaks the package build when there is a new Perl version.
- Foomatic rebuilt against Perl 5.8.0.
- Added "%%BeginDocument ... %%EndDocument" around EPS file inserted into
  the Mandrakeized CUPS test page (testprint.ps), thanks to Mike Sweet
  (CUPS author).

* Wed Jul  4 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-54mdk
- New tarball for "gdi" driver used.
- Removed unused patches.
- Re-activated the image format drivers which got lost on the last
  GhostScript update (PNG device).

* Tue Jun 18 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-53mdk
- Built GhostScript against libintl2.
- Added "pstoraster" wrapper script to make GhostScript being used as the
  cups-internal RIP.

* Sun Jun 16 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-52mdk
- Updated Foomatic to the state of the 16/06/2002 (Added HP DeskJet 957C,
  959C, 975C, and Epson AcuLaser C4000).
- Updated GhostScript to ESP GhostScript 7.05.2.
- Updated Omni to version 0.7.0 (Now Omni really works).
- Updated Epson's laser printer drivers to version 3.0.2 (native GhostScript
  6.x support, Epson AcuLaser C4000 supported).
- Moved HPIJS build into directory separate from GhostScript.

* Wed May 15 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-51mdk
- Updated Foomatic to the state of the 15/05/2002 (Added the Lexmark Z13).
- Updated the Lexmark-Foomatic-Kit to also support the Lexmark Z13.
- Removed the SVGAlib support from GhostScript.

* Wed May 15 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-50mdk
- Updated Foomatic to the state of the 15/05/2002 (Recommended drivers for
  laser printers are the old GhostScript drivers, not GIMP-Print)
- Bugfixes and improvements in the Lexmark-Foomatic-Kit: now printing
  with the Lexmark drivers for the Z23/Z33 works.
- Updated Omni to a CVS after 0.6.1 (14/05/2002).
- Updated the "lm1100" (Lexmark 1xxx) driver to version 1.0.2a.

* Sat May 11 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-49mdk
- Updated Foomatic to version 1.9 (No need of Perl libraries any more,
  libxml2 C library used instead, GNU autoconf, non-root users can browse
  database with KDE Print Manager of KDE 3.x or with Foomatic command line
  utilities)
- Updated HPIJS to version 1.1 (draft modes, 1200 dpi on HP PhotoSmart P100,
  more paper sizes)
- Updated GIMP-Print to version 4.2.1 (IJS GhostScript plug-in)
- Introduced IJS library package.
- OMNI temporarily removed, it needs gcc 2.x.
- Built with gcc 3.1.

* Sat Apr 14 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-48mdk
- Updated GIMP-Print to version 4.2.1-pre5 (Fixes Canon inkjets on high
  resolutions)
- Missing BuildRequires: libgtkmm-devel, needed for Omni 0.6.x.

* Sat Mar 23 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-47mdk
- Updated Foomatic to the state of the 20/03/2002 (HPIJS 1.0.4)
- Updated HPIJS to version 1.0.4.
- Updated Omni to version 0.6.0.

* Mon Mar 18 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-46mdk
- fixed bug in ps2epsi.

* Sat Mar  9 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-45mdk
- Updated Foomatic to the state of the 09/03/2002 (Added Canon BJC-255SP and
  BJC-265SP to the printer database, HPIJS B4/B5 paper size fix, "Photo Full
  Bleed" paper size in HPIJS only for HP PhotoSmart P100).
- Patched HPIJS to print correctly on A6 paper.

* Fri Mar  8 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-44mdk
- New HPIJS patch from David Suffield: It fixes not only the duplex but
  also printing on B4 and B5 paper.

* Thu Mar  7 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-43mdk
- Updated Foomatic to the state of the 07/03/2002 (When "foomatic-configure"
  creates a queue for LPRng, the permissions for the /var/log/lp-errs file
  are set correctly now).
- Updated the "pentaxpj" driver to version 20020301-11.

* Wed Mar  6 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-42mdk
- Added a patch for duplex printing with HPIJS from David Suffield.

* Wed Mar  6 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-41mdk
- Updated Foomatic to the state of the 05/03/2002 (New HP multi-function
  devices: HP OfficeJet D series, HP LaserJet 33xx MFP series, added
  Lexmark E210, bug in reading defaults of float options from PPD files
  fixed, fixed Red Hat bug 58319, fixed quoting in driver command line for 
  PDQ, assured that "foomatic-gswrapper" is used for every driver).
- Added fix for duplex printing through IJS from David Suffield.

* Mon Mar  4 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-40mdk
- Updated Foomatic to the state of the 04/03/2002 (Brother MFC 9600
  prints 600 dpi with "hl1250", HP DeskJet 610CL prints best with "hpijs", 
  HP DeskJet 1125C and LaserJet 6P print best with GIMP-Print, fix for
  option default choices with "+" character in PPD files, fix with PJL on
  "lpdomatic").
- Applied fix from Andre Duclos (shirka@wanadoo.fr). The package did not
  build on his machine without the fix ("foomatic-kitload" replaced by
  "tar" to add the GIMP-Print XML files to the Foomatic database).
- Patched GIMP-Print to produce Foomatic data for the HP DeskJet 1125C and
  LaserJet 6P.

* Fri Mar  1 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-39mdk
- Updated Foomatic to the state of the 01/03/2002 (Many new printers,
  especially Canon, "ppmtomd" driver, DeskJets have "hpijs" as default
  driver).
- Added "ppmtomd": Unix driver for MicroDry Printers.
- Patched GIMP-Print to produce Foomatic data for more printers.
- Reworked patch 48, because PPC compilation was broken (Stew Benedict).

* Thu Feb 28 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-38mdk
- Fixed chinese character support in GhostScript 6.53 (Du Xiaoming).

* Mon Feb 25 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-37mdk
- Re-activated the "x11alpha" (anti-aliasing X11) device, it was deactivated
  in GhostScript 6.53 (Francois Pons).
- Removed the "-ffastmath" optimization option from the GhostScript
  compilation. it breaks IJS/HPIJS (600 dpi on Letter/Legal paper did not
  work)

* Thu Feb 21 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-36mdk
- Updated Foomatic to the state of the 20/02/2002 (HPIJS 1.0.3, bugfixes).
- Updated GhostScript to version 6.53 to fix a rather serious security
  problem, which allowed PostScript code to execute arbitrary commands.
  It has also the IJS plug-in interface and CJK support integrated.
- Removed VFlib support and the VFlib-based drivers for japanese printers
  from GhostScript. The patches do not compile under GhostScript 6.53 due
  to the changes introduced with the security fix.
- Updated patches for X11 and SVGAlib drivers to be shared libraries for
  GhostScript 6.53 (Francois Pons).
- Fixed bug in the printer test pages which prevented native PostScript
  printers (PS Level 1 & 2) fromm printing the Mandrake logo.
- Corrected /usr/sbin/alignmargins to work with any GhostScript version.
- Patched GIMP-Print to support small paper sizes on Epson Stylus Pro 
  printers.

* Tue Feb  5 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-35mdk
- Updated Foomatic to the state of the 05/02/2002 (Support for HPOJ,
  bugfixes).
- Fixed Omni compilation for PPC (Stew Benedict).
- Used %%ix86 macro (suggestion from Jeff Garzik)
- Used "drv_z42" tarball with pre-built Glade GUI because Glade needs
  a working X display, even in the window-less "-w" mode (bug reported
  by Jeff Garzik).

* Thu Jan 24 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-34mdk
- Applied GIMP-Print patch to correct print head offsets on Epson Stylus
  Photo 700 (this bug lead to a poor printout quality).
- Updated Foomatic to the state of the 24/01/2002 (Epson EPL-5900 works
  better with "pxlmono").

* Sun Jan 20 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-33mdk
- Updated HPIJS to version 1.0.2.
- Updated drv_z42 to version 0.3.4.
- Updated Foomatic to the state of the 20/01/2002 (PPD file fix for
  GhostScript 6.52).

* Fri Jan 18 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-32mdk
- Updated the Epson-Kowa laser printer drivers to version 1.0.4, to
  support also the Epson EPL-5900 and the Epson EPL-N2120.
- Updated Foomatic to the state of the 18/01/2002 (New Epson lasers).

* Wed Jan 16 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-31mdk
- Updated the "hpijs" driver to version 1.0.1 (bugfixes and completely free
  license).
- Updated Foomatic to the state of the 16/01/2002 (CUPS queues are set up 
  with PPD-O-Matic PPDs, auto-detection of file converters, bug fixes).

* Tue Jan 15 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-30mdk
- Updated GhostScript to version 6.52.
- Updated gs-cjk to M2-R3 (xming).
- Updated Foomatic to the state of the 14/01/2002 (several bugfixes).
- Removed slashes from menu entry for the Z42/Z43 maintenance tool.
- Removed Patch4, GS 6.52 could not create temporary files when this
  patch was applied (Found with an HP DeskJet 990 and HPIJS1.0).

* Wed Jan 11 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-29mdk
- Added Canon BJC-250/-1000 driver for GhostScript from Gergely Szasz
- Updated Foomatic to the state of the 11/01/2002 ("bjc250gs" driver data,
  several bugfixes).

* Tue Jan  1 2002 Till Kamppeter <till@mandrakesoft.com> 1.0-28mdk
- Updated Foomatic to the state of the 01/01/2002 (Worked around a bug in
  HPIJS 1.0 which breaks the paper size setting via PostScript commands).

* Fri Dec 21 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-27mdk
- Updated the "hpijs" driver to version 1.0.
- Updated Foomatic to the state of the 20/12/2001.
- Used "%%make" instead of "make" for the Omni driver and added 
  "CFLAGS=$RPM_OPT_FLAGS ..." so that $RPM_OPT_FLAGS is used.
- Made GIMP-Print user's guide being included.
- Added GhostScript wrapper for the Pentax PocketJet series.
- ml85p works again, re-activated.

* Wed Dec 05 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-26mdk
- Rebuilt and re-introduced to the Cooker, the package was automatically
  deleted by a bug in new upload scripts.

* Thu Nov 29 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-25mdk
- Updated "pcl3" driver to version 3.3.
- Updated Omni to version 0.5.1.
- Updated Foomatic to the state of the 30/11/2001.

* Sat Nov 24 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-24mdk
- Updated Lexmark Z42/Z43 driver (drv_z42) to version 0.3.3.
- Updated GIMP-Print to version 4.2.0 final.
- Updated Foomatic to the state of the 24/11/2001.

* Tue Nov 20 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-23mdk
- Made Omni data only visible when Omni is installed, Omni is still in
  experimental state
- Updated Foomatic to the state of the 20/11/2001 (Updated docs).
- Omni produced garbage in /etc/ld.so.conf, fixed.

* Fri Nov 16 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-22mdk
- Added "z42tool" a maintenance tool for the Lexmark Z42
- Updated GIMP-Print to version 4.1.99rc1.
- Updated Foomatic to the state of the 16/11/2001.
- Added "$CFLAGS" to all direct calls of gcc (to allow cross-compiling the 
  package).
- Added patch to build Samsung SmartGDI printer driver - PPC (Stew)
- Reworked hpijs ENDIAN patch - PPC (Stew)
- Added "unzip" to the BuildRequires.
- Fixed libgimpprint info file entry (/usr/share/info/dir conflict) (Stefan
  van der Eijk)
- Removed obselete BuildRequires: docbook-style-dsssl ghostscript jadetex
  openjade perl-DateManip perl-Parse-Yapp perl-XML-Parser perl-libxml-perl
  tetex (Stefan van der Eijk)
- New %%makeinstall totally broken, replaced by %%old_makeinstall

* Sun Oct 21 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-21mdk
- Corrected path setting for libxml in "setit" file and XML parser 
  Makefile of Omni
- New Foomatic data generator with cleaned-up printer, manufacturer, 
  option, and choice names.

* Wed Oct 17 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-20mdk
- Updated Omni to version 0.5.0 (bugfixes, new printers)
- Updated GIMP-Print from CVS (bugfixes, new printers, User's Guide)
- Added Foomatic data for Omni
- Rebuilt GIMP-Print for libgimp1.2_1
- ml85p does not work with current kernel, deactivated

* Wed Oct 10 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-19mdk
- Inserted new Mandrake logo in the alternative test pages
- GIMP-Print patch to make "Glossy" paper with 600x600 dpi working on the
  HP DeskJet 810C/812C/840C/842C (fall back to "Premium" paper).
- Updated Foomatic: new printers, removed HP LaserJet 6L from
  "lj5gray"/"lj5mono" drivers.

* Wed Oct 10 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-18mdk
- Added driver for the Lexmark Z42
- inserted new Mandrake logo in test page
- Corrected marginless printing on the Epson Stylus Photo 890/1290

* Thu Oct  4 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-17mdk
- Updated Foomatic: Paper tray selection for all PCL lasers, new printer
  models, various bugfixes.
- Updated GIMP-Print from CVS: near 4.1.99b3 (bugfixes)
- Added BuidRequires: libcups-devel, all Perl libraries needed to run 
  Foomatic
- Really make ml85p %%{ix86}-specific
- Fix of some font names in kconfig.ps of vflib

* Tue Sep 25 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-16mdk
- Fixed bug of sometimes options defined in the Foomatic database missing
  in the driver description files for the spoolers.
- Fixed bug of the Lexmark Z23, Z33, and Z53 not working with Lexmark's
  drivers.
- Changed priorities to make the "lxm3200" driver the default driver for
  the Lexmark 3200, GIMP-Print is broken for this printer.

* Sun Sep 23 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-15mdk
- Fixed bug of GhostScript ignoring the "Quality" option on the Lexmark Z52
  and other printers (GIMP-Print driver).

* Sat Sep 22 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-14mdk
- Fixed the "lexmarkwrapper" so that it works also with LPRng and PDQ.
- Fixed "foomatic-configure" to call "checkpc -f" after every manipulation
  of LPRng queues, this corrects the permissions so that LPRng does not
  refuse to print.

* Fri Sep 21 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-13mdk
- Updated to GIMP-Print 4.1.99 beta 2 final (Fix for Epson Stylus Color 660,
  it only spilled empty pages before).

* Wed Sep 19 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-12mdk
- Updated GIMP-Print from CVS: near 4.1.99b2 (Fix of Epson output quality
  settings).
 
* Sat Sep 15 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-11mdk
- Removed automatic ownership/permission setting for /dev/oki4drv in the
  oki4daemon.

* Sat Sep 15 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-10mdk
- Activated "cfax" driver in GhostScript (for capifax, isdn4k-utils,
  Bugzilla 3923)

* Thu Sep 13 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-9mdk
- Patched dvipdf for better quality PDF output (patch from Giuseppe Ghibo)
- Made cupsomatic handling the "sides" (Duplex) option of CUPS handling
  correctly.

* Wed Sep 12 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-8mdk
- Foomatic updated for new inkjet drivers from Lexmark.
- HP LaserJet 5L does not work with lj5gray/lj5mono drivers, fixed.
- Options with On/Off, Yes/No, or True/False as choices broken, fixed.
- Removed entries for japanese printer drivers which are not supported
  by our GhostScript.

* Mon Sep  3 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-7mdk
- foomatic-configure supports setting a default printer now.
- Documentation files of Foomatic updated.
- Alps MD-1500 works also with the "ppmtocpva" driver.
- Updated GIMP-Print from CVS: 4.1.99b1.
- Adapted libgimpprint(-devel) packages to the library policy.

* Sun Sep  2 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-6mdk
- Foomatic overview generation also accelerated with the C program, so also
  the overview does not need to be pre-built.
- Bugfix in the determination of the default driver
  (foomatic-preferred-driver), for some printers the default driver entry
  did not get into the printer XML file.
- Added Apple LaserWriter 4/600.
- The HP LaserJet 5Si and 3200se support PJL, fixed appropriate database
  entries.
- Various small fixes on the Foomatic database.

* Tue Aug 28 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-5mdk
- Foomatic data generation accelerated substancially by a C program,
  so no pre-building of the Foomatic data necessary any more (saves 30 h
  of package build time and 30 MB of disk space on the destination machine).
- Added HP and Apollo printers: Apollo P-2100, P-2150, HP DeskJet 816C,
  980C, e-printer e20, PhotoSmart P1215, P1218, OfficeJet K60, K80, V40,
  PSC 300, 750.
- Added new Epson EPL and AcuLaser printers.
- Added HP DesignJet 750 (supported by GIMP-Print).
- Updated Foomatic data for the hpijs driver (inkjet driver of HP).
- Updated the Brother HL-1240/1250 driver to version 0.4.
- Added Omni 0.4.
- Added the laser printer drivers provided by Epson.
- Added the japanese printer drivers from Red Hat.
- Check whether the printer list of GIMP-Print does not contain printers
  not existing in the Foomatic database.
- Updated GIMP-Print from CVS: 4.1.99a3.
- Adapted "alignmargins" script to GhostScript 6.51 and fixed a bug of the
  CUPS default printer not being listed.
- Foomatic obsoletes out the rhs-printfilters and printtool packages now.

* Sun Aug 12 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-4mdk
- Let printer-filters not activate the oki4daemon by default

* Sat Aug 11 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-3mdk
- Fixes on the usage of rlpr, nc, and smbclient by foomatic-configure

* Thu Aug  9 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-2mdk
- Precompiled Foomatic database

* Sun Aug  5 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-1mdk
- GhostScript was not able to open temporary files, removed O_CREAT flags
  in src/gpmisc.c to fix it (ghostscript-6.51-10mdk).
- New CVS of GIMP-Print 4.1.99a2.
- Added Foomatic.
- Added tools and PostScript PPDs from former cups-drivers package.
- Updated "ppmtocpva" driver to version 1.0.
- Added some different test pages.

* Fri Aug  3 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-0.1mdk
- New CVS of GIMP-Print 4.1.99a2.
- GhostScript requires libpng and libintl1.
- Let all packages providing printer drivers being built by
  the "printer-drivers" source package,
  merged the source RPM/specfile of ghostscript, foomatic, cups-drivers,
  and the GIMP-Print plugin for GIMP together, because they all depend on 
  the same GIMP-Print source tarball.
